<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

//session_start();
//$_SESSION['logon_semed']=1;
//$_SESSION['f_numerocreas']=1;
//session_commit();


include "includes/config.php";
include "includes/begin.php";
include "includes/functions.php";

@date_default_timezone_set('America/Sao_Paulo');

//limpa os campos de sessão mantendo o login
$logon_semed = $_SESSION['logon_semed'];
$codigocreas = $_SESSION['f_numerocreas'];
$logon=$_SESSION['logon'];
$tipo_perfil = $_SESSION['tipo_perfil'];
$cria_usuario = $_SESSION['cria_usuario'];
$conferencia_estatisticas = $_SESSION['conferencia_estatisticas'];


$s_cpfusuario = $_SESSION["s_cpfusuario "];
$s_nis = $_SESSION["s_nis"];
$s_nomeUsuario = $_SESSION["s_nomeUsuario"];

$sqlComplemento = $_SESSION["sqlComplemento"];
$pg = $_SESSION["pg"];
$ordem = $_SESSION["ordem"];


session_destroy();
session_start();

$_SESSION['logon_semed'] = $logon_semed;
$_SESSION['f_numerocreas'] = $codigocreas;


$_SESSION["s_cpfusuario "] = $s_cpfusuario;
$_SESSION["s_nis"] = $s_nis;
$_SESSION["s_nomeUsuario"] = $s_nomeUsuario;

$_SESSION["sqlComplemento"] = $sqlComplemento;
$_SESSION["pg"] = $pg;
$_SESSION["ordem"] = $ordem;

$_SESSION['logon']=$logon;
$_SESSION['tipo_perfil']=$tipo_perfil;
$_SESSION['cria_usuario']=$cria_usuario;
$_SESSION['conferencia_estatisticas']=$conferencia_estatisticas;


//-----------------------------------------------------------------------


$acao=$_POST["s_acao"]; // atualizar ou recadastrar
if (isset($_GET["acao"])) {
		$acao = $_GET["acao"];
}
$reacao=$_GET["reacao"];	// possíveis ações: reload, retorno

$pg=$_GET["pg"]; // paginacao
$ordem=$_GET["ordem"]; // order by
if (!isset($ordem)) {
		$ordem = "nomeUsuario";
}
$link="main.php"; // página relacionada

//campos de busca
$s_nomeUsuario = strtoupper($_POST["s_nomeUsuario"]);
if (isset($_GET["nomeUsuario"])) {
		$s_nomeUsuario = trim($_GET["nomeUsuario"]);
}

$s_cpfusuario = $_POST["s_cpfusuario"];
if (isset($_GET["cpfusuario"])) {
		$s_cpfusuario = $_GET["cpfusuario"];
}

$s_nis = $_POST["s_nis"];
if (isset($_GET["nis"])) {
		$s_nis = $_GET["nis"];
}

 
//variavel para para montar filtro de pesquisa
$sqlComplemento = ' WHERE 1=1 ';

//verifica se informado nome
if ($s_nomeUsuario != '')
{
		$sqlComplemento = $sqlComplemento." and upper(nomeUsuario) like '%".$s_nomeUsuario."%' ";
}

//verifica se informado cpf
if ($s_cpfusuario != '')
{
        $sqlComplemento = $sqlComplemento." and replace(replace(cpfusuario,'-','' ) , '.',''  )  =  replace(replace('".$s_cpfusuario."','-','' ) , '.',''  ) ";
}
//verifica se informado terceiro campo
if ($s_nis != '')
{
		$sqlComplemento = $sqlComplemento." and nisusuario like '%".$s_nis."%' ";
}


if ($acao != '')
{
    $s_cpfusuario = $_SESSION["s_cpfusuario "];
    $s_nis = $_SESSION["s_nis"];
    $s_nomeUsuario = $_SESSION["s_nomeUsuario"];

    $sqlComplemento = $_SESSION["sqlComplemento"];
    $pg = $_SESSION["pg"];
    $ordem = $_SESSION["ordem"];

    $acao = "";

}
else
{
    $_SESSION["s_cpfusuario "] = $s_cpfusuario;
    $_SESSION["s_nis"] = $s_nis;
    $_SESSION["s_nomeUsuario"] = $s_nomeUsuario;

    $_SESSION["sqlComplemento"] = $sqlComplemento;
    $_SESSION["pg"] = $pg;
    $_SESSION["ordem"] = $ordem;
}


//consulta apenas se informado filtro
if ($sqlComplemento != ' WHERE 1=1 ')
{
	//------------------------PAGINACAO--------------------------------------

	//-----------------------------------------------------------------------
	//######### INICIO Paginação #########
    $numreg = 30; // Quantos registros por página vai ser mostrado
	if (!isset($pg)) {
			$pg = 0;
	}
	$inicial = $pg * $numreg;
	//######### FIM dados Paginação #########
	//-----------------------------------------------------------------------

	//consultas	
	
	$sql="select * from ( Select p.id as idpessoa, descricao as sistema, numerocreas, p.data_criacao as datacadastrousuario, p.nome as nomeUsuario, 
                        (select trim(numero) From cabcomum.pessoa_documento pd where pd.idpessoa = p.id and pd.idtipo_documento = 4) as nisusuario, 
                        (select trim(numero) from cabcomum.pessoa_documento pd where pd.idpessoa = p.id and pd.idtipo_documento = 5) as cpfusuario, 
                        p.data_nascimento  as datanascimentoUsuario 
                    From cabcomum.pessoa p 
                    inner join cabcomum.ref_sistema s on s.id = p.idref_sistema
                    left outer join usuario u on p.id = u.idpessoa ) Aux ".$sqlComplemento.  " ORDER BY ". $ordem. " LIMIT " . $numreg . " OFFSET " . $inicial;
    
    $sql_conta = "select * from ( Select p.id as idpessoa, descricao as sistema, numerocreas, p.data_criacao as datacadastrousuario, p.nome as nomeUsuario, 
                        (select trim(numero) From cabcomum.pessoa_documento pd where pd.idpessoa = p.id and pd.idtipo_documento = 4) as nisusuario, 
                        (select trim(numero) from cabcomum.pessoa_documento pd where pd.idpessoa = p.id and pd.idtipo_documento = 5) as cpfusuario, 
                        p.data_nascimento  as datanascimentoUsuario 
                    From cabcomum.pessoa p 
                    inner join cabcomum.ref_sistema s on s.id = p.idref_sistema
                    left outer join usuario u on p.id = u.idpessoa ) Aux  ".$sqlComplemento ;
	

	$result=pg_query($dbh, $sql);
	$result_conta = pg_query($dbh, $sql_conta);

	if (!$result) {
	   die("Erro na selecao do usuario" . pg_last_error());
	   header('location:index.php?msn=3');
	}

	// Serve para contar quantos registros você tem na seua tabela para fazer a paginação
	$quantreg = pg_num_rows($result_conta); // Quantidade de registros pra paginação
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>CREAS - CENTRO DE REFERÊNCIA ESPECIAL DA ASSISTÊNCIA SOCIAL</title>
<link href="stylo.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
.style1 {color: #006600}
-->
</style>
</head>

<script type="text/javascript" src="js/mascaras.js"></script>

<body topmargin="0" leftmargin="0" onLoad="document.New_Form.s_nomeUsuario.focus();">

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>
<?
include "includes/config2.php";
?></td>
  </tr>
  <tr>
    <td><form name="New_Form" action="main.php?acao=<? echo $acao;?>" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td class="titulos3">Pesquisa:</td>
        </tr>
        <tr>
          <td><div align="center">Informe pelos menos um dos campos abaixo para filtrar/encontrar dados de Usuarios cadastrados</div></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
        </tr>
        <tr>
          <td><div align="center">
            <table width="95%" border="0" cellpadding="0" cellspacing="0" bgcolor="#EFEFEF">
              <tr>
                <td><div align="center">
                Nome: <input name="s_nomeUsuario" type="text" class="campos2" id="s_nomeUsuario" size="30" value="<? echo $s_nomeUsuario;?>"/>
                CPF: <input name="s_cpfusuario" type="text" class="campos2" id="s_cpfusuario" size="14" maxlength="14" onkeypress="mascara(this,cpf);" value="<? echo $s_cpfusuario;?>"/>
				NIS:
				<input name="s_nis" type="text" class="campos2" id="s_nis" size="30" maxlength="11" value="<? echo $s_nis;?>"/>
                &nbsp;&nbsp;&nbsp;
                <input name="buscar" type="submit" class="botao2" id="buscar" value="buscar" />

                <input name="s_acao" type="hidden" id="s_acao" value="<? echo $acao;?>" />
                </div></td>
              </tr>
            </table>
          </div></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
        </tr>
        <tr>
          <td height="10" class="titulos3"></td>
        </tr>
      </table>
    </form>    </td>
  </tr>
  <tr>
    <td><div align="center" class="style1"><? if($_GET['reacao']=="retorno"){ echo "Operação realizada com SUCESSO!"; }?></div></td>
  </tr>
  <tr>
    <td><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="titulos"><div align="center" class="titulos2">
            <div align="left">
              
              <input name="recadastrarNovoUsuario2" type="button" class="produtos2" id="recadastrarNovoUsuario2" value="Cadastrar novo usuário" onclick="window.location='cadastro.php';" />
              
            </div>
        </div></td>
        <td class="titulos"><div align="center"><span class="titulos2">
          .:: Lista de Usuarios ::. <br>

          </span></div></td>
        <td class="titulos"><div align="right">
            
            <input name="recadastrarNovoUsuario2" type="button" class="produtos2" id="recadastrarNovoUsuario2" value="Cadastrar novo usuário" onclick="window.location='cadastro.php';" />
            
        </div></td>
      </tr>

    </table></td>
  </tr>
   <? if($reacao=="retorno")
  	{
  ?>
  <tr>
    <td><div align="center" class="style1"><? echo $_SESSION["f_retorno"];  ?></div></td>
  </tr>
  <? }?><tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><div align="center">
      <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td colspan="5" bgcolor="#EFEFEF" class="titulos4"><div align="center" >&nbsp;
			<?
			if(isset($result))
			{
			$quant_pg = ceil($quantreg/$numreg);
        	$quant_pg++;

        	// Verifica se esta na primeira página, se nao estiver ele libera o link para anterior
			if ( $pg > 0) {
			?>
              <a href="<? echo $link;?>?pg=<? echo $pg-1; ?>&acao=<? echo $acao; ?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b>&laquo; anterior</b></a>
			<?
			} else {
			  ?>
              <span class="textos">&laquo; anterior</span>
<?
			}

        // Faz aparecer os numeros das página entre o ANTERIOR e PROXIMO
        for($i_pg=1;$i_pg<$quant_pg;$i_pg++) {
                // Verifica se a página que o navegante esta e retira o link do número para identificar visualmente
                if ($pg == ($i_pg-1)) {
				?>
                <span class="textos">[<? echo $i_pg;?>]</span>
				<?

                } else {
                        $i_pg2 = $i_pg-1;
						?>
						  <a href="<? echo $link;?>?pg=<? echo $i_pg2;?>&acao=<? echo $acao;?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b><? echo $i_pg;?></b></a>
						<?

                }
        }

        // Verifica se esta na ultima página, se nao estiver ele libera o link para próxima
        if (($pg+2) < $quant_pg) {
		?>
			<a href="<? echo $link;?>?pg=<? echo $pg+1;?>&acao=<? echo $acao;?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b>próximo &raquo;</b></a>
		<?

        } else {
		?>
	        <span class="textos">próximo &raquo;</span>
		<?

        }
			}
?>
		    </div>            </td>
          </tr>

        <tr>
          <td colspan="5" height="5"></td>
          </tr>
        <tr class="titulos4">
          <td width="36%" bordercolor="#E77817"><div align="center">
          <a href="<? echo $link;?>?acao=<? echo $acao;?>&ordem=nomeUsuario&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="botao">
          Nome</a> <? if ($ordem == 'nomeUsuario') {?><img src="images/setaBaixo.jpg" width="10" height="9" /><? }?></div></td>
          <td width="19%" bordercolor="#E77817"><div align="center">
          <a href="<? echo $link;?>?acao=<? echo $acao;?>&ordem=cpfusuario&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="botao">
          CPF</a> <? if ($ordem == 'cpfusuario') {?><img src="images/setaBaixo.jpg" width="10" height="9" /><? }?></div></td>
          <td width="21%" bordercolor="#E77817"><div align="center">
		  <a href="<? echo $link;?>?acao=<? echo $acao;?>&ordem=nisusuario&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="botao">
		  NIS</a> <? if ($ordem == 'nisusuario') {?><img src="images/setaBaixo.jpg" width="10" height="9" /><? }?></div></td>
          <td width="18%" bordercolor="#E77817"><div align="center">
          <a href="<? echo $link;?>?acao=<? echo $acao;?>&ordem=datanascimentoUsuario&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="botao">
          Data de Nascimento</a> <? if ($ordem == 'datanascimentoUsuario') {?><img src="images/setaBaixo.jpg" width="10" height="9" /><? }?></div></td>
          <td width="18%" bordercolor="#E77817"><div align="center">
          <a href="<? echo $link;?>?acao=<? echo $acao;?>&ordem=sistema&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="botao">
          Sistema</a> <? if ($ordem == 'sistema') {?><img src="images/setaBaixo.jpg" width="10" height="9" /><? }?></div></td>
          <td width="6%" bordercolor="#E77817">&nbsp;</td>
        </tr>
        <?
		  
		  //lista os Usuarios
		  $i = 0;
		  if(isset($result))
		  {		  
          while ($row = pg_fetch_array($result))
		  {
		  	$i++;
		  	if ($i % 2) $cor = '#EFEFEF';
			else $cor = '#FFFFFF';			
			  
			//$linkNext = 'cadastro.php?acao=atualizar&numerocreas='.trim($row["numerocreas"]) . '&datacadastrousuario='. date('Y-m-d H:i:s', strtotime($row["datacadastrousuario"]));
            $linkNext = 'cadastro.php?acao=atualizar&idpessoa='.trim($row["idpessoa"]);
			 
		?>
        <tr bgcolor="<? echo $cor;?>">
          <td bgcolor="<? echo $cor?>" align="left"><a href="<?=$linkNext?>" class="produtosLink"><?=$row["nomeusuario"]?></a></td>
          <td bgcolor="<? echo $cor?>"><div align="center"><a href="<?=$linkNext?>" class="produtosLink"><?=FormataCPF($row["cpfusuario"])?></a></div></td>
          <td bgcolor="<? echo $cor?>"><div align="center"><a href="<?=$linkNext?>" class="produtosLink"><?=$row["nisusuario"]?></a></div></td>
          <td bgcolor="<? echo $cor?>"><div align="center"><a href="<?=$linkNext?>" class="produtosLink"><? echo date('d/m/Y', strtotime($row["datanascimentousuario"]));?></a></div></td>
          <td bgcolor="<? echo $cor?>"><div align="center"><a href="<?=$linkNext?>" class="produtosLink"><?=$row["sistema"]?></a></div></td>
          <td bgcolor="<? echo $cor?>"><div align="center"></div></td>
        </tr>
        <? 	}
		  }
		  else
		  {
		  	echo '<tr><td colspan="4"><div align="center">&nbsp;</div></td></tr>
				  <tr><td colspan="4"><div align="center">Utilize algum filtro para visualizar a lista de Usuarios</div></td></tr>
				  <tr><td colspan="4"><div align="center">&nbsp;</div></td></tr>';
		  }
			 ?>
        <tr>
          <td colspan="5" bgcolor="#EFEFEF" class="titulos4"><div align="center" >&nbsp;
			<?
			if(isset($result))
			{
			$quant_pg = ceil($quantreg/$numreg);
        	$quant_pg++;

        	// Verifica se esta na primeira página, se nao estiver ele libera o link para anterior
			if ( $pg > 0) {
			?>
              <a href="<? echo $link;?>?pg=<? echo $pg-1; ?>&acao=<? echo $acao; ?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b>&laquo; anterior</b></a>
			<?
			} else {
			  ?>
              <span class="textos">&laquo; anterior</span>
<?
			}

        // Faz aparecer os numeros das página entre o ANTERIOR e PROXIMO
        for($i_pg=1;$i_pg<$quant_pg;$i_pg++) {
                // Verifica se a página que o navegante esta e retira o link do número para identificar visualmente
                if ($pg == ($i_pg-1)) {
				?>
                <span class="textos">[<? echo $i_pg;?>]</span>
				<?

                } else {
                        $i_pg2 = $i_pg-1;
						?>
						  <a href="<? echo $link;?>?pg=<? echo $i_pg2;?>&acao=<? echo $acao;?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b><? echo $i_pg;?></b></a>
						<?

                }
        }

        // Verifica se esta na ultima página, se nao estiver ele libera o link para próxima
        if (($pg+2) < $quant_pg) {
		?>
			<a href="<? echo $link;?>?pg=<? echo $pg+1;?>&acao=<? echo $acao;?>&ordem=<? echo $ordem; ?>&nomeUsuario=<? echo $s_nomeUsuario; ?>&cpfusuario=<? echo $s_cpfusuario; ?>&<? echo "nis=".$s_nis; ?>" class="produtos2"><b>próximo &raquo;</b></a>
		<?

        } else {
		?>
	        <span class="textos">próximo &raquo;</span>
		<?

        }
			}
?>
		    </div>            </td>
          </tr>
      </table>
       </div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <div id="footer"><? include "includes/rodape.php"; ?></div>
</table>
</body>
</html>
<?
include "includes/end.php";
?>
