<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
error_reporting(0);
session_start();

//script para inclusao de novos usuarios

// inclui funcoes escritas em php
require "includes/functions.php";

$numerocreas = $_SESSION['f_numerocreas'];

// Importa Dados de Usuarios

$_SESSION["f_semdocumentosusuario"]               = ($semdocumentosusuario               = pg_escape_string($_POST['form_semdocumentosusuario']));

$_SESSION["f_nomeUsuario"]                        = ($nomeusuario                        = pg_escape_string($_POST['form_nomeUsuario']));
$_SESSION["f_nomeMae"]                        = ($nomemae                        = pg_escape_string($_POST['form_nomeMae']));
$_SESSION["f_nrocadsususuario"]                   = ($nrocadsususuario                   = pg_escape_string($_POST['form_nrocadsususuario']));
$_SESSION["f_nrocadsususuarioapresentada"]        = ($nrocadsususuarioapresentada        = pg_escape_string($_POST['form_nrocadsususuarioapresentada']));
$_SESSION["f_nrocadsususuariodigitalizada"]       = ($nrocadsususuariodigitalizada       = pg_escape_string($_POST['form_nrocadsususuariodigitalizada']));

$_SESSION['f_codigomedidasocioeducativa']                     = ($codigomedidasocioeducativa       = pg_escape_string($_POST['form_codigomedidasocioeducativa']));
$_SESSION['f_idabrigousuario']                     = ($idabrigousuario       = pg_escape_string($_POST['form_idabrigousuario']));
$_SESSION['f_idabrigoidosousuario']                     = ($idabrigoidosousuario       = pg_escape_string($_POST['form_idabrigoidosousuario']));

$_SESSION['f_codigoPaisUsuario'] =   ($codigopaisusuario       = pg_escape_string($_POST['form_codigoPaisUsuario']));
$_SESSION['f_nacionalidadeUsuario'] =  ($nacionalidadeusuario       = pg_escape_string($_POST['form_nacionalidadeUsuario']));

$_SESSION["f_sexoUsuario"]                        = ($sexousuario                        = pg_escape_string($_POST['form_sexoUsuario']));
$_SESSION["f_dataNascimentoUsuario"]              = ($datanascimentousuario              = pg_escape_string($_POST['form_dataNascimentoUsuario']));
$_SESSION["f_codigoMunicipioUsuario"]               = ($codigomunicipiousuario           = pg_escape_string($_POST['form_codigoMunicipioUsuario']));

$_SESSION["f_nisusuario"]                   = ($nisusuario                   = pg_escape_string($_POST['form_nisusuario']));
$_SESSION["f_nisusuarioapresentada"]        = ($nisusuarioapresentada        = pg_escape_string($_POST['form_nisusuarioapresentada']));
$_SESSION["f_nisusuariodigitalizada"]       = ($nisusuariodigitalizada         = pg_escape_string($_POST['form_nisusuariodigitalizada']));

$_SESSION["f_cpfusuario"]                         = ($cpfusuario                         =  str_replace( "-","", str_replace(".","",pg_escape_string($_POST['form_cpfusuario']))) );
$_SESSION["f_cpfapresentada"]                    = ($cpfapresentada                    = pg_escape_string($_POST['form_cpfapresentada']));
$_SESSION["f_cpfdigitalizada"]                  = ($cpfdigitalizada                  = pg_escape_string($_POST['form_cpfdigitalizada']));

$_SESSION["f_rgusuario"]                         = ($rgusuario                         = pg_escape_string($_POST['form_rgusuario']));
$_SESSION["f_rgusuarioapresentada"]              = ($rgusuarioapresentada              = pg_escape_string($_POST['form_rgusuarioapresentada']));
$_SESSION["f_rgusuariodigitalizada"]             = ($rgusuariodigitalizada             = pg_escape_string($_POST['form_rgusuariodigitalizada']));
$_SESSION["f_rgusuarioestado"]           = ($rgusuarioestado  = pg_escape_string($_POST['form_rgusuarioestado']));
$_SESSION["f_rgusuariodataemissao"]           = ($rgusuariodataemissao  = pg_escape_string($_POST['form_rgusuariodataemissao']));
$_SESSION["f_rgusuarioorgaoemissor"]          = ($rgusuarioorgaoemissor  = pg_escape_string($_POST['form_rgusuarioorgaoemissor']));

$_SESSION["f_carteiratrabusuario"]              = ($carteiratrabusuario = pg_escape_string($_POST['form_carteiratrabusuario']));
$_SESSION["f_carteiratrabusuarioserie"]         = ($carteiratrabusuarioserie = pg_escape_string($_POST['form_carteiratrabusuarioserie']));
$_SESSION["f_carteiratrabusuarioestado"]        = ($carteiratrabusuarioestado = pg_escape_string($_POST['form_carteiratrabusuarioestado']));
$_SESSION["f_carteiratrabusuariodataemissao"]   = ($carteiratrabusuariodataemissao = pg_escape_string($_POST['form_carteiratrabusuariodataemissao']));
$_SESSION["f_carteiratrabusuarioapresentada"]    = ($carteiratrabusuarioapresentada = pg_escape_string($_POST['form_carteiratrabusuarioapresentada']));
$_SESSION["f_carteiratrabusuariodigitalizada"]  = ($carteiratrabusuariodigitalizada = pg_escape_string($_POST['form_carteiratrabusuariodigitalizada']));

$_SESSION["f_titeleitorusuario"]                  = ($titeleitorusuario = pg_escape_string($_POST['form_titeleitorusuario']));
$_SESSION["f_titeleitorusuariozona"]             = ($titeleitorusuariozona = pg_escape_string($_POST['form_titeleitorusuariozona']));
$_SESSION["f_titeleitorusuariosecao"]           = ($titeleitorusuariosecao = pg_escape_string($_POST['form_titeleitorusuariosecao']));
$_SESSION["f_titeleitorusuarioapresentada"]         = ($titeleitorusuarioapresentada = pg_escape_string($_POST['form_titeleitorusuarioapresentada']));
$_SESSION["f_titeleitorusuariodigitalizada"]        = ($titeleitorusuariodigitalizada = pg_escape_string($_POST['form_titeleitorusuariodigitalizada']));

$_SESSION["f_pispasepusuario"]                  = ($pispasepusuario = pg_escape_string($_POST['form_pispasepusuario']));
$_SESSION["f_pispasepusuarioapresentada"]       = ($pispasepusuarioapresentada = pg_escape_string($_POST['form_pispasepusuarioapresentada']));
$_SESSION["f_pispasepusuariodigitalizada"]         = ($pispasepusuariodigitalizada = pg_escape_string($_POST['form_pispasepusuariodigitalizada']));

$_SESSION["f_certidaotipousuario"]              = ($certidaotipousuario = pg_escape_string($_POST['form_certidaotipousuario']));
$_SESSION["f_certidaofolhausuario"]             = ($certidaofolhausuario = pg_escape_string($_POST['form_certidaofolhausuario']));
$_SESSION["f_certidaotermousuario"]             = ($certidaotermousuario = pg_escape_string($_POST['form_certidaotermousuario']));
$_SESSION["f_certidaolivrousuario"]             = ($certidaolivrousuario = pg_escape_string($_POST['form_certidaolivrousuario']));
$_SESSION["f_certidaocartoriousuario"]          = ($certidaocartoriousuario = pg_escape_string($_POST['form_certidaocartoriousuario']));
$_SESSION["f_certidaocartoriousuarioapresentada"] = ($certidaocartoriousuarioapresentada = pg_escape_string($_POST['form_certidaocartoriousuarioapresentada']));
$_SESSION["f_certidaocartoriodigitalizadausuario"] = ($certidaocartoriodigitalizadausuario = pg_escape_string($_POST['form_certidaocartoriodigitalizadausuario']));
$_SESSION["f_certidaousuariodataemissao"] = ($certidaousuariodataemissao = pg_escape_string($_POST['form_certidaousuariodataemissao']));


$_SESSION["f_cartmotoristausuario"]                 = ($cartmotoristausuario = pg_escape_string($_POST['form_cartmotoristausuario']));
$_SESSION["f_cartmotoristaapresentada"]            = ($cartmotoristaapresentada = pg_escape_string($_POST['form_cartmotoristaapresentada']));
$_SESSION["f_cartmotoristadigitalizada"]              = ($cartmotoristadigitalizada = pg_escape_string($_POST['form_cartmotoristadigitalizada']));

$_SESSION["f_logradouroTipoUsuario"]              = ($logradourotipousuario              = pg_escape_string($_POST['form_logradouroTipoUsuario']));
$_SESSION["f_logradouroNomeUsuario"]              = ($logradouronomeusuario              = pg_escape_string($_POST['form_logradouroNomeUsuario']));
$_SESSION["f_logradouroNumeroUsuario"]            = ($logradouronumerousuario            = pg_escape_string($_POST['form_logradouroNumeroUsuario']));
$_SESSION["f_logradouroComplementoUsuario"]       = ($logradourocomplementousuario       = pg_escape_string($_POST['form_logradouroComplementoUsuario']));
$_SESSION["f_logradouroBairroUsuario"]            = ($logradourobairrousuario            = pg_escape_string($_POST['form_logradouroBairroUsuario']));
$_SESSION["f_logradouroCidadeUsuario"]            = ($logradourocidadeusuario            = pg_escape_string($_POST['form_logradouroCidadeUsuario']));
$_SESSION["f_logradouroUfUsuario"]                = ($logradouroufusuario                = pg_escape_string($_POST['form_logradouroUfUsuario']));
$_SESSION["f_logradouroCepUsuario"]               = ($logradourocepusuario               = str_replace("-","", pg_escape_string($_POST['form_logradouroCepUsuario'])));
$_SESSION["f_logradouroGeoiguacuUsuario"]         = ($logradourogeoiguacuusuario         = pg_escape_string($_POST['form_logradouroGeoiguacuUsuario']));
$_SESSION["f_logradouroNaoCadastrado"]          = ($logradouronaocadastradousuario          = pg_escape_string($_POST['form_logradouroNaoCadastrado']));
$_SESSION["f_logradouroPontoReferenciaUsuario"]   = ($logradouropontoreferenciausuario   = pg_escape_string($_POST['form_logradouroPontoReferenciaUsuario']));
$_SESSION["f_logradourotipojustificativa"]      = ($logradourotipojustificativa   = pg_escape_string($_POST['form_logradourotipojustificativa']));
$_SESSION["f_logradourojustificativausuario"]   = ($logradourojustificativausuario   = pg_escape_string($_POST['form_logradourojustificativausuario']));
$_SESSION["f_tipoendereco"]                     = ($tipoendereco   = pg_escape_string($_POST['form_tipoendereco']));

$_SESSION["f_telefoneFixoUsuario"]                = ($telefonefixousuario                = str_replace( "(","", str_replace( "-","", str_replace(") ","",pg_escape_string($_POST['form_telefoneFixoUsuario'])))));
$_SESSION["f_telefoneCelularUsuario"]             = ($telefonecelularusuario             = str_replace( "(","", str_replace( "-","", str_replace(") ","",pg_escape_string($_POST['form_telefoneCelularUsuario'])))));
$_SESSION["f_telefoneRecadoUsuario"]              = ($telefonerecadousuario              = str_replace( "(","", str_replace( "-","", str_replace(") ","",pg_escape_string($_POST['form_telefoneRecadoUsuario'])))));
$_SESSION["f_emailUsuario"]                       = ($emailusuario                       = pg_escape_string($_POST['form_emailUsuario']));

$_SESSION["f_possuiTelefoneFixoUsuario"]               = ($possuitelefonefixousuario               = pg_escape_string($_POST['form_possuiTelefoneFixo']));
$_SESSION["f_possuiTelefoneCelularUsuario"]            = ($possuitelefonecelularusuario            = pg_escape_string($_POST['form_possuiTelefoneCelular']));
$_SESSION["f_possuiTelefoneRecadoUsuario"]             = ($possuitelefonerecadousuario             = pg_escape_string($_POST['form_possuiTelefoneRecado']));
$_SESSION["f_possuiEmailUsuario"]                      = ($possuiemailusuario                      = pg_escape_string($_POST['form_possuiEmail']));

$_SESSION["f_enderecocorrespomesmo"]                      = ($enderecocorrespomesmo                   = pg_escape_string($_POST['form_enderecocorrespomesmo']));
$_SESSION["f_logradourocorresptipousuario"]        = ($logradourocorresptipousuario                   = pg_escape_string($_POST['form_logradourocorresptipousuario']));
$_SESSION["f_logradourocorrespnomeusuario"]            = ($logradourocorrespnomeusuario               = pg_escape_string($_POST['form_logradourocorrespnomeusuario']));
$_SESSION["f_logradourocorrespnumerousuario"]            = ($logradourocorrespnumerousuario           = pg_escape_string($_POST['form_logradourocorrespnumerousuario']));
$_SESSION["f_logradourocorrespcomplementousuario"]     = ($logradourocorrespcomplementousuario        = pg_escape_string($_POST['form_logradourocorrespcomplementousuario']));
$_SESSION["f_logradourocorrespbairrousuario"]            = ($logradourocorrespbairrousuario           = pg_escape_string($_POST['form_logradourocorrespbairrousuario']));
$_SESSION["f_logradourocorrespcidadeusuario"]            = ($logradourocorrespcidadeusuario           = pg_escape_string($_POST['form_logradourocorrespcidadeusuario']));
$_SESSION["f_logradourocorrespcepusuario"]            = ($logradourocorrespcepusuario                 = str_replace("-","", pg_escape_string($_POST['form_logradourocorrespcepusuario'])));


$_SESSION["f_conjugemoradomiciliousuario"]            = ($conjugemoradomiciliousuario                 = pg_escape_string($_POST['form_conjugemoradomiciliousuario']));
$_SESSION["f_numcomodosdomiciliousuario"]            = ($numcomodosdomiciliousuario                 = pg_escape_string($_POST['form_numcomodosdomiciliousuario']));
$_SESSION["f_naosaberespcomodosdomiciliousuario"]       = ($naosaberespcomodosdomiciliousuario  = pg_escape_string($_POST['form_naosaberespcomodosdomiciliousuario']));


$_SESSION["f_diagnosticooutrosusuario"]            = ($diagnosticooutrosusuario                 = pg_escape_string($_POST['form_diagnosticooutrosusuario']));

$_SESSION['f_recorreusuario']                       = ($recorreusuario                   = pg_escape_string($_POST['form_recorreusuario']));
$_SESSION['f_gravidezprecocedomicusuario']          = ($gravidezprecocedomicusuario                   = pg_escape_string($_POST['form_gravidezprecocedomicusuario']));
$_SESSION['f_faixagravidezprecocedomicusuario']   = ($faixagravidezprecocedomicusuario                   = pg_escape_string($_POST['form_faixagravidezprecocedomicusuario']));

$_SESSION['f_criancadomictrabusuario'] =     ($criancadomictrabusuario                   = pg_escape_string($_POST['form_criancadomictrabusuario']));
$_SESSION['f_medidasocioeducativausuario'] = ($medidasocioeducativausuario                   = pg_escape_string($_POST['form_medidasocioeducativausuario']));
$_SESSION['f_frequentaabrigousuario'] =     ($frequentaabrigousuario                   = pg_escape_string($_POST['form_frequentaabrigousuario']));
$_SESSION['f_frequentaabrigoidosousuario'] =     ($frequentaabrigoidosousuario                   = pg_escape_string($_POST['form_frequentaabrigoidosousuario']));

//$_SESSION['f_frequentaabrigoqualusuario'] = ($frequentaabrigoqualusuario                   = pg_escape_string($_POST['form_frequentaabrigoqualusuario']));
$_SESSION['f_acompconselhotutelarusuario'] = ($acompconselhotutelarusuario                   = pg_escape_string($_POST['form_acompconselhotutelarusuario']));

$_SESSION['f_beneficiooutrosusuario'] = ($beneficiooutrosusuario                   = pg_escape_string($_POST['form_beneficiooutrosusuario']));
$_SESSION['f_outroservicoequipamentousuario'] = ($outroservicoequipamentousuario = pg_escape_string($_POST['form_outroservicoequipamentousuario']));





$_SESSION['f_desenvolvimentovisita']                  = ($desenvolvimentovisita       = pg_escape_string($_POST['form_desenvolvimentovisita']));


$_SESSION['f_numtipopessoafamiliaprocurouCREAS']  = ($numtipopessoafamiliaprocurouCREAS       = pg_escape_string($_POST['form_numtipopessoafamiliaprocurouCREAS']));
$_SESSION['f_nomefamiliar']  			= ($nomefamiliar       = pg_escape_string($_POST['form_nomefamiliar']));



//dados dos relacionamentos 1 - N

$_SESSION["f_usuarioencaminhadopor"]     = ($usuarioencaminhadopor          = $_POST['form_encaminhadopor']);
$_SESSION["f_usuarioapoio"]             = ($usuarioapoio          = $_POST['form_usuarioapoio']);
$_SESSION["f_usuariotipoapoio"]         = ($usuariotipoapoio          = $_POST['form_usuariotipoapoio']);
$_SESSION["f_usuariodiagnostico"]        = ($usuariodiagnostico          = $_POST['form_usuariodiagnostico']);
$_SESSION["f_usuarioacompanhamento"]        = ($usuarioacompanhamento    = $_POST['form_usuarioacompanhamento']);


$_SESSION["f_visitaprograma"]            = ($visitaprograma          = $_POST['form_visitaprograma']);
$_SESSION["f_visitatipoatendimento"]     = ($visitatipoatendimento          = $_POST['form_visitatipoatendimento']);


//vetor de beneficios
$usuariobeneficio = $_POST['beneficio'];


//montar vetor em memoria no caso de dar erro, o usuario ainda ter os dados na tela
$qt = sizeof($usuariobeneficio);
$indiceGravacoes=0;
while ($indiceGravacoes != $qt)
{
    $id_benef = $usuariobeneficio[$indiceGravacoes];
    $_SESSION['f_usuariobeneficio'.$id_benef] =  pg_escape_string($_POST['form_usuariobeneficio'.$id_benef]);
    $indiceGravacoes++;
}

//vetor de servicos
$servicosequipamentos = $_POST['servicosequipamentos'];

$qt = sizeof($servicosequipamentos);
$indiceGravacoes=0;
while ($indiceGravacoes != $qt)
{
    $id_benef = $servicosequipamentos[$indiceGravacoes];
    $_SESSION['f_usuarioservicosequipamentos'.$id_benef] =  pg_escape_string($_POST['form_usuarioservicosequipamentos'.$id_benef]);
    $indiceGravacoes++;
}


//realiza um loop montando variaveis que serão utilizadas na insercao no cadastro familia

for ($i=1;$i<=10;$i++)
{
    $_SESSION["f_1_nomemembrofamilia$i"] = pg_escape_string($_POST["form_1_nomemembrofamilia$i"]);
    
    $_SESSION["f_1_idadepessoafamilia$i"] = pg_escape_string($_POST["form_1_idadepessoafamilia$i"]);
    $_SESSION["f_1_grauparentesco$i"] = pg_escape_string($_POST["form_1_grauparentesco$i"]);
    $_SESSION["f_1_sexopessoafamilia$i"] = pg_escape_string($_POST["form_1_sexopessoafamilia$i"]);
    $_SESSION["f_1_corracamembrofamilia$i"] = pg_escape_string($_POST["form_1_corracamembrofamilia$i"]);
    $_SESSION["f_1_alfabetizadomembrofamilia$i"] =  pg_escape_string($_POST["form_1_alfabetizadomembrofamilia$i"]);
    $_SESSION["f_1_ocupacao$i"] =  pg_escape_string($_POST["form_1_ocupacao$i"]);
    $_SESSION["f_1_temrendatrabalhomembrofamilia$i"] =  pg_escape_string($_POST["form_1_temrendatrabalhomembrofamilia$i"]);
    $_SESSION["f_1_deficienciamembrofamilia$i"] = pg_escape_string($_POST["form_1_deficienciamembrofamilia$i"]);
    $_SESSION["f_1_valorrendatrabalhomembrofamilia$i"] =  pg_escape_string($_POST["form_1_valorrendatrabalhomembrofamilia$i"]);

    //ajusta campos de valor e data
    $_SESSION["f_1_valorrendatrabalhomembrofamilia$i"] = str_replace(".",",",$_SESSION["f_1_valorrendatrabalhomembrofamilia$i"]);


    $_SESSION["f_2_nomemembrofamilia$i"] = pg_escape_string($_POST["form_2_nomemembrofamilia$i"]);
    $_SESSION["f_2_idadepessoafamilia$i"] = pg_escape_string($_POST["form_2_idadepessoafamilia$i"]);
    $_SESSION["f_2_tipoidade$i"] = pg_escape_string($_POST["form_2_tipoidade$i"]);
    $_SESSION["f_2_grauparentesco$i"] = pg_escape_string($_POST["form_2_grauparentesco$i"]);
    $_SESSION["f_2_sexopessoafamilia$i"] = pg_escape_string($_POST["form_2_sexopessoafamilia$i"]);
    $_SESSION["f_2_corracamembrofamilia$i"] = pg_escape_string($_POST["form_2_corracamembrofamilia$i"]);
    $_SESSION["f_2_deficienciamembrofamilia$i"] = pg_escape_string($_POST["form_2_deficienciamembrofamilia$i"]);
    $_SESSION["f_2_frequentaescolamembrofamilia$i"] =  pg_escape_string($_POST["form_2_frequentaescolamembrofamilia$i"]);
    
}


//realiza um loop montando variaveis que serão utilizadas na insercao dos programas do CERAS

for ($i=1;$i<=2;$i++)
{
    $_SESSION["f_programa$i"] = pg_escape_string($_POST["form_programa$i"]);
    $_SESSION["f_datainscricao$i"] = pg_escape_string($_POST["form_datainscricao$i"]);
    $_SESSION["f_numerocreasinscricao$i"] = pg_escape_string($_POST["form_numerocreasinscricao$i"]);
    $_SESSION["f_dataultcomparecimento$i"] = pg_escape_string($_POST["form_dataultcomparecimento$i"]);
    $_SESSION["f_situacaoinscricao$i"] = pg_escape_string($_POST["form_situacaoinscricao$i"]);
    $_SESSION["f_datadesligamentoabandono$i"] =  pg_escape_string($_POST["form_datadesligamentoabandono$i"]);
}


// Ajustes em campos vindo do formulário

if ($criancadomictrabusuario == '')     {$criancadomictrabusuario = 'Y';}
if ($gravidezprecocedomicusuario == '')  {$gravidezprecocedomicusuario = 'Y';}
if ($medidasocioeducativausuario== '')  {$medidasocioeducativausuario = 'Y';}
if ($frequentaabrigousuario== '')  {$frequentaabrigousuario = 'Y';}
if ($frequentaabrigoidosousuario== '')  {$frequentaabrigoidosousuario = 'Y';}
if ($acompconselhotutelarusuario== '')  {$acompconselhotutelarusuario = 'Y';}

if ($semdocumentosusuario == '')           {$semdocumentosusuario = 'N';}
if ($possuitelefonefixousuario == '')      {$possuitelefonefixousuario = 'S';}
if ($possuitelefonecelularusuario == '')   {$possuitelefonecelularusuario = 'S';}
if ($possuitelefonerecadousuario == '')    {$possuitelefonerecadousuario = 'S';}
if ($possuiemailusuario == '')             {$possuiemailusuario = 'S';}

if ($logradouronaocadastradousuario == '') {$logradouronaocadastradousuario = 'N';}

if ($naosaberespcomodosdomiciliousuario=='') {$naosaberespcomodosdomiciliousuario = 'N';}


if ($numcomodosdomiciliousuario == '')  {$numcomodosdomiciliousuario = 'null';}
if ($faixagravidezprecocedomicusuario == '')  {$faixagravidezprecocedomicusuario = '0';}

if ($enderecocorrespomesmo == 'S')
{
    $logradourocorresptipousuario = '';
    $logradourocorrespnomeusuario = '';
    $logradourocorrespnumerousuario = '';
    $logradourocorrespcomplementousuario = '';
    $logradourocorrespbairrousuario = '';
    $logradourocorrespcidadeusuario = '';
    $logradourocorrespcepusuario = '';
}

// Acerto no formato das Datas para retorno e outras variaveis


$datanascimento_1 =  substr($datanascimentousuario,6,4);
$datanascimento_2 =  substr($datanascimentousuario,2,3);
$datanascimento_3 = "/". substr($datanascimentousuario, 0,2);
$datanascimento = "'" . $datanascimento_1 . $datanascimento_2 . $datanascimento_3 . "'";

//$datanascimento = "'" . $datanascimentousuario . "'";

if ($rgusuariodataemissao != '')
{
    $data_1 =  substr($rgusuariodataemissao,6,4);
    $data_2 =  substr($rgusuariodataemissao,2,3);
    $data_3 = "/". substr($rgusuariodataemissao,0,2);
    $rgusuariodataemissao = "'" . $data_1 . $data_2 . $data_3 . "'";
}
else
{
    $rgusuariodataemissao = "null";
}

if ($carteiratrabusuariodataemissao != '')
{
    $data_1 =  substr($carteiratrabusuariodataemissao,6,4);
    $data_2 =  substr($carteiratrabusuariodataemissao,2,3);
    $data_3 = "/". substr($carteiratrabusuariodataemissao,0,2);
    $carteiratrabusuariodataemissao = "'" . $data_1 . $data_2 . $data_3 . "'";
}
else
{
    $carteiratrabusuariodataemissao = "null";
}

if ($certidaousuariodataemissao != '')
{
    $data_1 =  substr($certidaousuariodataemissao,6,4);
    $data_2 =  substr($certidaousuariodataemissao,2,3);
    $data_3 = "/". substr($certidaousuariodataemissao,0,2);
    $certidaousuariodataemissao = "'" . $data_1 . $data_2 . $data_3 . "'";
}
else
{
    $certidaousuariodataemissao = "null";
}



// Efetua Conexao ao Banco

include "includes/begin.php";
pg_set_client_encoding($dbh, UTF8);

     
// -----------------------------------------------------------

//     Define Inicio de transacao de Inclusao

// -----------------------------------------------------------

$result = pg_query($dbh, "BEGIN");
if (!$result)
{
   $erro = "Erro no Início da Transação";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepUsuario='.$inepUsuario);
   exit;
}

// Grava Tabela Usuario

$nome = "";
$indiceNome = 0;
$tamanhoNome=strlen($nomeusuario);

while ($indiceNome != $tamanhoNome)
{
   if ($nomeUsuario[$indiceNome] == ' ')
   {
       $nome = $nome . " ";
   }
   else
   {
       $nomeUsuario[$indiceNome] = preg_replace("[^a-zA-Z0-9_.]", "",
       strtr($nomeUsuario[$indiceNome], "áàãâéêíóôõúüçÁÀÃÂÉÊÍÓÔÕÚÜÇ ",
       "aaaaeeiooouucAAAAEEIOOOUUC_"));
       $nome = $nome . $nomeusuario[$indiceNome];
   }
   $indiceNome+=1;
}
$nomeusuario = strtoupper($nome);


//verifica se atualiza ou insere novos dados

$numerocreasusuario = $_SESSION['f_numerocreasusuario'];
$datacadastrousuario = $_SESSION['f_datacadastrousuario'];

if ($datacadastrousuario=='')
{
    $datacadastrousuario = date('Y-m-d H:i:s');
}


$idpessoa = $_SESSION['idpessoa'];

//data da visita
$datahora = date('Y-m-d H:i:s');

//atualiza os dados no Cab Comum
include "rotinaDeInclusaoCabComum.php";

if ( $numerocreasusuario == -1)
{
    $numerocreasusuario = $numerocreas;
    
    $sql = "INSERT INTO Usuario
    (
        numerocreas,
        datacadastrousuario,
        nomeusuario,
        nomemaeusuario,
        nrocadsususuario,
        nrocadsususuarioapresentada,
        nrocadsususuariodigitalizada,
        sexousuario,
        datanascimentousuario,
        codigomunicipiousuario,
        nisusuario,
        nisusuarioapresentada,
        nisusuariodigitalizada,
        cpfusuario,
        cpfapresentada,
        cpfdigitalizada,
        rgusuario,
        rgusuarioestado,
        rgusuariodataemissao,
        rgusuarioorgaoemissor,
        rgusuarioapresentada,
        rgusuariodigitalizada,
        carteiratrabusuario,
        carteiratrabusuarioserie,
        carteiratrabusuarioestado,
        carteiratrabusuariodataemissao,
        carteiratrabusuarioapresentada,
        carteiratrabusuariodigitalizada,
        titeleitorusuario,
        titeleitorusuariozona,
        titeleitorusuariosecao,
        titeleitorusuarioapresentada,
        titeleitorusuariodigitalizada,
        pispasepusuario,
        pispasepusuarioapresentada,
        pispasepusuariodigitalizada,
        certidaotipousuario,
        certidaofolhausuario,
        certidaotermousuario,
        certidaolivrousuario,
        certidaocartoriousuario,
        certidaocartoriousuarioapresentada,
        certidaocartoriodigitalizadausuario,
        certidaousuariodataemissao,
        cartmotoristausuario,
        cartmotoristaapresentada,
        cartmotoristadigitalizada,
        logradourotipousuario,
        logradouronomeusuario,
        logradouronumerousuario,
        logradourocomplementousuario,
        logradourobairrousuario,
        logradourocidadeusuario,
        logradourocepusuario,
        logradourogeoiguacuusuario,
        logradouronaocadastradousuario,
        logradourotipojustificativa,
        logradourojustificativausuario,
        logradouropontoreferenciausuario,
        tipoendereco,
        telefonefixousuario,
        telefonecelularusuario,
        telefonerecadousuario,
        emailusuario,
        possuitelefonefixousuario,
        possuitelefonecelularusuario,
        possuitelefonerecadousuario,
        possuiemailusuario,
        enderecocorrespomesmo,
        logradourocorresptipousuario,
        logradourocorrespnomeusuario,
        logradourocorrespnumerousuario,
        logradourocorrespcomplementousuario,
        logradourocorrespbairrousuario,
        logradourocorrespcidadeusuario,
        logradourocorrespcepusuario,

        conjugemoradomiciliousuario,
        numcomodosdomiciliousuario,
        naosaberespcomodosdomiciliousuario,
        recorreusuario,
        gravidezprecocedomicusuario,
        faixagravidezprecocedomicusuario,
        criancadomictrabusuario,
        medidasocioeducativausuario,
        frequentaabrigocriancausuario,
        frequentaabrigoidosousuario,

        acompconselhotutelarusuario,
        beneficiooutrosusuario,
        outroservicoequipamentousuario,

        codigopaisusuario,
        nacionalidadeusuario,
        idabrigocriancausuario,
        idabrigoidosousuario,
        semdocumentosusuario,
        codigomedidasocioeducativa,
        diagnosticooutrosusuario,
        idpessoa

    ) VALUES (
        '$numerocreasusuario',
        '$datacadastrousuario',
        '$nomeusuario',
        '$nomemae',
        '$nrocadsususuario',
        '$nrocadsususuarioapresentada',
        '$nrocadsususuariodigitalizada',
        '$sexousuario',
        $datanascimento,
        '$codigomunicipiousuario',
        '$nisusuario',
        '$nisusuarioapresentada',
        '$nisusuariodigitalizada',
        '$cpfusuario',
        '$cpfapresentada',
        '$cpfdigitalizada',
        '$rgusuario',
        '$rgusuarioestado',
        $rgusuariodataemissao,
        '$rgusuarioorgaoemissor',
        '$rgusuarioapresentada',
        '$rgusuariodigitalizada',
        '$carteiratrabusuario',
        '$carteiratrabusuarioserie',
        '$carteiratrabusuarioestado',
        $carteiratrabusuariodataemissao,
        '$carteiratrabusuarioapresentada',
        '$carteiratrabusuariodigitalizada',
        '$titeleitorusuario',
        '$titeleitorusuariozona',
        '$titeleitorusuariosecao',
        '$titeleitorusuarioapresentada',
        '$titeleitorusuariodigitalizada',
        '$pispasepusuario',
        '$pispasepusuarioapresentada',
        '$pispasepusuariodigitalizada',
        '$certidaotipousuario',
        '$certidaofolhausuario',
        '$certidaotermousuario',
        '$certidaolivrousuario',
        '$certidaocartoriousuario',
        '$certidaocartoriousuarioapresentada',
        '$certidaocartoriodigitalizadausuario',
        $certidaousuariodataemissao,
        '$cartmotoristausuario',
        '$cartmotoristaapresentada',
        '$cartmotoristadigitalizada',
        '$logradourotipousuario',
        '$logradouronomeusuario',
        '$logradouronumerousuario',
        '$logradourocomplementousuario',
        '$logradourobairrousuario',
        '$logradourocidadeusuario',
        '$logradourocepusuario',
        '$logradourogeoiguacuusuario',
        '$logradouronaocadastradousuario',
        '$logradourotipojustificativa',
        '$logradourojustificativausuario',
        '$logradouropontoreferenciausuario',
        '$tipoendereco',
        '$telefonefixousuario',
        '$telefonecelularusuario',
        '$telefonerecadousuario',
        '$emailusuario',
        '$possuitelefonefixousuario',
        '$possuitelefonecelularusuario',
        '$possuitelefonerecadousuario',
        '$possuiemailusuario',
        '$enderecocorrespomesmo',
        '$logradourocorresptipousuario',
        '$logradourocorrespnomeusuario',
        '$logradourocorrespnumerousuario',
        '$logradourocorrespcomplementousuario',
        '$logradourocorrespbairrousuario',
        '$logradourocorrespcidadeusuario',
        '$logradourocorrespcepusuario',

        '$conjugemoradomiciliousuario',
        $numcomodosdomiciliousuario,
        '$naosaberespcomodosdomiciliousuario',
        '$recorreusuario',
        '$gravidezprecocedomicusuario',
        '$faixagravidezprecocedomicusuario',
        '$criancadomictrabusuario',
        '$medidasocioeducativausuario',
        '$frequentaabrigousuario',
        '$frequentaabrigoidosousuario',

        '$acompconselhotutelarusuario',
        '$beneficiooutrosusuario',
        '$outroservicoequipamentousuario',

        '$codigopaisusuario',
        '$nacionalidadeusuario',
        '$idabrigousuario',
        '$idabrigoidosousuario',
        '$semdocumentosusuario',
        '$codigomedidasocioeducativa',
        '$diagnosticooutrosusuario',
        $idpessoa

    )";
}
else
{
     $sql = "UPDATE Usuario
        SET
        nomeusuario = '$nomeusuario',
        nomemaeusuario = '$nomemae',
        nrocadsususuario= '$nrocadsususuario',
        nrocadsususuarioapresentada = '$nrocadsususuarioapresentada',
        nrocadsususuariodigitalizada= '$nrocadsususuariodigitalizada',
        sexousuario= '$sexousuario',
        datanascimentousuario= $datanascimento,
        codigomunicipiousuario= '$codigomunicipiousuario',
        nisusuario = '$nisusuario',
        nisusuarioapresentada = '$nisusuarioapresentada',
        nisusuariodigitalizada = '$nisusuariodigitalizada',
        cpfusuario = '$cpfusuario',
        cpfapresentada = '$cpfapresentada',
        cpfdigitalizada = '$cpfdigitalizada',
        rgusuario = '$rgusuario',
        rgusuarioestado = '$rgusuarioestado',
        rgusuariodataemissao = $rgusuariodataemissao,
        rgusuarioorgaoemissor = '$rgusuarioorgaoemissor',
        rgusuarioapresentada = '$rgusuarioapresentada',
        rgusuariodigitalizada = '$rgusuariodigitalizada',
        carteiratrabusuario = '$carteiratrabusuario',
        carteiratrabusuarioserie = '$carteiratrabusuarioserie',
        carteiratrabusuarioestado = '$carteiratrabusuarioestado',
        carteiratrabusuariodataemissao = $carteiratrabusuariodataemissao,
        carteiratrabusuarioapresentada = '$carteiratrabusuarioapresentada',
        carteiratrabusuariodigitalizada = '$carteiratrabusuariodigitalizada',
        titeleitorusuario = '$titeleitorusuario',
        titeleitorusuariozona = '$titeleitorusuariozona',
        titeleitorusuariosecao = '$titeleitorusuariosecao',
        titeleitorusuarioapresentada = '$titeleitorusuarioapresentada',
        titeleitorusuariodigitalizada = '$titeleitorusuariodigitalizada',
        pispasepusuario = '$pispasepusuario',
        pispasepusuarioapresentada = '$pispasepusuarioapresentada',
        pispasepusuariodigitalizada = '$pispasepusuariodigitalizada',
        certidaotipousuario = '$certidaotipousuario',
        certidaofolhausuario = '$certidaofolhausuario',
        certidaotermousuario = '$certidaotermousuario',
        certidaolivrousuario = '$certidaolivrousuario',
        certidaocartoriousuario = '$certidaocartoriousuario',
        certidaocartoriousuarioapresentada = '$certidaocartoriousuarioapresentada',
        certidaocartoriodigitalizadausuario = '$certidaocartoriodigitalizadausuario',
        certidaousuariodataemissao = $certidaousuariodataemissao,
        cartmotoristausuario = '$cartmotoristausuario',
        cartmotoristaapresentada = '$cartmotoristaapresentada',
        cartmotoristadigitalizada = '$cartmotoristadigitalizada',
        logradourotipousuario = '$logradourotipousuario',
        logradouronomeusuario = '$logradouronomeusuario',
        logradouronumerousuario = '$logradouronumerousuario',
        logradourocomplementousuario = '$logradourocomplementousuario',
        logradourobairrousuario = '$logradourobairrousuario',
        logradourocidadeusuario = '$logradourocidadeusuario',
        logradourocepusuario = '$logradourocepusuario',
        logradourogeoiguacuusuario = '$logradourogeoiguacuusuario',
        logradouronaocadastradousuario = '$logradouronaocadastradousuario',
        logradourotipojustificativa = '$logradourotipojustificativa',
        logradourojustificativausuario = '$logradourojustificativausuario',
        logradouropontoreferenciausuario = '$logradouropontoreferenciausuario',
        tipoendereco = '$tipoendereco',
        telefonefixousuario = '$telefonefixousuario',
        telefonecelularusuario = '$telefonecelularusuario',
        telefonerecadousuario = '$telefonerecadousuario',
        emailusuario = '$emailusuario',
        possuitelefonefixousuario = '$possuitelefonefixousuario',
        possuitelefonecelularusuario = '$possuitelefonecelularusuario',
        possuitelefonerecadousuario = '$possuitelefonerecadousuario',
        possuiemailusuario = '$possuiemailusuario',
        enderecocorrespomesmo = '$enderecocorrespomesmo',
        logradourocorresptipousuario = '$logradourocorresptipousuario',
        logradourocorrespnomeusuario = '$logradourocorrespnomeusuario',
        logradourocorrespnumerousuario = '$logradourocorrespnumerousuario',
        logradourocorrespcomplementousuario = '$logradourocorrespcomplementousuario',
        logradourocorrespbairrousuario = '$logradourocorrespbairrousuario',
        logradourocorrespcidadeusuario = '$logradourocorrespcidadeusuario',
        logradourocorrespcepusuario = '$logradourocorrespcepusuario',


        conjugemoradomiciliousuario = '$conjugemoradomiciliousuario',
        numcomodosdomiciliousuario = $numcomodosdomiciliousuario,
        naosaberespcomodosdomiciliousuario = '$naosaberespcomodosdomiciliousuario',
        recorreusuario = '$recorreusuario',
        gravidezprecocedomicusuario = '$gravidezprecocedomicusuario',
        faixagravidezprecocedomicusuario = '$faixagravidezprecocedomicusuario',
        criancadomictrabusuario = '$criancadomictrabusuario',
        medidasocioeducativausuario = '$medidasocioeducativausuario',
        frequentaabrigocriancausuario = '$frequentaabrigousuario',
        frequentaabrigoidosousuario = '$frequentaabrigoidosousuario',

        acompconselhotutelarusuario = '$acompconselhotutelarusuario',
        beneficiooutrosusuario = '$beneficiooutrosusuario',
        outroservicoequipamentousuario = '$outroservicoequipamentousuario',

        codigopaisusuario = '$codigopaisusuario',
        nacionalidadeusuario = '$nacionalidadeusuario',
        idabrigocriancausuario = '$idabrigousuario',
        idabrigoidosousuario = '$idabrigoidosousuario',
        semdocumentosusuario = '$semdocumentosusuario',

        codigomedidasocioeducativa = '$codigomedidasocioeducativa',
        diagnosticooutrosusuario = '$diagnosticooutrosusuario'

        WHERE idpessoa = $idpessoa";
}


$sql = str_replace("''","null",$sql);
$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario - " .  str_replace("\n","",str_replace("\"","'",$erro));
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);

   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}

//GRAVAR RESPOSTAS QUESTIONARIO




//VISITA - SEMPRE GERA NOVA

if ($numtipopessoafamiliaprocurouCREAS > 10)
{
	$tipopessoafamiliaprocurouCREAS = "1";
        $numtipopessoafamiliaprocurouCREAS = $numtipopessoafamiliaprocurouCREAS - 10;
}
else
{
	$tipopessoafamiliaprocurouCREAS = "2";
}

 $sql = "INSERT INTO visita
   (
     numerocreas,
     datacadastrousuario,
     numerocreasvisita,
     datavisita,

     desenvolvimentovisita,
     tipopessoafamiliaprocurouCREAS,
     numtipopessoafamiliaprocurouCREAS

   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$numerocreas',
     '$datahora',

     '$desenvolvimentovisita',
     '$tipopessoafamiliaprocurouCREAS',
     '$numtipopessoafamiliaprocurouCREAS'
   )";

   //echo $sql;
   //pg_query($dbh, "ROLLBACK");
   //exit;


   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Visita - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }







//VISITA PROGRAMA - SEMPRE GERA NOVA

$qt = sizeof($visitaprograma);
$indiceGravacoes=0;

 while ($indiceGravacoes != $qt)
 {
     //se é "outros" não grava
     if ($visitaprograma[$indiceGravacoes] == "99")
     {
         $indiceGravacoes+=1;
         continue;
     }

   $sql = "INSERT INTO visitaprograma
   (
     numerocreas,
     datacadastrousuario,
     numerocreasvisita,
     datavisita,
     programa

   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$numerocreas',
     '$datahora',
     '$visitaprograma[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de visita Programa - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}



//VISITA TIPO ATENDIMENTO - SEMPRE GERA NOVA

$qt = sizeof($visitatipoatendimento);
$indiceGravacoes=0;

 while ($indiceGravacoes != $qt)
 {
     //se é "outros" não grava
     if ($visitatipoatendimento[$indiceGravacoes] == "99")
     {
         $indiceGravacoes+=1;
         continue;
     }

   $sql = "INSERT INTO visitatipoatendimento
   (
     numerocreas,
     datacadastrousuario,
     numerocreasvisita,
     datavisita,
     tipoatendimento

   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$numerocreas',
     '$datahora',
     '$visitatipoatendimento[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Visita Tipo Atendimento - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}




//insercao de Inscrições em Programas por VISITA
for ($i=1;$i<=2;$i++)
{
    //se existe o dado, insere
    if ( $_SESSION["f_datainscricao$i"] != "")
    {
        $programa = $_SESSION["f_programa$i"];
        $datainscricao = $_SESSION["f_datainscricao$i"];
        $numerocreasinscricao =$_SESSION["f_numerocreasinscricao$i"];
	$dataultcomparecimento =$_SESSION["f_dataultcomparecimento$i"];
	$situacaoinscricao =$_SESSION["f_situacaoinscricao$i"];
	$datadesligamentoabandono =$_SESSION["f_datadesligamentoabandono$i"];

       $sql = "INSERT INTO visitainscricao
       (
         numerocreas,
         datacadastrousuario,
         numerocreasvisita,
         datavisita,
         programa,
	 datainscricao,
	 numerocreasinscricao,
	 dataultcomparecimento,
	 situacaoinscricao,
	 datadesligamentoabandono

       ) values (
         '$numerocreasusuario',
         '$datacadastrousuario',
         '$numerocreas',
	 '$datahora',
	 '$programa',
         '$datainscricao',
	 '$numerocreasinscricao',
	 '$dataultcomparecimento',
	 '$situacaoinscricao',
	 '$datadesligamentoabandono'
       )";

       $sql = str_replace("''","null",$sql);
       $sql = retiraAcentos($sql);

       $result = pg_query($dbh, $sql);
       if (!$result)
       {
        $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Inscrição Programas - " .  str_replace("\n","",str_replace("\"","'",$erro));
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao=recadastra');
         exit;
       }
    }
}



//USUÁRIO APOIO
$qt = sizeof($usuarioapoio);
$indiceGravacoes=0;

$sql = "DELETE FROM usuarioapoio
   where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {
   $sql = "INSERT INTO usuarioapoio
   (
     numerocreas,
     datacadastrousuario,
     apoio
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuarioapoio[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario Apoio - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}


//USUÁRIO ENCAMINHADO POR
$qt = sizeof($usuarioencaminhadopor);
$indiceGravacoes=0;

$sql = "DELETE FROM usuarioencaminhadopor
   where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {
   $sql = "INSERT INTO usuarioencaminhadopor
   (
     numerocreas,
     datacadastrousuario,
     encaminhadopor
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuarioencaminhadopor[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario encaminhado por - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}





//USUÁRIO DIAGNOSTICO
$qt = sizeof($usuariodiagnostico);
$indiceGravacoes=0;

$sql = "DELETE FROM usuariodiagnostico
   where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {

     //se é "outros" não grava
     if ($usuariodiagnostico[$indiceGravacoes] == "99")
     {
         $indiceGravacoes+=1;
         continue;
     }

   $sql = "INSERT INTO usuariodiagnostico
   (
     numerocreas,
     datacadastrousuario,
     diagnostico
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuariodiagnostico[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario diagnostico - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}



//USUÁRIO acompanhamento
$qt = sizeof($usuarioacompanhamento);
$indiceGravacoes=0;

$sql = "DELETE FROM usuarioacompanhamento
   where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {

     //se é "outros" não grava
     if ($usuarioacompanhamento[$indiceGravacoes] == "99")
     {
         $indiceGravacoes+=1;
         continue;
     }

   $sql = "INSERT INTO usuarioacompanhamento
   (
     numerocreas,
     datacadastrousuario,
     acompanhamento
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuarioacompanhamento[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario acompanhamento - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}


//USUÁRIO TIPO APOIO
$qt = sizeof($usuariotipoapoio);
$indiceGravacoes=0;

$sql = "DELETE FROM usuariotipoapoio
      where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {
   $sql = "INSERT INTO usuariotipoapoio
   (
     numerocreas,
     datacadastrousuario,
     tipoapoio
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuariotipoapoio[$indiceGravacoes]'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario tipo apoio - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}


//USUÁRIO BENEFICIO
$qt = sizeof($usuariobeneficio);
$indiceGravacoes=0;

$sql = "DELETE FROM usuariobeneficio
      where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {
   $resposta = $_POST['form_usuariobeneficio' . $usuariobeneficio[$indiceGravacoes]];
   
   $sql = "INSERT INTO usuariobeneficio
   (
     numerocreas,
     datacadastrousuario,
     beneficio,
     respostabeneficio
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$usuariobeneficio[$indiceGravacoes]',
     '$resposta'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
    $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario  beneficio- " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}


//USUÁRIO serviços
$qt = sizeof($servicosequipamentos);
$indiceGravacoes=0;

$sql = "DELETE FROM usuarioservicosequipamentos
    where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);

 while ($indiceGravacoes != $qt)
 {
   $resposta = $_POST['form_usuarioservicosequipamentos' . $servicosequipamentos[$indiceGravacoes]];

   $sql = "INSERT INTO usuarioservicosequipamentos
   (
     numerocreas,
     datacadastrousuario,
     servicosequipamentos,
     respostaservicosequipamentos
   ) values (
     '$numerocreasusuario',
     '$datacadastrousuario',
     '$servicosequipamentos[$indiceGravacoes]',
     '$resposta'
   )";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
     $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Usuario serv. equipamentos - " .  str_replace("\n","",str_replace("\"","'",$erro));
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:cadastro.php?reacao=retorno&acao=recadastra');
     exit;
   }
   $indiceGravacoes+=1;
}


//deleta familiares

$sql = "DELETE FROM familia
        where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);



//insercao de familia tipo 1 - 0 a 14 anos
$qt = 1;
for ($i=1;$i<=10;$i++)
{

    //se existe o dado, insere
    if ( $_SESSION["f_2_nomemembrofamilia$i"] != "")
    {

        $idadepessoafamilia = $_SESSION["f_2_idadepessoafamilia$i"];
        $tipoidade = $_SESSION["f_2_tipoidade$i"];
        $nomemembrofamilia = $_SESSION["f_2_nomemembrofamilia$i"];
        $grauparentesco = $_SESSION["f_2_grauparentesco$i"];
        $sexopessoafamilia = $_SESSION["f_2_sexopessoafamilia$i"];
        $corracamembrofamilia = $_SESSION["f_2_corracamembrofamilia$i"];
        $deficienciamembrofamilia = $_SESSION["f_2_deficienciamembrofamilia$i"];
        $frequentaescolamembrofamilia = $_SESSION["f_2_frequentaescolamembrofamilia$i"];

       $sql = "INSERT INTO familia
       (
         numerocreas,
         datacadastrousuario,
         tipopessoafamilia,
         numtipopessoafamilia,
         nomemembrofamilia,
         idadepessoafamilia,
         grauparentesco,
         sexopessoafamilia,
         corracamembrofamilia,
         frequentaescolamembrofamilia,
         deficienciamembrofamilia,
         tipoidade

       ) values (
         '$numerocreasusuario',
         '$datacadastrousuario',
         '1',
         '$qt',
         '$nomemembrofamilia',
         $idadepessoafamilia,
         '$grauparentesco',
         '$sexopessoafamilia',
         '$corracamembrofamilia',
         '$frequentaescolamembrofamilia',
         '$deficienciamembrofamilia',
         '$tipoidade'
       )";

       $qt++;

       $sql = str_replace("''","null",$sql);
       $sql = retiraAcentos($sql);

       $result = pg_query($dbh, $sql);
       if (!$result)
       {
         $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de familia 0 a 14 - " .  str_replace("\n","",str_replace("\"","'",$erro));
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao=recadastra');
         exit;
       }

    }


}


//insercao de familia tipo 2 - a partir de 15 anos
$qt = 1;
for ($i=1;$i<=10;$i++)
{
    //se existe o dado, insere
    if ( $_SESSION["f_1_nomemembrofamilia$i"] != "")
    {

	$idadepessoafamilia = $_SESSION["f_1_idadepessoafamilia$i"];
        $nomemembrofamilia = $_SESSION["f_1_nomemembrofamilia$i"];

        $grauparentesco = $_SESSION["f_1_grauparentesco$i"];
        $sexopessoafamilia = $_SESSION["f_1_sexopessoafamilia$i"];
        $corracamembrofamilia = $_SESSION["f_1_corracamembrofamilia$i"];
        $alfabetizadomembrofamilia = $_SESSION["f_1_alfabetizadomembrofamilia$i"];
        $ocupacao = $_SESSION["f_1_ocupacao$i"] ;
        $temrendatrabalhomembrofamilia = $_SESSION["f_1_temrendatrabalhomembrofamilia$i"];
        $deficienciamembrofamilia = $_SESSION["f_1_deficienciamembrofamilia$i"];


        if ($_SESSION["f_1_valorrendatrabalhomembrofamilia$i"] != '')
        {
            $valorrendatrabalhomembrofamilia = '\'' . str_replace(",",".",$_SESSION["f_1_valorrendatrabalhomembrofamilia$i"]) . '\'';
        }
        else
        {
            $valorrendatrabalhomembrofamilia = 'null';
        }


        $sql = "INSERT INTO familia
           (
             numerocreas,
             datacadastrousuario,
             tipopessoafamilia,
             numtipopessoafamilia,
             nomemembrofamilia,
             idadepessoafamilia,
             grauparentesco,
             sexopessoafamilia,
             corracamembrofamilia,
             alfabetizadomembrofamilia,
             ocupacao,
             temrendatrabalhomembrofamilia,
             valorrendatrabalhomembrofamilia,
             deficienciamembrofamilia,
             tipoidade
           ) values (
             '$numerocreasusuario',
             '$datacadastrousuario',
             '2',
             '$qt',
             '$nomemembrofamilia',
             $idadepessoafamilia,
             '$grauparentesco',
             '$sexopessoafamilia',
             '$corracamembrofamilia',
             '$alfabetizadomembrofamilia',
             '$ocupacao',
             '$temrendatrabalhomembrofamilia',
             $valorrendatrabalhomembrofamilia,
             '$deficienciamembrofamilia',
             'A'
           )";

       $sql = str_replace("''","null",$sql);
       $sql = retiraAcentos($sql);
       $result = pg_query($dbh, $sql);
       

       $qt++;
       
       if (!$result)
       {
         $erro = pg_last_error();
    GravarLog( $erro . " - SQL: " . $sql  , $_SESSION['logon']);
    $result = pg_query($dbh, "ROLLBACK");
    //exit;
   if (!$result)
   {
      $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de familia > 15 anos - " .  str_replace("\n","",str_replace("\"","'",$erro));
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao=recadastra');
         exit;
       }

    }
}



//remover a "validação do usuario"

$sql = "DELETE FROM usuariosituacao
    where numerocreas = '$numerocreasusuario' and  datacadastrousuario = '$datacadastrousuario' ";

$result = pg_query($dbh, $sql);



$result = pg_query($dbh, "COMMIT");
if (!$result)
{
   $erro= "Houve algum Problema na Gravação Final dos Dados - Tente Novamente";
   $result = pg_query($dbh, "ROLLBACK");
   if (!$result) {
      $erro = "Erro em Transação Interna do Sistema - Informar Administrador";
   }
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:cadastro.php?reacao=retorno&acao=recadastra');
   exit;
}


include "includes/end.php";


$retorno="Gravou com Sucesso!";
$_SESSION["f_retorno"]= $retorno;



//header('location: main.php?reacao=retorno&acao=recadastra');
//exit;

?>
<META HTTP-EQUIV="Refresh" CONTENT="0; URL=main.php?reacao=retorno&acao=recadastra">