<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'util.php';

define('ID_DOC_RG',1);
define('ID_DOC_CTPS',2);
define('ID_DOC_PIS',3);
define('ID_DOC_NIS',4);
define('ID_DOC_CPF',5);
define('ID_DOC_CNS',6);
define('ID_DOC_CNH',8);
define('ID_DOC_CERTIDAO',9);
define('ID_DOC_TITELEITOR',10);

class CabcomumTipoDocumento extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('cabcomum.tipo_documento');
		$this->hasColumn('id','integer', NULL, array('primary'));
		$this->hasColumn('nome','string', 50, array('notnull','notblank'));
	}

	function validate()
	{
		trim_string_columns($this);

		$erros = array();

		if(!$this->nome)
			$erros[] = 'A descrição do tipo de documento deve ser preenchida';

		if($erros)
			throw new Exception(implode("\n",$erros));
	}
};

?>
