<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

class EnderecoPessoa extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.endereco_pessoa');
		$this->hasColumn('idpessoa','integer', NULL, array('primary'));
		$this->hasColumn('idendereco','integer', NULL, array('primary'));
		$this->hasColumn('idtipo_endereco','integer', NULL, array('primary'));
	}

	function setUp()
	{
		$this->hasOne('TipoEndereco as tipo',
			array('local'=>'idtipo_endereco',
			      'foreign'=>'id'));

		$this->hasOne('Endereco as endereco',
			array('local'=>'idendereco',
			      'foreign'=>'id'));

		$this->index('unique_pessoa_tipo_endereco',
			array('fields' => array('idpessoa', 'idtipo_endereco'),
				  'type' => 'unique'));

	}
};

?>
