<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/cabecalho.php"; //carrega arquivo de cabeçalho
include "includes/pg_begin.php";     //carrega arquivo de conexão
?>

<?
//recupera dados do formulario
$sc_tema          = trim(pg_escape_string($_POST['form_tema']));
$sc_indicador     = trim(pg_escape_string($_POST['form_indicador']));
$sc_granularidade = trim(pg_escape_string($_POST['form_granularidade']));
$sc_periodicidade = trim(pg_escape_string($_POST['form_periodicidade']));

// seleciona os indicadores
// ATENCAO: alterar o select para buscar apenas granularidades dos indicadores aos quais o usuário tem acesso a algum indicador

// comando básico
$sql="
	select *
	from indicador I, tema T, granularidade G, indicadorgranularidade IG, periodicidade P, indicadorperiodicidade IP
	where I.codigotema = T.codigotema
	and I.codigoindicador = IG.codigoindicador
	and IG.codigogranularidade = G.codigogranularidade
	and I.codigoindicador = IP.codigoindicador
	and IP.codigoperiodicidade = P.codigoperiodicidade";

// filtro por tema
if ($sc_tema != '*') {
	$sql .= " and T.codigotema = " . $sc_tema;
}

// filtro por indicador
if ($sc_indicador != '*') {
	$sql .= " and I.codigoindicador = '" . $sc_indicador . "'";
}

// filtro por granularidade
if ($sc_granularidade != '*') {
	$sql .= " and G.codigogranularidade = " . $sc_granularidade;
}

// filtro por periodicidade
if ($sc_periodicidade != '*') {
	$sql .= " and P.codigoperiodicidade = " . $sc_periodicidade;
}

// finalização do comando
// $sql .= " order by T.nometema, I.nomeindicador, G.codigogranularidade, P.codigoperiodicidade";
$sql .= " order by T.nometema, I.codigoindicadorclassif,I.codigoindicador, G.codigogranularidade, P.codigoperiodicidade";

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

// se retornou apenas um indicador, marca como default
$num_rows = pg_num_rows($result);
$checked = '';
if ($num_rows == 1) {
	$checked = ' checked="checked" ';
}

// se não retornou nada é erro!
if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <? include "includes/barra_superior.php"; //carrega a barra superior da página ?>

  <tr>
    <td>
	  <form name="formulario" action="mostraIndicador.php" onSubmit="return submitFormulario()" method="POST">
      <table width="800" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Escolha um indicador</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		  <br />
<?
// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
echo '<input type="hidden" name="form_tema_busca"          value="' . $sc_tema          .'">' . "\n";
echo '<input type="hidden" name="form_indicador_busca"     value="' . $sc_indicador     .'">' . "\n";
echo '<input type="hidden" name="form_granularidade_busca" value="' . $sc_granularidade .'">' . "\n";
echo '<input type="hidden" name="form_periodicidade_busca" value="' . $sc_periodicidade .'">' . "\n";

// recupera as tuplas selecionadas
while ($nt=pg_fetch_array($result))
{
	//atribui valor a variaveis locais para db
	$db_codigoindicador     = trim(pg_escape_string($nt['codigoindicador']));
	$db_nomeindicador       = trim(pg_escape_string($nt['nomeindicador']));
	$db_nometema            = trim(pg_escape_string($nt['nometema']));
	$db_codigogranularidade = trim(pg_escape_string($nt['codigogranularidade']));
	$db_nomegranularidade   = trim(pg_escape_string($nt['nomegranularidade']));
	$db_codigoperiodicidade = trim(pg_escape_string($nt['codigoperiodicidade']));
	$db_nomeperiodicidade   = trim(pg_escape_string($nt['nomeperiodicidade']));


		$aux_codigocomposto = $db_codigoindicador . ';' . $db_codigogranularidade . ';' . $db_codigoperiodicidade;
	if ($db_codigogranularidade == 1) {
	$aux_preposicao = 'do'; // município
	} else {
	$aux_preposicao = 'por';
	}

//	echo '<input type="radio" name="form_indicador" value ="' . $aux_codigocomposto . '"> ';
//	echo $db_nometema . ' - ' . $db_nomeindicador . ', ' . $aux_preposicao . ' '. $db_nomegranularidade;
//	echo ' (' . $db_codigoindicador . ')';
//	echo '<br />' . "\n";

	echo '<input type="radio" name="form_indicador" value ="' . $aux_codigocomposto . '"' . $checked . '> ';
	echo $db_nometema . ' - ' . $db_nomeindicador;
	echo ', ' . $db_nomeperiodicidade;
	echo ', ' . $aux_preposicao . ' '. $db_nomegranularidade;
	echo ' (' . $db_codigoindicador . ')';
	echo '<br />' . "\n";
}
?>

		  </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
            <div align="center">
				<input name="submitBtn" type="submit" class="botao" tabindex="4" value="enviar">
                &nbsp;
				<input name="resetBtn" type="reset" class="botao" tabindex="5" value="limpar">
				</form>
                <br />
                <br />
				<form action="main.php">
				<input name="submitBtn" type="submit" class="botao"	value="<< voltar">
            </div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>

<? include "includes/rodape.php"; ?>
