<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/pg_begin.php";     //carrega arquivo de conexão

// dados repassados do programa chamados:
// = $sc_indicador (código do indicador)
// = $sc_granularidade (código da granularidade)

// seleciona as granularidades

// comando básico
$sql="
	select *
	from indicador I, granularidade G, indicadorgranularidade IG, periodicidade P, indicadorperiodicidade IP
	where I.codigoindicador = IG.codigoindicador
	and IG.codigogranularidade = G.codigogranularidade
	and I.codigoindicador = IP.codigoindicador
	and IP.codigoperiodicidade = P.codigoperiodicidade
	and I.codigoindicador = '" . $sc_indicador . "'  
	and G.codigogranularidade = '" . $sc_granularidade . "'
	and IP.codigoperiodicidade <> " . $sc_periodicidade . "
	order by IP.codigoperiodicidade";

 // debug
 //echo $sql;
 //exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}

$rows = pg_num_rows ($result);
if ($rows <= 0) { # não há outras granularidades para este indicador
	return;
}
?>

<div class="float">
Outras Periodicidades:
</div>

<?

// recupera as tuplas selecionadas
while ($nt=pg_fetch_array($result))
{
	//atribui valor a variaveis locais para db
	$db_codigogranularidade = trim(pg_escape_string($nt['codigogranularidade']));
	$db_nomegranularidade = trim(pg_escape_string($nt['nomegranularidade']));
	$db_codigoperiodicidade = $nt['codigoperiodicidade'];
	$db_nomeperiodicidade = trim(pg_escape_string($nt['nomeperiodicidade']));
	
	$aux_codigocomposto = $db_codigoindicador . ';' . $db_codigogranularidade . ';' . $db_codigoperiodicidade;

//	$aux_link = "mostraIndicador.php?form_indicador=" . $aux_codigocomposto;
//	echo '<a href="' . $aux_link . '">';
//	echo $db_nomeperiodicidade;
//	echo '</a>&nbsp;';
	
	// cabeçalho
	echo '<!-- Periodicidade: ' . $db_nomeperiodicidade . '-->' . "\n";
	echo '<div class="float">' . "\n";
	echo '<form name="New_Form" action="mostraIndicador.php" method="POST" enctype="application/x-www-form-urlencoded">' . "\n";

	// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
	echo '<input type="hidden" name="form_tema_busca"          value="' . $sc_tema_busca          .'">' . "\n";
	echo '<input type="hidden" name="form_indicador_busca"     value="' . $sc_indicador_busca     .'">' . "\n";
	echo '<input type="hidden" name="form_granularidade_busca" value="' . $sc_granularidade_busca .'">' . "\n";
	echo '<input type="hidden" name="form_periodicidade_busca" value="' . $sc_periodicidade_busca .'">' . "\n";
		
	// detalhe
	echo '<input type="hidden" name="form_indicador" value="' . $aux_codigocomposto .'">' . "\n";
	echo '<input type="submit" value="' . $db_nomeperiodicidade .'">' . "\n";
	
	// rodapé
	echo '</form>' . "\n";
	echo '</div>' . "\n";
	echo '<!-- Periodicidade: ' . $db_nomeperiodicidade . '-->' . "\n";
	echo "\n";
}

?>

</p>
