<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/cabecalho.php"; //carrega arquivo de cabeçalho
include "includes/pg_begin.php";     //carrega arquivo de conexão
?>

<?
//recupera dados do formulario
$aux_codigocomposto = trim(pg_escape_string($_POST['form_termo']));
if ($aux_codigocomposto == "") {
	$aux_codigocomposto = trim(pg_escape_string($_GET['form_termo']));
}
$aux_parametros = explode (";", $aux_codigocomposto);
$sc_termo = $aux_parametros[0];
$sc_granularidade = $aux_parametros[1];
$sc_periodicidade = $aux_parametros[2];

// Se houver operação de atualização da série histórica de termos, executa
include "termosAtualizacaoOperacao.php";


//recupera dados do formulario anterior usados para busca
$sc_tema_busca  = trim(pg_escape_string($_POST['form_tema_busca']));
$sc_termo_busca = trim(pg_escape_string($_POST['form_termo_busca']));

// verifica se algum termo foi informado
// echo $sc_termo;
if (empty($sc_termo)) {
	include "includes/barra_superior.php";
	echo '<p align="center">Nenhum termo foi informado</p>';
	$chamador = 'termosBusca.php';
	if (!$sc_tema_busca) {
		$chamador = 'termosMain.php';
	}	?>
	<form name="New_Form" action="<? echo $chamador; ?>" method="POST" enctype="application/x-www-form-urlencoded">
		<?
		// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo '<input type="hidden" name="form_tema"          value="' . $sc_tema_busca          .'">' . "\n";
		echo '<input type="hidden" name="form_termo"         value="' . $sc_termo_busca     .'">' . "\n";
		echo '<input type="hidden" name="form_granularidade" value="' . $sc_granularidade_busca .'">' . "\n";
		echo '<input type="hidden" name="form_periodicidade" value="' . $sc_periodicidade_busca .'">' . "\n";
		?>
            <div align="center">
				<input
					name="submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<< voltar">
            </div>
		  </td>
		</form>
<?
	include "includes/pg_end.php";
	include "includes/rodape.php";
return;
}

// busca os dados do termo
// ATENCAO: alterar o select para verificar se o usuário tem acesso ao indicador

// comando básico
$sql="
	select *
	from
		termo TT,
		termoindicador TI, indicador I,
		tema T,
		granularidade G, termogranularidade TG, 
		periodicidade P, termoperiodicidade TP
	where TT.codigotermo = TI.codigotermo
	and TI.codigoindicador = I.codigoindicador
	and I.codigotema = T.codigotema
	and TT.codigotermo = TG.codigotermo
	and TG.codigogranularidade = G.codigogranularidade
	and TT.codigotermo = TP.codigotermo
	and TP.codigoperiodicidade = P.codigoperiodicidade
	and TT.codigotermo = '" . $sc_termo . "'  
	and G.codigogranularidade = '" . $sc_granularidade . "'
	and P.codigoperiodicidade = " . $sc_periodicidade;

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <? include "includes/barra_superior.php"; //carrega a barra superior da página ?>

  <tr>
    <td>
      <table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
			<?
			// recupera a tupla selecionada
			$nt=pg_fetch_array($result);

			//atribui valor a variaveis locais para db
			$db_codigotermo         = trim(pg_escape_string($nt['codigotermo']));
			$db_nometermo           = trim(pg_escape_string($nt['nometermo']));
			$db_definicaotermo      = trim(pg_escape_string($nt['definicaotermo']));
			$db_unidadetermo        = trim(pg_escape_string($nt['unidadetermo']));
			$db_nometema            = trim(pg_escape_string($nt['nometema']));
			$db_nomegranularidade   = ucfirst(trim(pg_escape_string($nt['nomegranularidade'])));
			$db_codigoperiodicidade = trim(pg_escape_string($nt['codigoperiodicidade']));
			$db_nomeperiodicidade   = ucfirst (trim(pg_escape_string($nt['nomeperiodicidade'])));
	
			?>
			<td colspan="3">
				<div align="center" class="tituloFundo">
					<? echo $db_codigotermo . ' - ' . $db_nometermo; ?>
				</div>
			</td>
        </tr>
        <tr>
		<td bgcolor="#EFEFEF" valign="top">
			<?
		
			// verifica que atributos nao têm valor definido
			if ($db_definicaotermo == "") {
				$db_definicaotermo = '-';
			}

			?>
			<br />
			<table id="ficha" width="400">
				<tr><th>Definição    </th><td><? echo $db_definicaotermo; ?></td></tr>
				<tr><th>Granularidade</th><td><? echo $db_nomegranularidade; ?></td></tr>
				<tr><th>Periodicidade</th><td><? echo $db_nomeperiodicidade; ?></td></tr>
			</table>
		</td>
		
		<td bgcolor="#EFEFEF" width="20">&nbsp;</td>

		<td bgcolor="#EFEFEF" valign="top" id="valores">
			<?
				echo '<br />';
				include "mostraSerieHistoricaLegenda.php";
				echo '<br /><br />';
				include "termosMostraUmaGranularidade.php"; # esta rotina usa sc_termo e sc_granularidade do escopo global

				$parametros = 'form_termo='
				. $sc_termo . ';' 
				. $sc_granularidade . ';' 
				. $sc_periodicidade; // cria a relação de parâmetros para a geração do CSV com a série histórica
			?>
			<!--
			<p id="valores">
				<img src="images/spreadsheet.png" border="0">
				<a href="downloadIndicadorUmaGranularidade.php?<? echo $parametros; ?>">Download dos dados apresentados</a>
			</p>
			-->

		</td>

		</tr>
		
        <tr>
          <td  colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>

		<tr>
		<!-- FORMULÁRIOS A -->
			<td  colspan="3" bgcolor="#EFEFEF">
				<? include "termosMostraOutrasGranularidades.php";?>
			</td>
		<!-- FORMULÁRIOS A -->
        </tr>


		<tr>
		<!-- FORMULÁRIOS B -->
			<td  colspan="3" bgcolor="#EFEFEF">
				<? include "termosMostraOutrasPeriodicidades.php";?>
			</td>
		<!-- FORMULÁRIOS B -->
        </tr>

        <tr>
          <td  colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">
		<?
		// descobre de onde o programa foi chamado, para voltar para o lugar certo
		// $chamador = basename (parse_url ($_SERVER['HTTP_REFERER'], PHP_URL_PATH));

		// se $sc_tema_busca estiver definido, disgnifica que deve voltar para a busca; caso contrário, deve voltar para a pagína principal
		$chamador = 'termosBusca.php';
		if (!$sc_tema_busca) {
			$chamador = 'termosMain.php';
		}
		?>

		  <!-- FORMULÁRIO C -->	<form name="New_Form" action="<? echo $chamador; ?>" method="POST" enctype="application/x-www-form-urlencoded">
		<?
		// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo '<input type="hidden" name="form_tema"          value="' . $sc_tema_busca          .'">' . "\n";
		echo '<input type="hidden" name="form_termo"         value="' . $sc_termo_busca     .'">' . "\n";
		echo '<input type="hidden" name="form_granularidade" value="' . $sc_granularidade_busca .'">' . "\n";
		echo '<input type="hidden" name="form_periodicidade" value="' . $sc_periodicidade_busca .'">' . "\n";
		?>
            <div align="center">
				<input
					name="submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<< voltar">
            </div>
		  </td>
		<!-- FORMULÁRIO C -->	</form>
		
        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>

<? include "includes/rodape.php"; ?>
