<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
	require_once '../common/begin.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>CADASTRO DE USUÁRIOS DA SAÚDE</title>

	<style type="text/css" rel='stylesheet'>
		@import "http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/ui-lightness/jquery-ui.css";
		@import "common/style.css";
		@import "js/jquery.readonly.css";
		@import "js/jquery.treetable.css";
	</style>

	<script type='text/javascript' src='http://www.google.com/jsapi'></script>
	<script type='text/javascript'>
		google.load('jquery','1.3',{uncompressed: true});
		google.load('jqueryui','1.7',{uncompressed: true});
	</script>

	<script type="text/javascript" src="js/jquery.validate.js"></script>
	<script type="text/javascript" src="js/jquery.form.js"> </script>
	<script type="text/javascript" src="js/jquery.readonly.js"> </script>
	<script type="text/javascript" src="js/jquery.json.js"> </script>
	<script type="text/javascript" src="js/jquery.blockui.js"> </script>
	<script type="text/javascript" src="js/jquery.maskedinput.js"> </script>
	<script type="text/javascript" src="js/jquery.selectboxes.js"> </script>
	<script type="text/javascript" src="js/jquery.treetable.js"> </script>
	<script type="text/javascript" src="lang/messages_ptbr.js"> </script>
	<script type="text/javascript" src="lang/ui.datepicker-pt-BR.min.js"> </script>

	<script type="text/javascript" src="common/util.js"> </script>
	<script type="text/javascript" src="cadastro.js"> </script>
</head>

<body>

<? 
try
{
	// Pega parametros da URL
	if(!empty($_GET['data']))/*{{{*/
	{
		// formato: yyyymmaaThhmmss
		//
		$data = $_GET['data'];

		$consulta_timestamp = mktime(substr($data,9,2), 
									 substr($data,11,2), 
								     substr($data,13,2),
									 substr($data,4,2), 
									 substr($data,6,2), 
									 substr($data,0,4));

		$data_comparecimento = strftime("%Y-%m-%d %H:%M:%S",
										$consulta_timestamp);

		if(!$data_comparecimento)
			throw new Exception("Data de comparecimento inválida");

		$idpessoa_cabcomum = $_GET['idpessoa'];
		$consulta_comparecimento = true;
	}
	else
	{
		$idpessoa_cabcomum = $_GET['id'];
		$consulta_comparecimento = false;
	}/*}}}*/

	// Tenta pegar o idpessoa da saude
	if($idpessoa_cabcomum)/*{{{*/
	{
		$pessoa = Doctrine_Query::create()
			->select('p.id')
			->from('Pessoa p')
			->where('p.idpessoa_cabcomum=?',$idpessoa_cabcomum)
			->fetchOne();

		if($pessoa)
			$idpessoa = $pessoa->id;
		else
		{
			$pessoa_cabcomum = Doctrine_Query::create()
				->select('p.idpessoa_sistema')
				->from('CabcomumPessoa p')
				->where('p.id=? and p.idref_sistema=?',array($idpessoa_cabcomum,ID_SISTEMA_SAUDE))
				->fetchOne();

			if($pessoa_cabcomum)
				$idpessoa = (int)$pessoa_cabcomum->idpessoa_sistema;
			else
				$idpessoa = 0;
		}
	}/*}}}*/

	$submit_url = 'do_upd_cadastro.php'.
						($idpessoa_cabcomum?"?id=$idpessoa_cabcomum":'');

	function mostra_menu()/*{{{*/
	{
		global $consulta_comparecimento;
		if($consulta_comparecimento)
		{
			global $idpessoa_cabcomum;
?>
			<div id=menu>
			<a href="javascript:history.back(-1)">voltar</a>
			</div>
<?
		}
		else
		{
			global $submit_url;
			if(tem_permissao(TipoUsuario::SUPERVISOR))
				$nome_enviar = 'enviar análise';
			else
				$nome_enviar = 'enviar cadastro';

?>
			<div id=menu>
				<a class=submit href='<?echo $submit_url?>' 
				   style='background-color: green'><? echo $nome_enviar?></a>
				<a href='consulta.php' style='background-color:red'>cancelar</a>
				<a href='index.php'>sair do sistema</a>
			</div>

			<script text='text/javascript'>
				$('.submit').click(function()
				{
					$('#cadform').submit();
					return false;
				});
			</script>
<?
		}
	}/*}}}*/

	include '../common/header.php';

	// Verifica autenticação
	if($consulta_comparecimento)/*{{{*/
	{
		if(!$_SESSION['auth'])
			throw new Exception('Você não tem permissão para acessar esta página');
	}
	else
		garante_permissao(TipoUsuario::OPERADOR,TipoUsuario::SUPERVISOR);/*}}}*/
?>

<!-- {{{ JAVASCRIPT -->
<script type="text/javascript">
google.setOnLoadCallback(function(){

	$.blockUI({message: "<h2><img src='images/busy.gif'> Carregando informações...</h2>"});
	
	var pessoa = <? include 'do_list_cadastro.php'; ?>;

	if(pessoa.error)
	{
		$.unblockUI();
		alert(pessoa.error);
		return;
	}

<?
	// Desabilita autosave se só estamos fazendo consulta
	if($consulta_comparecimento)
		echo "configura_campos(pessoa,false);\n";
	else
		echo "configura_campos(pessoa,true);\n";
?>

	function carrega_comparecimento(idcomp)
	{
		$.ajax({
			dataType: 'json',
			type: 'get',
			url: 'do_list_comparecimento.php',
			data: {id: idcomp},
			error: function(req, status, e) {
				$.unblockUI();
				alert(erro_ajax(status, e));
			},
			success: function(comp) {
				$.unblockUI();
				if(comp.error)
					alert(comp.error);

				$(':input[name^=motivo]').removeAttr('checked');
				$(':input[id^=motivo_idocupacao]').val('');

				$.each(comp.motivos, function(idmot, mot)
				{
					$('#motivo_'+idmot).attr('checked',true);
					switch(idmot)
					{
					case '5':
						$('#motivo_idocupacao_medico')
							.val([mot.idocupacao]);
						break;
					case '6':
						$('#motivo_idocupacao_enfermeiro')
							.val([mot.idocupacao]);
						break;
					case '7':
						$('#motivo_idocupacao_outros')
							.val([mot.idocupacao]);
					case '24':
					case '25':
					case '26':
					case '27':
						$('#motivo_outras_internacoes')
							.attr('checked',true);
						$('#motivo_24_a_27')
							.val([idmot]);
						break;
					}

				})
			}
		});
	}

<?
	try
	{
		if($consulta_comparecimento)
		{
			$comparecimento = Doctrine_Query::create()
				->select('comp.id')
				->from('Comparecimento comp')
				->where('comp.idpessoa = ? and comp.data = ?',
							array($idpessoa,$data_comparecimento))
				->fetchOne();

			if(!$comparecimento)
				throw new Exception("Paciente não compareceu no sistema da Saúde nesta data");

			echo "var idcomp = {$comparecimento->id}\n";

	?>
			carrega_comparecimento(idcomp);

			$('#historico_inscricoes').treeTable({clickableNodeNames: true});
			$('.sessao_comparecimento :input').readonly(true);
			$('#cadform :input').readonly(true);

	<?
		}
		else if(tem_permissao(TipoUsuario::SUPERVISOR))
		{
			$comparecimentos = Doctrine_Query::create()
				->from('Comparecimento comp')
				->innerJoin('comp.motivos mot')
				->where('comp.idpessoa = ?',$idpessoa)
				->orderBy('comp.data')
				->execute();

			echo "var comparecimentos = {\n";

			$datas = array();
			foreach($comparecimentos as $comp)
			{
				list($ano,$mes,$dia,$hora,$min,$seg) 
					= sscanf($comp->data,'%4d-%2d-%2d %2d:%2d:%2d');

				$data = mktime(0,0,0,$mes, $dia, $ano);
				echo "$data: $comp->id,\n";
			}
			echo "};\n";

			$dataini = $datafim = array();
			
			if($comparecimentos->count() > 0)
			{
				list($ano,$mes,$dia,$hora,$min,$seg) 
					= sscanf($comparecimentos[0]->data,
						'%4d-%2d-%2d %2d:%2d:%2d');
				echo "var dataini = new Date($ano,".($mes-1).",$dia,$hora,$min,$seg);\n";

				list($ano,$mes,$dia,$hora,$min,$seg) 
					= sscanf($comparecimentos[$comparecimentos->count()-1]->data,
						'%4d-%2d-%2d %2d:%2d:%2d');

				echo "var datafim = new Date($ano,".($mes-1).",$dia,$hora,$min,$seg);\n";
			}
			else
				echo "var dataini = new Date(), datafim = new Date();\n";
?>
			$('#motivo_comparecimento_datepicker')
				.datepicker({
					numberOfMonths: 4,
					minDate: dataini,
					maxDate: datafim,
					defaultDate: datafim,
					changeMonth: false,
					changeYear: false,
					hideIfNoPrevNext: true,
					beforeShowDay: function(d) {
						var secs = d.getTime() / 1000;
						return [comparecimentos.hasOwnProperty(secs),''];
					},
					onSelect: function(dateText, inst) {
						$('#data_selecionada_comparecimento')
							.html('Data selecionada: '+dateText);

						var data = new Date(dateText.substr(6,4),
											dateText.substr(3,2)-1,
											dateText.substr(0,2));
						var secs = data.getTime() / 1000,
							idcomp = comparecimentos[secs];

						carrega_comparecimento(idcomp);
					}
				});

			$('#historico_inscricoes').treeTable({clickableNodeNames: true});
			$('.sessao_comparecimento :input').readonly(true);
<?
		}
	}
	catch(Exception $e)
	{
		echo "$.unblockUI();";
		echo "</script>";
		throw $e;
	}
?>
	$.unblockUI();
	});
</script>
<!-- }}} -->

<h1> .:: FICHA DO PACIENTE ::. </h1>

<div id=message></div>

<!-- {{{ FORMULÁRIO -->
<form id='cadform' action='do_upd_cadastro.php' method='POST'>

	<input type=hidden name=id>

	<!-- {{{ INFORMAÇÕES DO PACIENTE -->
	<div class="sessao_info_pessoa">
		<h1>INFORMA&Ccedil;&Otilde;ES DA PESSOA DE REFER&Ecirc;NCIA</h1>

		<!-- {{{ Nome -->
		<table>
			<col width=130px>
			<tr>
				<td> <label for=nome> * Nome Completo: </label> </td>
				<td> <input id=nome name=nome type='text' size=80> </td>
			</tr>
			<tr>
				<td> <label for=nome_mae> Nome da Mãe </label> </td>
				<td> <input id=nome_mae name=nome_mae type='text' size=55>
				<input id=sem_nome_mae name=sem_nome_mae type='checkbox' value=1> <label for=sem_nome_mae> Mãe desconhecida </label></td>
			</tr>
			<tr>
				<td></td>
				<td> <small style='color: #808080'> Deixe o campo em branco caso a mãe seja desconhecida </small> </td>
			</tr>
		</table>
		<!-- }}} -->
			
		<!-- {{{ SUS -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui CADSUS? </td>
				<td id=box_tem_cns>
					<input id=tem_cns_sim name=tem_cns type=radio 
						   value=1> <label for=tem_cns_sim> Sim </label>
					<input id=tem_cns_nao name=tem_cns type=radio 
						   value=0> <label for=tem_cns_nao> Não </label>
				</td>
				<td> 
					<label for=cns> Número CADSUS: </label> 
					<input id=cns name=cns class=dep_cns type=text size=15> 
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_cns_apresentado>
					<input id=cns_apresentado_sim name=cns_apresentado
						   type=radio class=dep_cns value=1> 
						<label for=cns_apresentado_sim> Sim </label>
					<input id=cns_apresentado_nao name=cns_apresentado
						   type=radio class=dep_cns value=0>
						<label for=cns_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_cns_digitalizado>
					<input id=cns_digitalizado_sim name=cns_digitalizado
						   type=radio class=dep_cns value=1> 
						<label for=cns_digitalizado_sim> Sim </label>
					<input id=cns_digitalizado_nao name=cns_digitalizado
						   type=radio class=dep_cns value=0>
						<label for=cns_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table> 
		<!-- }}} -->

		<!-- {{{ Sexo, raca e escolaridade -->
		<table>
			<col width=130px>
			<tr>
				<td> * Sexo: </td>
				<td id=box_idsexo>
					<input id=idsexo_masc name=idsexo type=radio value=M> 
						<label for=idsexo_masc> Masculino </label>
					<input id=idsexo_fem name=idsexo type=radio value=F> 
						<label for=idsexo_fem> Feminino </label>
				</td>
			</tr>
			<tr>
				<td> <label for=idraca> Cor: </label> </td>
				<td>
					<select id=idraca name='idraca'>
						<option></option>
<?
						$racas = Doctrine_Query::create()
									->from('Raca r')
									->execute();
						foreach($racas as $r)
							echo "<option value=$r->id>$r->nome</option>\n";
?>
					</select>
				</td>
			</tr>
			<tr>
				<td> <label for=idescolaridade> Escolaridade: </label> </td>
				<td>
					<select id=idescolaridade name='idescolaridade'>
						<option></option>
<?
						$escolaridades = Doctrine_Query::create()
											->from('Escolaridade e')
											->execute();
						foreach($escolaridades as $e)
							echo "<option value=$e->id>$e->nome</option>\n";
?>
					</select>
				</td>
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Dados do nascimento -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> 
					<label for=data_nascimento> * Data de Nascimento: </label> 
				</td>
				<td> 
					<input id=data_nascimento class=dep_data_nascimento 
						   name='data_nascimento' type='text' size=8>
					<input id=data_nascimento_ignorada 
						   name=data_nascimento_ignorada type=checkbox value=1>
						<label for=data_nascimento_ignorada> Ignorada </label>
				</td>
				<td></td>
			</tr>
			<tr>
				<td> * Nacionalidade: </td>
				<td id=box_nacionalidade>
					<input id=nacionalidade_bras name=nacionalidade type=radio 
						   value=1> 
						<label for=nacionalidade_bras> Brasileira </label>
					<input id=nacionalidade_estr name=nacionalidade type=radio 
						   value=0> 
						<label for=nacionalidade_estr> Estrangeira </label>

					<input id=nacionalidade_natu name=nacionalidade type=radio 
						   value=2> 
						<label for=nacionalidade_natu> Naturalizado </label>
				</td>
				<td> <label for=idpais_nascimento> País de Origem: </label>
					 <select id=idpais_nascimento name='idpais_nascimento'>
						<option></option>
<?
						$paises = Doctrine_Query::create()
							->from('Pais e')
							->orderBy('e.nome')
							->execute();
						foreach($paises as $p)
							echo "<option value=$p->id>$p->nome</option>\n";
?>
					</select>
					<br>
					<label for=data_naturalizacao> 
						Data de Naturalização:
					</label>
					<input id=data_naturalizacao 
						   class=dep_data_naturalizacao 
						   name=data_naturalizacao type=text size=8>
					<input id=data_naturalizacao_ignorada 
						   name=data_naturalizacao_ignorada type=checkbox 
						   value=1>
					<label for=data_naturalizacao_ignorada> Ignorada</label>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=idestado_nascimento> * UF de Nascimento: </label>

				</td>
				<td>
					<select id=idestado_nascimento name=idestado_nascimento>
						<option></option>
<?
						$estados = Doctrine_Query::create()
									->from('Estado e')
									->orderBy('e.sigla')
									->execute();
						foreach($estados as $e)
							echo "<option value=$e->id>$e->sigla</option>\n";
?>
					</select>
				</td>
				<td> 
					<label for=idmunicipio_nascimento> 
						* Município de Nascimento:
					</label>
					<select id=idmunicipio_nascimento 
							name=idmunicipio_nascimento>
					</select>
				</td>
			</tr>
		</table>
		<!-- }}} -->

		<table>
			<col width=300px>
		<tr><td> O paciente encontra-se em residência terapêutica? </td>
			<td>
			<input type=radio id=residencia_terapeutica_sim name=residencia_terapeutica value=1> 
			<label for=residencia_terapeutica_sim> Sim </label>
			<input type=radio id=residencia_terapeutica_nao name=residencia_terapeutica value=0> 
			<label for=residencia_terapeutica_nao> Não </label>
			</td>
		</tr>
		</table>
	</div>
	<!-- }}} -->

	<!-- {{{ DOCUMENTOS -->
	<div class=sessao_info_pessoa>
		<h1>
			DOCUMENTOS DO PACIENTE<br>
			<i>* Informe se o paciente possui ou não cada um dos documentos 
			   abaixo</i>
		</h1>
		<!-- {{{ Sem documentos -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> 
					<b><label for=sem_documentos> Sem Documentos </label></b> 
				</td>
				<td> 
					<input id=sem_documentos name=sem_documentos type=checkbox
						   value=1> 
				</td>
				<td></td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ NIS -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui NIS? </td>
				<td id=box_tem_nis>
					<input id=tem_nis_sim name=tem_nis type=radio value=1> 
						<label for=tem_nis_sim> Sim </label>
					<input id=tem_nis_nao name=tem_nis type=radio value=0> 
						<label for=tem_nis_nao> Não </label>
				</td>
				<td>
					<label for=nis> Número do NIS: </label>
					<input id=nis name=nis type=text class=dep_nis size=15>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_nis_apresentado>
					<input id=nis_apresentado_sim name=nis_apresentado 
						   type=radio class=dep_nis value=1> 
						<label for=nis_apresentado_sim> Sim </label>

					<input id=nis_apresentado_nao name=nis_apresentado 
						   type=radio class=dep_nis value=0> 
						<label for=nis_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_nis_digitalizado>
					<input id=nis_digitalizado_sim name=nis_digitalizado 
						   type=radio class=dep_nis value=1 readonly> 
						<label for=nis_digitalizado_sim> Sim </label>

					<input id=nis_digitalizado_nao name=nis_digitalizado 
						   type=radio class=dep_nis value=0 readonly> 
						<label for=nis_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ CPF -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui CPF? </td>
				<td id=box_tem_cpf>
					<input id=tem_cpf_sim name=tem_cpf type=radio value=1> 
						<label for=tem_cpf_sim> Sim </label>
					<input id=tem_cpf_nao name=tem_cpf type=radio value=0> 
						<label for=tem_cpf_nao> Não </label>
				</td>
				<td>
					<label for=cpf> Número do CPF: </label>
					<input id=cpf name=cpf type=text class=dep_cpf size=15>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_cpf_apresentado>
					<input id=cpf_apresentado_sim name=cpf_apresentado 
						   type=radio class=dep_cpf value=1> 
						<label for=cpf_apresentado_sim> Sim </label>

					<input id=cpf_apresentado_nao name=cpf_apresentado 
						   type=radio class=dep_cpf value=0> 
						<label for=cpf_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_cpf_digitalizado>
					<input id=cpf_digitalizado_sim name=cpf_digitalizado 
						   type=radio class=dep_cpf value=1 readonly> 
						<label for=cpf_digitalizado_sim> Sim </label>

					<input id=cpf_digitalizado_nao name=cpf_digitalizado 
						   type=radio class=dep_cpf value=0 readonly> 
						<label for=cpf_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ RG -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui RG? </td>
				<td id=box_tem_rg>
					<input id=tem_rg_sim name=tem_rg type=radio value=1> 
						<label for=tem_rg_sim> Sim </label>
					<input id=tem_rg_nao name=tem_rg type=radio value=0> 
						<label for=tem_rg_nao> Não </label>
				</td>
				<td>
					<label for=rg> Número do RG: </label>
					<input id=rg name=rg type=text 
						   class=dep_rg size=15>
				</td>
			</tr>
			<tr>
				<td> <label for=rg_data_emissao> Data de Emissão: </label> </td>
				<td>
					<input id=rg_data_emissao name=rg_data_emissao type=text 
						   class='dep_rg dep_rg_data_emissao' size=10>
					<input id=rg_data_emissao_ignorada class="dep_rg"
						   name=rg_data_emissao_ignorada type=checkbox value=1>
						<label for=rg_data_emissao_ignorada> Ignorada </label>
				</td>
				<td>
					<label for=rg_idorgao_emissor> Órgao Emissor: </label>
					<select id=rg_idorgao_emissor name=rg_idorgao_emissor 
						    class=dep_rg>
						<option></option>
<?
						$orgaos = Doctrine_Query::create()
									->from('OrgaoEmissor o')
									->execute();
						foreach($orgaos as $o)
							echo "<option value=$o->id>$o->nome</option>\n";
?>
					</select>
					<label for=rg_idestado_emissor> UF: </label>
					<select id=rg_idestado_emissor name=rg_idestado_emissor 
						    class=dep_rg>
						<option></option>
<?
						$estados = Doctrine_Query::create()
									->from('Estado e')
									->orderBy('e.sigla')
									->execute();
						foreach($estados as $e)
							echo "<option value=$e->id>$e->sigla</option>\n";
?>
					</select>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_rg_apresentado>
					<input id=rg_apresentado_sim name=rg_apresentado 
						   type=radio class=dep_rg value=1> 
						<label for=rg_apresentado_sim> Sim </label>

					<input id=rg_apresentado_nao name=rg_apresentado 
						   type=radio class=dep_rg value=0> 
						<label for=rg_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_rg_digitalizado>
					<input id=rg_digitalizado_sim name=rg_digitalizado 
						   type=radio class=dep_rg value=1 readonly> 
						<label for=rg_digitalizado_sim> Sim </label>

					<input id=rg_digitalizado_nao name=rg_digitalizado 
						   type=radio class=dep_rg value=0 readonly> 
						<label for=rg_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ Carteira de Trabalho -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui Carteira de Trabalho? </td>
				<td id=box_tem_ctps>
					<input id=tem_ctps_sim name=tem_ctps type=radio value=1> 
						<label for=tem_ctps_sim> Sim </label>
					<input id=tem_ctps_nao name=tem_ctps type=radio value=0> 
						<label for=tem_ctps_nao> Não </label>
				</td>
				<td>
					<label for=ctps> 
						Número da Carteira de Trabalho: 
					</label>
					<input id=ctps name=ctps type=text 
						  class=dep_ctps size=15>
				</td>
			</tr>
			<tr>
				<td>
					<label for=ctps_data_emissao> Data de Emissão: </label> 
				</td>
				<td>
					<input id=ctps_data_emissao name=ctps_data_emissao 
						   type=text class='dep_ctps dep_ctps_data_emissao' size=10>
					<input id=ctps_data_emissao_ignorada 
						   name=ctps_data_emissao_ignorada 
						   class="dep_ctps" type=checkbox value=1>
						<label for=ctps_data_emissao_ignorada> Ignorada </label>
				</td>
				<td> <label for=ctps_serie> Série </label>
					<input id=ctps_serie name=ctps_serie type=text 
						   class=dep_ctps size=10>
					<label for=ctps_idestado> UF: </label>
					<select id=ctps_idestado name=ctps_idestado class=dep_ctps>
						<option></option>
<?
						$estados = Doctrine_Query::create()
									->from('Estado e')
									->orderBy('e.sigla')
									->execute();
						foreach($estados as $e)
							echo "<option value=$e->id>$e->sigla</option>\n";
?>
					</select>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_ctps_apresentado>
					<input id=ctps_apresentado_sim name=ctps_apresentado 
						   type=radio class=dep_ctps value=1> 
						<label for=ctps_apresentado_sim> Sim </label>

					<input id=ctps_apresentado_nao name=ctps_apresentado 
						   type=radio class=dep_ctps value=0> 
						<label for=ctps_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_ctps_digitalizado>
					<input id=ctps_digitalizado_sim name=ctps_digitalizado 
						   type=radio class=dep_ctps value=1 readonly> 
						<label for=ctps_digitalizado_sim> Sim </label>

					<input id=ctps_digitalizado_nao name=ctps_digitalizado 
						   type=radio class=dep_ctps value=0 readonly> 
						<label for=ctps_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ Título de Eleitor -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td rowspan=2> * Possui Título de Eleitor? </td>
				<td id=box_tem_titulo_eleitor>
					<input id=tem_titulo_eleitor_sim name=tem_titulo_eleitor 
						   type=radio value=1> 
						<label for=tem_titulo_eleitor_sim> Sim </label>
					<input id=tem_titulo_eleitor_nao name=tem_titulo_eleitor 
						   type=radio value=0> 
						<label for=tem_titulo_eleitor_nao> Não </label>
				</td>
				<td>
					<label for=titulo_eleitor> 
						Número do Título de Eleitor:
					</label>
					<input id=titulo_eleitor name=titulo_eleitor 
						   type=text class=dep_titulo_eleitor size=15>
				</td>
			</tr>
			<tr>
				<td></td>
				<td> <label for=titulo_eleitor_zona> Zona: </label>
					<input id=titulo_eleitor_zona name=titulo_eleitor_zona type=text 
						   class=dep_titulo_eleitor size=10>
					<label for=titulo_eleitor_secao> Seção: </label>
					<input id=titulo_eleitor_secao name=titulo_eleitor_secao 
						   type=text class=dep_titulo_eleitor size=10>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_titulo_eleitor_apresentado>
					<input id=titulo_eleitor_apresentado_sim 
						   name=titulo_eleitor_apresentado 
						   type=radio class=dep_titulo_eleitor value=1> 
						<label for=titulo_eleitor_apresentado_sim> Sim </label>

					<input id=titulo_eleitor_apresentado_nao 
						   name=titulo_eleitor_apresentado 
						   type=radio class=dep_titulo_eleitor value=0> 
						<label for=titulo_eleitor_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_titulo_eleitor_digitalizado>
					<input id=titulo_eleitor_digitalizado_sim 
						   name=titulo_eleitor_digitalizado 
						   type=radio class=dep_titulo_eleitor value=1 readonly>
						<label for=titulo_eleitor_digitalizado_sim> Sim </label>

					<input id=titulo_eleitor_digitalizado_nao 
						   name=titulo_eleitor_digitalizado 
						   type=radio class=dep_titulo_eleitor value=0 readonly>
						<label for=titulo_eleitor_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ PIS/PASEP -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui PIS/PASEP? </td>
				<td id=box_tem_pis>
					<input id=tem_pis_sim name=tem_pis 
						   type=radio value=1> 
						<label for=tem_pis_sim> Sim </label>
					<input id=tem_pis_nao name=tem_pis 
						   type=radio value=0> 
						<label for=tem_pis_nao> Não </label>
				</td>
				<td>
					<label for=pis> Número do PIS/PASEP: </pis>
					<input id=pis name=pis type=text class=dep_pis size=15>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_pis_apresentado>
					<input id=pis_apresentado_sim 
						   name=pis_apresentado 
						   type=radio class=dep_pis value=1> 
						<label for=pis_apresentado_sim> Sim </label>

					<input id=pis_apresentado_nao 
						   name=pis_apresentado 
						   type=radio class=dep_pis value=0> 
						<label for=pis_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_pis_digitalizado>
					<input id=pis_digitalizado_sim 
						   name=pis_digitalizado 
						   type=radio class=dep_pis value=1 readonly> 
						<label for=pis_digitalizado_sim> Sim </label>

					<input id=pis_digitalizado_nao 
						   name=pis_digitalizado 
						   type=radio class=dep_pis value=0 readonly> 
						<label for=pis_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ Certidão Civil -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui Certidão Civil? </td>
				<td id=box_tem_certidao>
					<input id=tem_certidao_sim name=tem_certidao 
						   type=radio value=1> 
						<label for=tem_certidao_sim> Sim </label>
					<input id=tem_certidao_nao name=tem_certidao 
						   type=radio value=0> 
						<label for=tem_certidao_nao> Não </label>
				</td>
				<td>
					<label for=idtipo_certidao> Tipo: </label>
					<select id=idtipo_certidao name=idtipo_certidao 
						    class=dep_certidao>
						<option></option>
<?
						$tipos = Doctrine_Query::create()
									->from('TipoCertidao t')
									->orderBy('t.nome')
									->execute();
						foreach($tipos as $t)
							echo "<option value=$t->id>$t->nome</option>\n";
?>
					</select>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=certidao_data_emissao> 
						Data de Emissão: 
					</label>
				</td>
				<td>
					<input id=certidao_data_emissao name=certidao_data_emissao 
						   type=text size=10 class='dep_certidao dep_certidao_data_emissao'>
					<input id=certidao_data_emissao_ignorada  class="dep_certidao"
						   name=certidao_data_emissao_ignorada type=checkbox value=1>
						<label for=certidao_data_emissao_ignorada> Ignorada </label>
				</td>
				<td>
					<label for=certidao_folha> Folha: </label>
				    <input id=certidao_folha name=certidao_folha type=text 
						   class=dep_certidao size=10>
					<label for=certidao_termo> Termo: </label>
					<input id=certidao_termo name=certidao_termo type=text 
						   class=dep_certidao size=10>
					<label for=certidao_livro> Livro: </label>
					<input id=certidao_livro name=certidao_livro type=text 
						   class=dep_certidao size=10>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_certidao_apresentado>
					<input id=certidao_apresentado_sim 
						   name=certidao_apresentado 
						   type=radio class=dep_certidao value=1> 
						<label for=certidao_apresentado_sim> Sim </label>

					<input id=certidao_apresentado_nao 
						   name=certidao_apresentado 
						   type=radio class=dep_certidao value=0> 
						<label for=certidao_apresentado_nao> Não </label>
				</td>
				<td>
					<label for=certidao_cartorio> Cartório: </label>
					<input id=certidao_cartorio name=certidao_cartorio 
						   type=text class=dep_certidao size=46>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_certidao_digitalizado>
					<input id=certidao_digitalizado_sim 
						   name=certidao_digitalizado 
						   type=radio class=dep_certidao value=1 readonly> 
						<label for=certidao_digitalizado_sim> Sim </label>

					<input id=certidao_digitalizado_nao 
						   name=certidao_digitalizado 
						   type=radio class=dep_certidao value=0 readonly> 
						<label for=certidao_digitalizado_nao> Não </label>
				</td>
				<td>
					<label for=certidao_matricula> Matrícula: </label>
					<input id=certidao_matricula name=certidao_matricula
						   type=text class=dep_certidao size=46>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ Carteira de Motorista -->
		<table>
			<col width=130px>
			<col width=200px>
			<tr>
				<td> * Possui Carteira de Motorista? </td>
				<td id=box_tem_cnh>
					<input id=tem_cnh_sim name=tem_cnh 
						   type=radio value=1> 
						<label for=tem_cnh_sim> Sim </label>
					<input id=tem_cnh_nao name=tem_cnh 
						   type=radio value=0> 
						<label for=tem_cnh_nao> Não </label>
				</td>
				<td>
					<label for=cnh> Número de Registro: </label>
					<input id=cnh name=cnh type=text 
						   class=dep_cnh size=15>
				</td>
			</tr>
			<tr>
				<td> Comprovado: </td>
				<td id=box_cnh_apresentado>
					<input id=cnh_apresentado_sim name=cnh_apresentado 
						   type=radio class=dep_cnh value=1> 
						<label for=cnh_apresentado_sim> Sim </label>
					<input id=cnh_apresentado_nao name='cnh_apresentado' 
						   type='radio' class='dep_cnh' value=0> 
						<label for=cnh_apresentado_nao> Não </label>
				</td>
			</tr>
			<tr>
				<td> Digitalizado: </td>
				<td id=box_cnh_digitalizado>
					<input id=cnh_digitalizado_sim name=cnh_digitalizado 
						   type=radio class=dep_cnh value=1 readonly> 
						<label for=cnh_digitalizado_sim> Sim </label>

					<input id=cnh_digitalizado_nao name=cnh_digitalizado 
						   type=radio class=dep_cnh value=0 readonly> 
						<label for=cnh_digitalizado_nao> Não </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->
	</div>
	<!-- }}} -->
	<!-- {{{ ENDEREÇO -->
	<div class=sessao_info_pessoa>
		<h1>
			ENDEREÇO DO PACIENTE<br>
				dados inexistentes ou desconhecidos devem ser deixados em branco
		</h1>
		<!-- {{{ Sem endereço -->
		<table>
			<col width=130px>
			<tr>
				<td>
					<label for=idtipo_endereco_variavel> 
						Tem endereço fixo?: 
					</label> 
				</td>
				<td>
					<select id=idtipo_endereco_variavel 
							name=idtipo_endereco_variavel>
						<option value=0>Sim</option>
<?
						$tipo = Doctrine_Query::create()
									->from('TipoEnderecoVariavel t')
									->orderBy('t.nome')
									->execute();
						foreach($tipo as $t)
							echo "<option value=$t->id>Não, $t->nome</option>\n";
?>
					</select>
				</td>
			</tr>
		</table>
		<!-- }}} -->
		<!-- {{{ Endereço da Residência -->
		<table>
			<col width=130px>
			<tr>
				<td colspan=2> 
					<label for=logradouro_geoiguacu> 
						Número de Cadastro de Imóvel GeoIguaçu:
					</label>
					<input id=logradouro_geoiguacu name=logradouro_geoiguacu 
						   type=text size=8>
					<span id=geoiguacu_error class=erro></span>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=idtipo_logradouro> * Tipo: </label>
					<select id=idtipo_logradouro name=idtipo_logradouro
							class=dep_geoiguacu>
						<option></option>
<?
						$tipos = Doctrine_Query::create()
									->from('TipoLogradouro t')
									->orderBy('t.abreviatura')
									->execute();
						foreach($tipos as $t)
							echo "<option value=$t->id>$t->abreviatura</option>\n";
?>
					</select>
				</td>
				<td>
					<label for=logradouro_nome> * Logradouro: </label>
					<input id=logradouro_nome name=logradouro_nome type=text
						   class=dep_geoiguacu size=40>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=logradouro_numero> * Número: </label>
					<input id=logradouro_numero name=logradouro_numero 
					       class=dep_geoiguacu type=text size=5>
				</td>
				<td>
					<label for=logradouro_complemento> Complemento: </label>
					<input id=logradouro_complemento name=logradouro_complemento
						   class=dep_geoiguacu type='text' size=10>

					<label> * Bairro: </label>
					<input id=logradouro_bairro name=logradouro_bairro 
						   class=dep_geoiguacu type=text size=20>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=logradouro_idestado> * UF: </label>
					<select id=logradouro_idestado name=logradouro_idestado
						    class=dep_geoiguacu>
						<option></option>
<?
						$estados = Doctrine_Query::create()
									->from('Estado e')
									->orderBy('e.sigla')
									->execute();
						foreach($estados as $e)
							echo "<option value=$e->id>$e->sigla</option>\n";
?>
					</select>
				</td>
				<td>
					<label for=logradouro_idcidade> * Cidade: </label>
					<select id=logradouro_idcidade name=logradouro_idcidade
							class=dep_geoiguacu>
					</select>

					<label for=logradouro_cep> * CEP </label>
					<input id=logradouro_cep name=logradouro_cep type=text 
						   class=dep_geoiguacu size=10>
				</td>
			</tr>
			<tr>
				<td colspan=2> 
					<label for=logradouro_referencia> 
						Ponto de Referência:
					</label>
					<input id=logradouro_referencia name=logradouro_referencia 
						   type=text size=50>
				</td>
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Se o logradouro está cadastrado ou não -->
		<table>
			<col width=50px>
			<tr>
				<td colspan=2 id=box_logradouro_nao_cadastrado> 
					<label for=logradouro_nao_cadastrado>
						Logradouro ou imóvel não cadastrado
					</label>
					<input id=logradouro_nao_cadastrado 
						   name=logradouro_nao_cadastrado type=checkbox value=1>
				</td>
			</tr>
			<tr>
				<td> 
					Justificativa:
				</td>
				<td>
					<input id=logr_nao_cad_fora_municipio
						   name=logradouro_nao_cad_justificativa type=radio
						   class=dep_logr_nao_cad value=0>
					<label for=logr_nao_cad_fora_municipio>
						Endereço fora do Município
					</label>
				</td>
			</tr>
			<tr>
				<td></td>
				<td>
					<input id=logr_nao_cad_nao_informado
						   name=logradouro_nao_cad_justificativa type=radio
						   class=dep_logr_nao_cad value=2>
					<label for=logr_nao_cad_nao_informado>
						Endereço não informado
					</label>
				</td>
			</td>
			<tr>
				<td></td>
				<td>
					<input id=logr_nao_cad_outro
						   name=logradouro_nao_cad_justificativa type=radio
						   class=dep_logr_nao_cad value=1>
					<label for=logr_nao_cad_outro>
						Outro, qual?
					</label>
					<input id=logradouro_nao_cad_outra_justificativa 
						   name=logradouro_nao_cad_outra_justificativa
						   class='dep_logr_nao_cad' type='text' size=50>
					<br>
					<p style='color:#808080; width:30em; font-size:smaller; line-height:1'>Caso o endereço seja em Nova Iguaçu e seu número GeoIguaçu não estiver disponível, marque a 3ª opção e informe "Número GeoIguaçu não disponível" no campo de justificativa</p>
				</td>
			</tr>
		</table>
		<!-- }}} -->
	</div>
	<!-- }}} -->

	<!-- {{{ CONTATOS -->
	<div class=sessao_info_pessoa>
		<h1>CONTATOS DO PACIENTE</h1>
		<!-- {{{ Telefones, email -->
		<table>
			<col width=130px>
			<col width=150px>
			<tr>
				<td><label for=telefone_fixo> * Tel. Residencial: </label> </td>
				<td>
					<input id=telefone_fixo name=telefone_fixo type=text 
						   width=10>
				</td>
				<td>
					<input id=nao_possui_telefone_fixo
						   name=nao_possui_telefone_fixo 
						   type=checkbox value=1>
					<label for=nao_possui_telefone_fixo> Não Possui </label>
				</td>
			</tr>
			<tr>
				<td><label for=telefone_celular> * Tel. Celular: </label> </td>
				<td>
					<input id=telefone_celular name=telefone_celular	
						   type=text width=10>
				</td>
				<td>
					<input id=nao_possui_telefone_celular 
						   name=nao_possui_telefone_celular 
						   type=checkbox value=1>
					<label for=nao_possui_telefone_celular> Não Possui </label>
				</td>
			</tr>
			<tr>
				<td><label for=telefone_recado> * Tel. Recado: </label> </td>
				<td>
					<input id=telefone_recado name=telefone_recado type=text 
						   width=10>
				</td>
				<td>
					<input id=nao_possui_telefone_recado
						   name=nao_possui_telefone_recado
						   type=checkbox value=1>
					<label for=nao_possui_telefone_recado> Não Possui </label>
				</td>
			</tr>
			<tr>
				<td><label for=email> * Email: </label></td>
				<td><input id=email name=email type=text width=10></td>
				<td>
					<input id=nao_possui_email name=nao_possui_email
						   type=checkbox value=1>
					<label for=nao_possui_email> Não Possui </label>
				</td>
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Endereço de correspondência -->
		<table id=campos_logr_corresp>
			<col width=130px>
			<tr>
				<td colspan=2>
					<table style='width: auto; margin: 0px; padding: 0px'>
						<tbody>
						<tr>
							<td> * Endereço de Correspondência: </td>
							<td>
								<input id=mesmo_logr_corresp 
									   name=mesmo_logradouro_corresp type=radio value=1>
								<label for=mesmo_logr_corresp> 
									Igual ao endereço de moradia informado acima
								 </label>
							</td>
						</tr>
						<tr>
							<td></td>
							<td>
								<input id=outro_logr_corresp 
									   name=mesmo_logradouro_corresp type=radio value=0>
								<label for=outro_logr_corresp> 
									Outro, qual? (deve ser diferente do endereço de moradia)
								</label>
							</td>
						</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=idtipo_logradouro_corresp> Tipo: </label>
					<select id=idtipo_logradouro_corresp 
							class=dep_endcorresp
						    name=idtipo_logradouro_corresp>
						<option></option>
<?
						$tipos = Doctrine_Query::create()
									->from('TipoLogradouro t')
									->orderBy('t.abreviatura')
									->execute();
						foreach($tipos as $t)
							echo "<option value=$t->id>$t->abreviatura</option>\n";
?>
					</select>
				</td>
				<td>
					<label for=logradouro_corresp_nome> Logradouro: </label>
					<input id=logradouro_corresp_nome 
					       class=dep_endcorresp
						   name=logradouro_corresp_nome type=text size=40>
				</td>
			</tr>
			<tr>
				<td> 
					<label for=logradouro_corresp_numero> Número: </label>
					<input id=logradouro_corresp_numero 
						   class=dep_endcorresp
						   name=logradouro_corresp_numero type=text size=5>
				</td>
				<td>
					<label for=logradouro_corresp_complemento> 
						Complemento: 
					</label>
					<input id=logradouro_corresp_complemento 
						   name=logradouro_corresp_complemento 
						   class=dep_endcorresp
						   type=text size=10>

					<label for=logradouro_corresp_bairro>
						Bairro: 
					</label>
					<input id=logradouro_corresp_bairro 
						   class=dep_endcorresp
						   name=logradouro_corresp_bairro type=text size=20>
				</td>
			</tr>
			<tr>
				<td> <label for=logradouro_corresp_idestado> UF: </label>
					<select id=logradouro_corresp_idestado
							class=dep_endcorresp
							name=logradouro_corresp_idestado>
						<option></option>
<?
						$estados = Doctrine_Query::create()
									->from('Estado e')
									->orderBy('e.sigla')
									->execute();
						foreach($estados as $e)
							echo "<option value=$e->id>$e->sigla</option>\n";
?>
					</select>
				</td>
				<td>
					<label for=logradouro_corresp_idcidade> Cidade: </label>
					<select id=logradouro_corresp_idcidade 
							class=dep_endcorresp
							name=logradouro_corresp_idcidade>
<?
					if($_POST['logradouro_corresp_idestado'])
					{
						$municipios = Doctrine_Query::create()
									->from('Municipio m')
									->where('m.idestado = ?',
										$_POST['logradouro_corresp_idestado'])
									->orderBy('m.nome')
									->execute();
						foreach($municipios as $m)
							echo "<option value=$m->id>$m->nome</option>\n";
					}
?>
					</select>
					<label for=logradouro_corresp_cep> CEP </label>
					<input id=logradouro_corresp_cep 
						   class=dep_endcorresp
						   name=logradouro_corresp_cep type=text size=10>
				</td>
			</tr>
		</table>
		<!-- }}} -->
	</div>
	<!-- }}} -->

	<!-- Info pessoas {{{ -->
	<div class=sessao_info_pessoa>
		<h1>O paciente é cadastrado/acompanhado pelos seguintes programas:</h1>
		<table>
			<col width=330px>
			<tr>
				<td>Bolsa-Fam&iacute;lia: </td>
				<td id=box_tem_bolfam>
					<input id=beneficiario_bolsa_familia_sim name=beneficiario_bolsa_familia 
						   type=radio value=1> 
						<label for=beneficiario_bolsa_familia_sim> Sim </label>
					<input id=beneficiario_bolsa_familia_nao name=beneficiario_bolsa_familia 
						   type=radio value=0> 
						<label for=beneficiario_bolsa_familia_nao> N&atilde;o </label>
				</td>
			</tr>			
			<tr>
				<td>Programa de Saúde da Família - PSF: </td>
				<td id=box_tem_psf>
					<input id=membro_psf_sim name=membro_psf
						   type=radio value=1> 
						<label for=membro_psf_sim> Sim </label>
					<input id=membro_psf_nao name=membro_psf 
						   type=radio value=0> 
						<label for=membro_psf_nao> N&atilde;o </label>
				</td>
			</tr>			
			<tr>
				<td>Programa de Agentes Comunitários de Saúde - PACS: </td>
				<td id=box_tem_pacs>
					<input id=membro_pacs_sim name=membro_pacs
						   type=radio value=1> 
						<label for=membro_pacs_sim> Sim </label>
					<input id=membro_pacs_nao name=membro_pacs 
						   type=radio value=0> 
						<label for=membro_pacs_nao> N&atilde;o </label>
				</td>
			</tr>			
		</table>
	</div><!-- }}} -->

	<!-- {{{ Inscrição em Programas da Saúde -->
	<div class=sessao_programas>
		<h1>INSCRIÇÃO EM PROGRAMAS DA SAÚDE</h1>
<?
			$programas = Doctrine_Query::create()
							->from('Programa prog')
							->orderBy('prog.nome')
							->execute();
			$inscricoes = Doctrine_Query::create()
							->from('InscricaoPrograma inscr INDEXBY inscr.idprograma')
							->leftJoin('inscr.comparecimentos comp')
							->where('inscr.idpessoa = ?', $idpessoa)
							->orderBy('inscr.data desc, comp.data desc')
							->execute();
?>
		<table>
			<thead>
				<th>Programas</th><th>Ações</th><th>Data de Inscrição</th>
				<th>Último Comparecimento</th><th>Unidade</th><th>Situação</th>
				<th>Data de Desligamento</th>
			</thead>
<?
			$idx=0;
			foreach($programas as $prog)
			{
				$inscr = $inscricoes[$prog->id];
				if($inscr->id == 0)
					$inscr = NULL;

				echo "<tr class=".($idx++&1 ? "odd" : "even").">
						<td>$prog->nome</td>
						<td>
							<select name='acao_programa[$prog->id]'>
								<option></option>";
				if(!$inscr || $inscr->data_desligamento)
					echo "<option value=1>Inscrição</option>\n";
				echo "<option value=2>Comparecimento</option>\n";

				if($inscr && !$inscr->data_desligamento)
					echo "<option value=3>Desligamento</option>\n";
				echo "		 </select>
					</td>";

				if($inscr)
				{
					echo "<td>".output_date($inscr->data)."</td>\n";
					if(count($inscr->comparecimentos) > 0)
					{
						$comp = $inscr->comparecimentos[0];
						echo "<td>".output_date($comp->data)."</td>\n";
						echo "<td>".$comp->unidade->nome_fantasia."</td>\n";
					}
					else
						echo "<td></td>\n<td></td>\n";

					// Situação
					echo "<td>";
					if($inscr->data_desligamento)
						echo "Desligado";
					else
						echo "Ativo";
					echo "</td>\n";
					if($inscr->data_desligamento)

						echo "<td>".output_date($inscr->data_desligamento)."</td>\n";
					else
						echo "<td></td>\n";
				}
				else
				{
					echo "<td></td>
						  <td></td>
						  <td></td>
						  <td></td>
						  <td></td>";
				}
				echo "</tr>\n";
			}
?>
		</table>
<?
		if($consulta_comparecimento || tem_permissao(TipoUsuario::SUPERVISOR))
		{
			$inscricoes = Doctrine_Query::create()
				->from('InscricaoPrograma inscr')
				->innerJoin('inscr.programa prog')
				->leftJoin('inscr.comparecimentos comp')
				->leftJoin('comp.unidade u')
				->where('inscr.idpessoa = ?',$idpessoa)
				->execute();
			if($inscricoes->count() > 0)
			{
?>
				<h1>Histórico de Comparecimentos a Programas</h1>
				<table id=historico_inscricoes>
					<thead>
						<th>Programa</th>
						<th>Data de Inscrição</th>
						<th>Data de Desligamento</th>
					</thead>
					<tbody>
<?
				foreach($inscricoes as $id => $inscr)
				{
					echo <<<EOT
					<tr id=node-$id>
						<td>{$inscr->programa->nome}</td>
						<td>{$inscr->data}</td>
						<td>{$inscr->data_desligamento}</td>
						<td></td>
						<td></td>
					</tr>

EOT;
					if($inscr->comparecimentos->count() > 0)
					{
						echo <<<EOT
					<tr id=node-head-$id class="child-of-node-$id subhead">
						<td>Unidade</td>
						<td>Data de Comparecimento</td>
						<td></td>
					</tr>
EOT;
					}

					foreach($inscr->comparecimentos as $idchild => $comp)
					{
						echo <<<EOT
						<tr id=node-$id-$idchild class="child-of-node-$id subitem">
							<td>{$comp->unidade->nome_fantasia}</td>
							<td>$comp->data</td>
							<td></td>
						</tr>
EOT;
					}
				}
			}
		}
?>
				</tbody>
			</table>
	</div>
	<!-- }}} -->

	<!-- {{{ Motivo de comparecimento -->
	<div class=sessao_comparecimento>
		<h1>MOTIVO DO COMPARECIMENTO À UNIDADE</h1>
<?
		if($consulta_comparecimento)
		{
?>
			<table>
				<col width=200px>
				<tr> 
					<td>Data de comparecimento:</td>
					<td><?echo strftime("%d/%m/%Y %H:%M:%S", 
									$consulta_timestamp)?> </td>
				</tr>
			</table>
<?
		}
		else if(tem_permissao(TipoUsuario::SUPERVISOR))
		{
?>
			<table>
				<thead><th id=data_selecionada_comparecimento>Selecione a data do comparecimento do paciente</th></thead>
				<tr> <td><div id=motivo_comparecimento_datepicker></div> </td> </tr>
			</table>
<?
		}
		else
		{
?>
		<table>
			<tr> 
				<td id=box_sem_comparecimento> 
					<b> 
						<label for=sem_comparecimento> 
							Paciente não está presente
						</label>
					</b>
					<input id=sem_comparecimento name=sem_comparecimento 
						   type=checkbox value=1>
				</td>
			</tr>
		</table>
<?	
		}
?>

		<!-- {{{ Última visita / prontuário -->
		<table>
			<col width=100px>
			<tr>
				<td> 
					<label for=comparecimento_prontuario> 
						Nº prontuário: 
					</label>
				</td>
				<td> 
					<input id=comparecimento_prontuario class=dep_comp 
						   name=comparecimento_prontuario 
						   type=text size=15>
				</td>
			</tr>
<?
		if(!$consulta_comparecimento && tem_permissao(TipoUsuario::OPERADOR))
		{
?>
			<tr>
				<td> <b>Última visita:</b> </td>
				<?
					$ultcomp = Doctrine_Query::create()
								->from('Comparecimento c')
								->leftJoin('c.unidade u')
								->leftJoin('c.motivos mc')
								->leftJoin('mc.motivo m')
								->where('c.idpessoa = ?',
								   array($idpessoa))
								->orderBy('c.data desc')
								->fetchOne();
					if($ultcomp)
					{
							echo "<tr>
								<td>Unidade:</td>
								<td>{$ultcomp->unidade->nome_fantasia}</td>
							</tr>
							<tr>
								<td>Data:</td>
								<td>".strftime('%d/%m/%Y %H:%M:%S',strtotime($ultcomp->data))."</td>
							</tr>
							<td>Motivos:</td>
							<td><ul style='padding-left:1em;margin:0px;'>";

						if(count($ultcomp->motivos) == 0)
							echo "<li>N/D (Paciente não estava presente)</li>";
						else
						{
							foreach($ultcomp->motivos as $m)
							{
								echo "<li>".$m->motivo->nome."</li>";
							}
						}
						echo "</ul></td></tr>";
					}
					else
						echo '<td>N/D</td>';
?>
				</td>
			</tr>
<?
		}
?>
		</table>
		<!-- }}} -->
	
		<!-- {{{ Marcar procedimentos -->
		<table>
			<tr>
				<td> <b> 1. MARCAR PROCEDIMENTOS </b> </td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_1 class=dep_comp name='motivo[1]' 
						   type='checkbox' value=1> 
					<label for=motivo_1> CONSULTA MÉDICA </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_2 class=dep_comp name='motivo[2]' 
						   type='checkbox' value=1> 
					<label for=motivo_2> OUTRAS CONSULTAS </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_3 class=dep_comp name='motivo[3]' 
						   type='checkbox' value=1> 
					<label for=motivo_3> EXAMES </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_4 class=dep_comp name='motivo[4]'
						   type='checkbox' value=1> 
					<label for=motivo_4> OUTRAS MARCAÇÕES </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->
		
		<!-- {{{ Visita para consulta -->
<?
		function preenche_ocupacoes($ocupacoes)/*{{{*/
		{
			$recent_count = NULL;
			$need_close_group = false;
			foreach($ocupacoes as $o)
			{
				if($recent_count===NULL)
				{
					if(count($o->uso) != 0)
					{
						$recent_count = 1;
						echo "<optgroup label='Recentes'>\n";
						$need_close_group = true;
					}
				}
				else
				{
					if($recent_count > 10 || count($o->uso)==0)
					{
						if($need_close_group)
						{
							echo "</optgroup>\n";
							$need_close_group = false;
						}
					}
					else
						++$recent_count;
				}

				echo "<option value=$o->id>$o->nome</option>\n";

			}

			if($need_close_group)
				echo "</optgroup>\n";

		}/*}}}*/
?>

		<table>
			<col width=160px>
			<tr>
				<td> <b> 2. VISITA PARA CONSULTA </b> </td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_5 class=dep_comp name='motivo[5]' 
						   type='checkbox' value=1>	
					<label for=motivo_5> Consulta Médica </label>
				</td>
				<td>
					<select class=dep_comp id=motivo_idocupacao_medico
							name=motivo_idocupacao_medico>
						<option value=0>Nao informada</option>
<?
			$medicos = array('MÉDICOS');

			$ocupacoes = Doctrine_Query::create()
				->select('o.id, o.nome, uso.count is null as isnull')
				->from('Ocupacao o')
				->leftJoin('o.uso uso')
				->leftJoin('o.grupo grupo')
				->whereIn('grupo.nome',$medicos)
				->orWhere('o.idgrupo is null')
				->addWhere('uso.idunidade = ?',$current_user->idunidade)
				->orderBy('isnull, uso.count desc, o.nome asc')
				->execute();
			preenche_ocupacoes($ocupacoes);
?>
					</select>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_6 class=dep_comp name='motivo[6]' 
						   type='checkbox' value=1> 
					<label for=motivo_6> Enfermeiro </label>
				</td>
				<td>
					<select class=dep_comp id=motivo_idocupacao_enfermeiro 
							name=motivo_idocupacao_enfermeiro>
						<option value=0>Não Informada</option>
<?
			$enfermeiros = array('ENFERMEIROS');

			$ocupacoes = Doctrine_Query::create()
				->select('o.id, o.nome, uso.count is null as isnull')
				->from('Ocupacao o')
				->leftJoin('o.uso uso')
				->leftJoin('o.grupo grupo')
				->whereIn('grupo.nome',$enfermeiros)
				->orWhere('o.idgrupo is null')
				->addWhere('uso.idunidade = ?',$current_user->idunidade)
				->orderBy('isnull, uso.count desc, o.nome asc')
				->execute();
			preenche_ocupacoes($ocupacoes);
?>
					</select>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_7 class=dep_comp name='motivo[7]' 
						   type='checkbox' value=1> 
					<label for=motivo_7> Outros Profissionais </label>
				</td>
				<td>
					<select class=dep_comp id=motivo_idocupacao_outros 
							name=motivo_idocupacao_outros> 
						<option value=0>Não Informada</option>
<?
			$ocupacoes = Doctrine_Query::create()
				->select('o.id, o.nome, uso.count is null as isnull')
				->from('Ocupacao o')
				->leftJoin('o.uso uso')
				->leftJoin('o.grupo grupo')
				->whereNotIn('grupo.nome',array_merge($enfermeiros,$medicos))
				->orWhere('o.idgrupo is null')
				->addWhere('uso.idunidade = ?',$current_user->idunidade)
				->orderBy('isnull, uso.count desc, o.nome asc')
				->execute();
			preenche_ocupacoes($ocupacoes);
?>
					</select>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Motivo da consulta -->
		<table>
			<tr>
				<td> <b> 3. MOTIVO DA CONSULTA </b> </td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_8 class=dep_comp name='motivo[8]' 
						   type='checkbox' value=1> 
					<label for=motivo_8> Emergência </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_9 class=dep_comp name='motivo[9]' 
						   type='checkbox' value=1> 
					<label for=motivo_9> Agendada </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_22 class=dep_comp name='motivo[22]' 
						   type='checkbox' value=1> 
					<label for=motivo_22> Revisão Pós Alta Hospitalar </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_10 class=dep_comp name='motivo[10]' 
						   type='checkbox' value=1> 
					<label for=motivo_10> Outros </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Internações -->
		<table>
			<col width=160px>
			<tr>
				<td> <b> 4. INTERNAÇÕES </b> </td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_23 class=dep_comp name='motivo[23]' 
						   type='checkbox' value=1> 
					<label for=motivo_23> Hospital Dia </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_outras_internacoes class=dep_comp name='motivo_outras_internacoes' 
						   type='checkbox' value=1> 
					<label for=motivo_outras_internacoes> Outras Internações</label>
				</td> 
				<td> 
					<select id=motivo_24_a_27 name='motivo_24_a_27'>
						<option></option>
						<option value=24>Clínica Médica</option>
						<option value=25>Obstetrícia</option>
						<option value=26>Pediatria</option>
						<option value=27>Terapia Intensiva</option>
					</select>
				</tr>
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Tomar vacinas -->
		<table>
			<tr>
				<td> 
					<b> 5. <input id=motivo_11 class=dep_comp name='motivo[11]' 
								  type='checkbox' value=1> 
						<label for=motivo_11> TOMAR VACINAS </label> 
					</b>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Doar Sangue -->
		<table>
			<tr>
				<td> 
					<b> 6. <input id=motivo_21 class=dep_comp name='motivo[21]' 
								  type='checkbox' value=1> 
						<label for=motivo_21> DOAR SANGUE</label> 
					</b>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Fazer curativo -->
		<table>
			<tr>
				<td> 
					<b> 7. <input id=motivo_12 class=dep_comp name='motivo[12]' 
								  type='checkbox' value=1> 
						<label for=motivo_12> FAZER CURATIVO </label> 
					</b>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Farmácia -->
		<table>
			<tr>
				<td> <b> 8. FARMÁCIA </b> </td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_13 class=dep_comp name='motivo[13]' 
						   type='checkbox' value=1> 
					<label for=motivo_13> Retirar Medicamentos </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_14 class=dep_comp name='motivo[14]' 
						   type='checkbox' value=1> 
					<label for=motivo_14> Retirar Métodos Contraceptivos</label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_15 class=dep_comp name='motivo[15]' 
						   type='checkbox' value=1> 
					<label for=motivo_15> Outros </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Fazer exames -->
		<table>
			<tr>
				<td><b> 9. FAZER EXAMES </b></td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_17 class=dep_comp name='motivo[17]' 
						   type='checkbox' value=1> 
					<label for=motivo_17> Coleta ou Realização </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_18 class=dep_comp name='motivo[18]' 
						   type='checkbox' value=1> 
					<label for=motivo_18> Apanhar Resultados </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Procedimentos -->
		<table>
			<tr>
				<td><b> 10. PROCEDIMENTOS </b></td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_28 class=dep_comp name='motivo[28]' 
						   type='checkbox' value=1> 
					<label for=motivo_28> Realização </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_29 class=dep_comp name='motivo[29]' 
						   type='checkbox' value=1> 
					<label for=motivo_29> Apanhar Resultados </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Reclamações -->
		<table>
			<tr>
				<td>
					<b> 11. <input id=motivo_19 class=dep_comp name='motivo[19]' 
								  type='checkbox' value=1> 
						<label for=motivo_19> RECLAMAÇÕES </label> 
					</b>
				</td> 
			</tr>
		</table>
		<!-- }}} -->

		<!-- {{{ Procedimentos -->
		<table>
			<tr>
				<td><b> 12. EDUCAÇÃO EM SAÚDE </b></td>
			</tr>
			<tr> 
				<td> 
					<input id=motivo_30 class=dep_comp name='motivo[30]' 
						   type='checkbox' value=1> 
					<label for=motivo_30> Educação em saúde cobertura na unidade </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_31 class=dep_comp name='motivo[31]' 
						   type='checkbox' value=1> 
					<label for=motivo_31> Educação em saúde fora da unidade </label>
				</td> 
			</tr>
			<tr> 
				<td> 
					<input id=motivo_32 class=dep_comp name='motivo[32]' 
						   type='checkbox' value=1> 
					<label for=motivo_32> Educação em saúde atuação em programas </label>
				</td> 
			</tr>
		</table>
		<!-- }}} -->
	</div>
	<!-- }}} -->

<?
	// Verificação/*{{{*/
	if(!$consulta_comparecimento)
	{
		if(tem_permissao(TipoUsuario::SUPERVISOR))
		{
	?>
			<div class=sessao_verificacao>
				<h1> Resultado da Análise </h1>
				<table>
					<tr>
						<td>
							<input id=sem_validacao type=radio name=codigo_situacao value=<? echo SituacaoFormulario::SEM_VALIDACAO ?>> 
							<label for=sem_validacao>
								<img src='images/warning.gif' width=15 height=15> 
								Sem Validação 
							</label>
						</td>
						<td rowspan=3 width=85%>
							<textarea id=obs_validacao name=obs_validacao rows=4 style='width: 100%'></textarea>
						</td>
					</tr>
					<tr>
						<td>
							<input id=nao_validado type=radio name=codigo_situacao value=<? echo SituacaoFormulario::NAO_VALIDADO ?>> 
							<label for=nao_validado>
								<img src='images/nocheck.gif' width=15 height=15> 
								Não Validado 
							</label>
						</td>
					</tr>
					<tr>
						<td>
							<input id=validado type=radio name=codigo_situacao value=<? echo SituacaoFormulario::VALIDADO ?>> 
							<label for=validado>
								<img src='images/check.gif' width=15 height=15> 
								Validado 
							</label>
						</td>
					</tr>
				</table>
			</div>
	<?
		}
		else if($pessoa->situacao->codigo == SituacaoFormulario::NAO_VALIDADO)
		{
			echo "
			<div class=sessao_correcao>
				<h1> CORREÇÕES A SEREM REALIZADAS </h1>
				{$pessoa->situacao->correcao}
			</div>\n";
		}
	} // !consulta_comparecimento/*}}}*/
?>
</form>
<!-- }}} -->

<?

	if($idpessoa_cabcomum != 0)
	{
		echo "<div class=sessao_info_pessoa>
			<h1>Envio de Documentos</h1>";
		include 'doc_upload/uploadDocumentoForm.php';
		echo "</div>";
	}

}
catch(Exception $e)
{
	mostra_erro($e->getMessage());
}

include '../common/footer.php';

?>

</body>
</html>
