<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
require_once '../common/begin.php';

try
{
	$sql = Doctrine_Query::create()
		->select('m.nome')
		->from('Municipio m INDEXBY m.id');

	if(!empty($_GET['idestado']))
	{
		if(is_numeric($_GET['idestado']))
			$sql->where('m.idestado = ?',$_GET['idestado']);
		else
		{
			$sql->innerJoin('m.estado e')
				->where('e.sigla = ?',$_GET['idestado']);
		}
	}

	$municipios = $sql->orderBy('m.nome')
					  ->execute()->toArray();

	foreach($municipios as $id => &$val)
		$val = $val['nome'];

	echo json_encode($municipios);
}
catch(Exception $e)
{
	echo json_encode(array(0 => $e->getMessage()));
}

?>
