<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php

function insereAluno($_codaluno,
					 $_blprimeiramatricula,
					 $_dtdeferido,
					 $_nomealuno,
					 $_pathfotoaluno,
	                 $_cadsus,
	                 $_sexo,
	                 $_dtnascimento,
	                 $_ufnascimento,
	                 $_municipionascimento,
	                 $_nacionalidadealuno,
	                 $_paisorigemaluno,
	                 $_certidaocartorio,
					 $_certidaomatricula,
	                 $_certidaotermo,
	                 $_certidaofolha,
	                 $_certidaolivro,
	                 $_certidaoemissao,
	                 $_certidaoestado,
	                 $_certidaotipo,
	                 $_blcertidaocomprovada,
	                 $_blcertidaodigitalizada,
	                 $_pathcertidaofrente,
	                 $_pathcertidaoverso,
	                 $_cpf,
	                 $_blcpfcomprovado,
	                 $_blcpfdigitalizado,
	                 $_nis,
	                 $_blniscomprovado,
	                 $_blnisdigitalizado,
	                 $_pathcpffrente,
	                 $_pathcpfverso,
	                 $_pathnisfrente,
	                 $_pathnisverso,
	                 $_inep,	
	                 $_blnecessidadesespeciais,
	                 $_cor,
	                 $_dtingresso,
	                 $_blalunotransferencia,
	                 $_tpescolaorigem,
	                 $_nomeescolaorigem,
	                 $_escolaorigemoutros,
	                 $_blbolsafamilia,
	                 $_responsavelmatricula,
	                 $_telresidencial,
	                 $_telcelular,
	                 $_telrecado,
	                 $_email,
	                 $_blenderecocorrespondencia,	
	                 $_nomeescolaanterior,
	                 $_codigoescolaanterior,
	                 $_bairroescolaanterior,
	                 $_tipoescolaanterior,
	                 $_ultimaescolaridadealuno,
	                 $_blaprovadoultimaescolaridade,
	                 $_turmaanterior,
	                 $_turnoanterior,
	                 $_blcompravoescolaridadeanterior,
	                 $_blparticipouhorariointegral,
	                 $_turnopreferencia,
	                 $_bldesejahorariointegral,
	                 $_blalunopasseescolar,
	                 $_blresponsavelpasseescolar,
	                 $_blPaiTemDocumentos,
		             $_nomePai,
					 $_blMaeTemDocumentos,
					 $_nomeMae,
					 $_blResponsavelTemDocumentos,
					 $_nomeResponsavel,
					 $_dadoCenso,
					 $_cursouNI,
					 $_grauparentestoresp,
					 $_escolaAnteriorEstado,
					 $_escolaAnteriorCidade,
					 $dbh,
					 $_codpessoa,
					 $_escolaMunicipal,
					 $_tpsangue,
					 $_tpSangueApresentada,
					 $_tpSangueDigitalizada,
					 $_pathtpsanguefrente,
					 $_pathtpsangueverso,
					 $_observacoes)
{
	//echo ("Entrei em insereAluno");
	$_ufnascimento = converteVar($_ufnascimento);
	$_municipionascimento = converteVar($_municipionascimento);
	$_blcertidaodigitalizada = converteVar($_blcertidaodigitalizada);
	$_blcpfdigitalizado = converteVar($_blcpfdigitalizado);
	$_blnisdigitalizado = converteVar($_blnisdigitalizado);
	$_codigoescolaanterior = converteVar($_codigoescolaanterior);
	$_ultimaescolaridadealuno = converteVar($_ultimaescolaridadealuno);
	$_blaprovadoultimaescolaridade = converteVar($_blaprovadoultimaescolaridade);
	$_blcompravoescolaridadeanterior = converteVar($_blcompravoescolaridadeanterior);
	$_cursouNI = converteVar($_cursouNI);
	$_grauparentestoresp = converteVar($_grauparentestoresp);
	$_dtdeferido = converteVar($_dtdeferido);	
	$_escolaAnteriorEstado = converteVar($_escolaAnteriorEstado);
	$_escolaAnteriorCidade = converteVar($_escolaAnteriorCidade);
	$_tpSangueDigitalizada = converteVar($_tpSangueDigitalizada);
	
	if( $_escolaMunicipal == null )
	{
		$_escolaMunicipal = "null" ;
	}

	$loginfunc = $_SESSION['login'];
	// primeiro cria a pessoa e depois o aluno
	//se cod pessoa = -1, cria uma nova pessoa
	if($_codpessoa == -1 )
	{
		//echo ("Entrei em codpessoa == -1 insereAluno");
		$sql = "
		INSERT INTO cabcomum.pessoa
		(
	            nome, 
	            nome_mae, 
	            idsexo, 
	            data_nascimento, 
	            idmunicipio_nascimento, 
	            idpais_nascimento, 
	            idnacionalidade, 
	            idraca, 
	            idescolaridade, 
	            email, 
	            data_criacao, 
	            data_atualizacao, 
	            fone_residencial, 
	            fone_celular, 
	            fone_recado, 
	            fone_trabalho, 
	            idestado_nascimento, 
	            idref_sistema, 
	            idpessoa_sistema, 
	            beneficiario_bolsa_familia
	    )
	    VALUES (
	    	'$_nomealuno', 
	    	'$_nomeMae', 
	    	'$_sexo', 
	    	'$_dtnascimento', 
	    	$_municipionascimento, 
	        '$_paisorigemaluno',
	        '$_nacionalidadealuno', 
	        '$_cor', 
	        null, 
	        '$_email', 
	        current_timestamp, 
	        current_timestamp,
	        '$_telresidencial', 
	        '$_telcelular', 
	        '$_telrecado', 
	        null, 
	        $_ufnascimento, 
	        3, 
	        '$loginfunc', 
	        '$_blbolsafamilia' 
	        );	
		";
		
		//echo nl2br($sql);
		
		// cria
		$result = executaQuery($dbh, $sql);
		
		if(!$result)
		{
			return false;
		}
		// pega o id da pessoa
		$result = executaQuery($dbh,"SELECT max(id) FROM cabcomum.pessoa");
		$codResult = pg_fetch_row($result);
		//print_r($codResult); exit;
		$codpessoa = $codigoEscola = $codResult[0];
	}
	else
	{
		//echo ("Entrei em else codigopessoa == -1 insereAluno");
		$codpessoa = $_codpessoa;
		// do contr�rio, � uma pessoa que est� virando aluno. Atualiza os dados da pessoa
		$sqlPessoa = "
		UPDATE cabcomum.pessoa
	   	SET 
	   		nome						='$_nomealuno'				, 
	   		nome_mae					='$_nomeMae'				, 
	   		idsexo						='$_sexo'					, 
	   		data_nascimento				='$_dtnascimento'			, 
	   		idmunicipio_nascimento		= $_municipionascimento	    , 
	       	idpais_nascimento			='$_paisorigemaluno'		, 
	       	idnacionalidade				='$_nacionalidadealuno'		, 
	       	idraca						='$_cor'					, 
	       	email						='$_email'					,
	       	data_atualizacao			= current_timestamp			, 
	       	fone_residencial			='$_telresidencial'			, 
	       	fone_celular				='$_telcelular'				, 
	       	fone_recado					='$_telrecado'				, 
	       	idestado_nascimento			= $_ufnascimento			, 
	       	beneficiario_bolsa_familia 	='$_blbolsafamilia'
	 	WHERE id = $_codpessoa;
		";

		//die(nl2br($sqlPessoa));
		
		$result = executaQuery($dbh,$sqlPessoa);

		if( !$result )
		{
			$erro = true;
			$msgErro = "Erro ao atualizar os dados da pessoa";		
		}
		// atualiza hist�rico da pessoa
		$sql = "INSERT INTO cabcomum.pessoa_historico(idpessoa,idsistema,data_comparecimento) values ($_codpessoa,3,current_timestamp)";
		executaQuery($dbh,$sql);
			
	}
		
// insere documentos
	// cadsus
	if( $_cadsus != null && $_cadsus != "" )
	{
		$ret = insereDocumentoCabComum($dbh,$codpessoa,6,$_cadsus);
		if ($ret == false )
			return false;
	}
	
	//echo $_blcertidaocomprovada; exit;
	// certidao
	if( $_blcertidaocomprovada == 'true' || $_blcertidaocomprovada == '1' )
	{
		//echo ("Entrei em certidao insereAluno");
		$ret = insereDocumentoCabComum(
			$dbh,
			$codpessoa,
			9,
			null,
			$_blcertidaocomprovada,
			$_pathcertidaofrente,
			$_pathcertidaoverso,
			$_certidaoestado,
			null,
			$_certidaoemissao,
			null,
			$_certidaofolha,
			$_certidaotipo,
			$_certidaotermo,
			$_certidaolivro,
			$_certidaocartorio,
			null,
			null,
			$_certidaomatricula			
			);
		if ($ret == false )
		{
			return false;
		}
	}
	// cpf
	if($_blcpfcomprovado == 'true' || $_blcpfcomprovado == '1')
	{
		
		//echo ("Entrei em cpf insereAluno");
		$ret = insereDocumentoCabComum(
			$dbh,
			$codpessoa,
			5,
			$_cpf,
			$_blcpfcomprovado,
			$_pathcpffrente,
			$_pathcpfverso			
			);
		if ($ret == false )
			return false;
	}
	// nis
	if( $_blniscomprovado == 'true' || $_blniscomprovado == '1')
	{
		//echo ("Entrei em  nis insereAluno");
		$ret = insereDocumentoCabComum(
			$dbh,
			$codpessoa,
			4,
			$_nis,
			$_blniscomprovado,
			$_pathnisfrente,
			$_pathnisverso
			);
		if ($ret == false )
			return false;
	}
	
	// insere no hist�rico
	$sql = "INSERT INTO cabcomum.pessoa_historico(idpessoa,idsistema,data_comparecimento) values ($codpessoa,3,current_timestamp)";
	executaQuery($dbh,$sql);
	
	$sql = "INSERT INTO \"mat_alunoEspecifico\"
	(
		\"codaluno\",
		\"blprimeiramatricula\",
		\"dtdeferido\",
		\"pathfotoaluno\",
		\"inep\",		
		\"blnecessidadesespeciais\",
		\"dtingresso\",
		\"blalunotransferencia\",
		\"tpescolaorigem\",
		\"nomeescolaorigem\",
		\"escolaorigemoutros\",
		\"blbolsafamilia\",
		\"responsavelmatricula\",		
		\"blenderecocorrespondencia\",		
		\"nomeescolaanterior\",
		\"codigoescolaanterior\",
		\"bairroescolaanterior\",
		\"tipoescolaanterior\",
		\"ultimaescolaridadealuno\",
		\"blaprovadoultimaescolaridade\",
		\"turmaanterior\",
		\"turnoanterior\",
		\"blcompravoescolaridadeanterior\",
		\"blparticipouhorariointegral\",
		\"turnopreferencia\",
		\"bldesejahorariointegral\",
		\"blalunopasseescolar\",
		\"blresponsavelpasseescolar\",		
		\"blPaiTemDocumentos\",
		\"nomePai\",
		\"blMaeTemDocumentos\",
		\"nomeMae\",
		\"blResponsavelTemDocumentos\",
		\"nomeResponsavel\",
		\"dadoCenso\",		
		\"grauParentescoResponsavel\",
		\"blescolaanteriornomunicipio\",
		\"escolaanterioruf\",
		\"escolaanteriorcidade\",
		idpessoa,
		escolamunicipal,
		tpsanguineo,
		bltpsanguecomprovado,
		bltpsanguedigitalizado,
		pathtpsanguefrente,
		pathtpsangueverso,
		observacoes
	) VALUES (	
		$_codaluno,
		'$_blprimeiramatricula',
		$_dtdeferido,
		'$_pathfotoaluno',
		'$_inep',		
		'$_blnecessidadesespeciais',
		'$_dtingresso',
		'$_blalunotransferencia',
		'$_tpescolaorigem',
		'$_nomeescolaorigem',
		'$_escolaorigemoutros',
		'$_blbolsafamilia',
		'$_responsavelmatricula',		
		'$_blenderecocorrespondencia',
		'$_nomeescolaanterior',		
		$_codigoescolaanterior,
		'$_bairroescolaanterior',
		'$_tipoescolaanterior',
		$_ultimaescolaridadealuno,
		$_blaprovadoultimaescolaridade,
		'$_turmaanterior',
		'$_turnoanterior',	
		$_blcompravoescolaridadeanterior,
		'$_blparticipouhorariointegral',
		'$_turnopreferencia',
		'$_bldesejahorariointegral',
		'$_blalunopasseescolar',
		'$_blresponsavelpasseescolar',
		'$_blPaiTemDocumentos',
		'$_nomePai',
		'$_blMaeTemDocumentos',
		'$_nomeMae',
		'$_blResponsavelTemDocumentos',
		'$_nomeResponsavel',
		'$_dadoCenso',		
		$_grauparentestoresp,
		$_cursouNI,
		$_escolaAnteriorEstado,
		$_escolaAnteriorCidade,
		$codpessoa,
		$_escolaMunicipal,
		'$_tpsangue',
		$_tpSangueApresentada,
		$_tpSangueDigitalizada,
		'$_pathtpsanguefrente',
		'$_pathtpsangueverso',
		'$_observacoes'
	)";
		
	$result = executaQuery($dbh, $sql);
	
	if(!$result)
	{
		return false;
	}
	$sql = cleanSql($sql);
	$textoScript .= $sql . ';';
	return $codpessoa;	
}