<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*
 * Pontifical Catholic University of Rio de Janeiro
 *
 * Authors: LabBio Group
 * Created on 01/09/2009
 */

// Efetua Conexao ao Banco
include "includes/begin.php";
pg_set_client_encoding($dbh, UTF8);

$usuario = pg_escape_string($_SESSION['f_usuario']);


// Importa Dados de Alunos

$_SESSION["f_cartaoSus"]                        = ($cartaoSus                        = pg_escape_string($_POST['form_cartaoSus']));
$_SESSION["f_nomeAluno"]                        = ($nomeAluno                        = pg_escape_string($_POST['form_nomeAluno']));
$_SESSION["f_sexoAluno"]                        = ($sexoAluno                        = pg_escape_string($_POST['form_sexoAluno']));
$_SESSION["f_dataNascimentoAluno"]              = ($dataNascimentoAluno              = pg_escape_string($_POST['form_dataNascimentoAluno']));
$_SESSION["f_ufNascimentoAluno"]                = ($ufNascimentoAluno                = pg_escape_string($_POST['form_ufNascimentoAluno']));
$_SESSION["f_codigoMunicipioNascimentoAluno"]   = ($codigoMunicipioNascimentoAluno   = pg_escape_string($_POST['form_codigoMunicipioNascimentoAluno']));
$_SESSION["f_certidaoNascimentoCartorio"]       = ($certidaoNascimentoCartorio       = pg_escape_string($_POST['form_certidaoNascimentoCartorio']));
$_SESSION["f_certidaoNascimentoTermo"]          = ($certidaoNascimentoTermo          = pg_escape_string($_POST['form_certidaoNascimentoTermo']));
$_SESSION["f_certidaoNascimentoFolha"]          = ($certidaoNascimentoFolha          = pg_escape_string($_POST['form_certidaoNascimentoFolha']));
$_SESSION["f_certidaoNascimentoLivro"]          = ($certidaoNascimentoLivro          = pg_escape_string($_POST['form_certidaoNascimentoLivro']));
$_SESSION["f_certidaoNascimentoEmissao"]        = ($certidaoNascimentoEmissao        = pg_escape_string($_POST['form_certidaoNascimentoEmissao']));
$_SESSION["f_certidaoNascimentoEstado"]         = ($certidaoNascimentoEstado         = pg_escape_string($_POST['form_certidaoNascimentoEstado']));
$_SESSION["f_certidaoApresentada"] 	            = ($certidaoApresentada              = pg_escape_string($_POST['form_certidaoApresentada']));
$_SESSION["f_certidaoDigitalizada"]             = ($certidaoDigitalizada             = pg_escape_string($_POST['form_certidaoDigitalizada']));
$_SESSION["f_cpfAluno"]                         = ($cpfAluno                         = pg_escape_string($_POST['form_cpfAluno']));
$_SESSION["f_cpfComprovado"]                    = ($cpfComprovado                    = pg_escape_string($_POST['form_cpfComprovado']));
$_SESSION["f_cpfDigitalizado"]                  = ($cpfDigitalizado                  = pg_escape_string($_POST['form_cpfDigitalizado']));
$_SESSION["f_inepAluno"]                        = ($inepAluno                        = pg_escape_string($_POST['form_inepAluno']));
$_SESSION["f_especialAluno"]                    = ($especialAluno                    = pg_escape_string($_POST['form_especialAluno']));
$_SESSION["f_tipoNecessidadeEspecial"]          = ($tipoNecessidadeEspecial          = $_POST['form_tipoNecessidadeEspecial']);
$_SESSION["f_comprovadoEspecial"]               = ($comprovadoEspecial               = pg_escape_string($_POST['form_comprovadoEspecial']));
$_SESSION["f_digitalizadoEspecial"]             = ($digitalizadoEspecial             = pg_escape_string($_POST['form_digitalizadoEspecial']));
$_SESSION["f_nisAluno"]                         = ($nisAluno                         = pg_escape_string($_POST['form_nisAluno']));
$_SESSION["f_nacionalidadeAluno"]               = ($nacionalidadeAluno               = pg_escape_string($_POST['form_nacionalidadeAluno']));
$_SESSION["f_codigoPaisAluno"]                  = ($codigoPaisAluno                  = pg_escape_string($_POST['form_codigoPaisAluno']));
$_SESSION["f_corRacaAluno"]                     = ($corRacaAluno                     = pg_escape_string($_POST['form_corRacaAluno']));
$_SESSION["f_grupoSanguineoAluno"]              = ($grupoSanguineoAluno              = pg_escape_string($_POST['form_grupoSanguineoAluno']));
$_SESSION["f_existeRegistroPai"]                = ($existeRegistroPai                = pg_escape_string($_POST['form_existeRegistroPai']));
$_SESSION["f_existeRegistroMae"]                = ($existeRegistroMae                = pg_escape_string($_POST['form_existeRegistroMae']));
$_SESSION["f_certidaoTipo"]                     = ($certidaoTipo                     = pg_escape_string($_POST['form_certidaoTipo']));
$_SESSION["f_logradouroGeoiguacuJustificativa"] = ($logradouroGeoiguacuJustificativa = pg_escape_string($_POST['form_logradouroGeoiguacuJustificativa']));

// Dados de Pais e Responsaveis

$_SESSION["f_nomePai"]                          = ($nomePai                          = pg_escape_string($_POST['form_nomePai']));
$_SESSION["f_tipoDocIdPai"]                     = ($tipoDocIdPai                     = pg_escape_string($_POST['form_tipoDocIdPai']));
$_SESSION["f_numDocIdPai"]                      = ($numDocIdPai                      = pg_escape_string($_POST['form_numDocIdPai']));
$_SESSION["f_docPaiComprovado"]                 = ($docPaiComprovado                 = pg_escape_string($_POST['form_docPaiComprovado']));
$_SESSION["f_docPaiDigitalizado"]               = ($docPaiDigitalizado               = pg_escape_string($_POST['form_docPaiDigitalizado']));
$_SESSION["f_ufDocIdPai"]                       = ($ufDocIdPai                       = pg_escape_string($_POST['form_ufDocIdPai']));
$_SESSION["f_emissaoDocIdPai"]                  = ($emissaoDocIdPai                  = pg_escape_string($_POST['form_emissaoDocIdPai']));
$_SESSION["f_orgaoEmissorDocIdPai"]             = ($orgaoEmissorDocIdPai             = pg_escape_string($_POST['form_orgaoEmissorDocIdPai']));

$_SESSION["f_nomeMae"]                          = ($nomeMae                          = pg_escape_string($_POST['form_nomeMae']));
$_SESSION["f_tipoDocIdMae"]                     = ($tipoDocIdMae                     = pg_escape_string($_POST['form_tipoDocIdMae']));
$_SESSION["f_numDocIdMae"]                      = ($numDocIdMae                      = pg_escape_string($_POST['form_numDocIdMae']));
$_SESSION["f_docMaeComprovado"]                 = ($docMaeComprovado                 = pg_escape_string($_POST['form_docMaeComprovado']));
$_SESSION["f_docMaeDigitalizado"]               = ($docMaeDigitalizado               = pg_escape_string($_POST['form_docMaeDigitalizado']));
$_SESSION["f_ufDocIdMae"]                       = ($ufDocIdMae                       = pg_escape_string($_POST['form_ufDocIdMae']));
$_SESSION["f_emissaoDocIdMae"]                  = ($emissaoDocIdMae                  = pg_escape_string($_POST['form_emissaoDocIdMae']));
$_SESSION["f_orgaoEmissorDocIdMae"]             = ($orgaoEmissorDocIdMae             = pg_escape_string($_POST['form_orgaoEmissorDocIdMae']));

$_SESSION["f_nomeResponsavel"]                  = ($nomeResponsavel                  = pg_escape_string($_POST['form_nomeResponsavel']));
$_SESSION["f_tipoDocIdResponsavel"]             = ($tipoDocIdResponsavel             = pg_escape_string($_POST['form_tipoDocIdResponsavel']));
$_SESSION["f_numDocIdResponsavel"]              = ($numDocIdResponsavel              = pg_escape_string($_POST['form_numDocIdResponsavel']));
$_SESSION["f_docResponsavelComprovado"]         = ($docResponsavelComprovado         = pg_escape_string($_POST['form_docResponsavelComprovado']));
$_SESSION["f_docResponsavelDigitalizado"]       = ($docResponsavelDigitalizado       = pg_escape_string($_POST['form_docResponsavelDigitalizado']));
$_SESSION["f_grauParentescoResponsavel"]        = ($grauParentescoResponsavel        = pg_escape_string($_POST['form_grauParentescoResponsavel']));
$_SESSION["f_ufDocIdResponsavel"]               = ($ufDocIdResponsavel               = pg_escape_string($_POST['form_ufDocIdResponsavel']));
$_SESSION["f_emissaoDocIdResponsavel"]          = ($emissaoDocIdResponsavel          = pg_escape_string($_POST['form_emissaoDocIdResponsavel']));
$_SESSION["f_orgaoEmissorDocIdResponsavel"]     = ($orgaoEmissorDocIdResponsavel     = pg_escape_string($_POST['form_orgaoEmissorDocIdResponsavel']));

// Dados de Endereco

$_SESSION["f_logradouroTipoAluno"]              = ($logradouroTipoAluno              = pg_escape_string($_POST['form_logradouroTipoAluno']));
$_SESSION["f_logradouroNomeAluno"]              = ($logradouroNomeAluno              = pg_escape_string($_POST['form_logradouroNomeAluno']));
$_SESSION["f_logradouroNumeroAluno"]            = ($logradouroNumeroAluno            = pg_escape_string($_POST['form_logradouroNumeroAluno']));
$_SESSION["f_logradouroComplementoAluno"]       = ($logradouroComplementoAluno       = pg_escape_string($_POST['form_logradouroComplementoAluno']));
$_SESSION["f_logradouroBairroAluno"]            = ($logradouroBairroAluno            = pg_escape_string($_POST['form_logradouroBairroAluno']));
$_SESSION["f_logradouroCidadeAluno"]            = ($logradouroCidadeAluno            = pg_escape_string($_POST['form_logradouroCidadeAluno']));
$_SESSION["f_logradouroUfAluno"]                = ($logradouroUfAluno                = pg_escape_string($_POST['form_logradouroUfAluno']));
$_SESSION["f_logradouroCepAluno"]               = ($logradouroCepAluno               = pg_escape_string($_POST['form_logradouroCepAluno']));
$_SESSION["f_logradouroGeoiguacuAluno"]         = ($logradouroGeoiguacuAluno         = pg_escape_string($_POST['form_logradouroGeoiguacuAluno']));
$_SESSION["f_logradouroNaoCadastrado"]          = ($logradouroNaoCadastrado          = pg_escape_string($_POST['form_logradouroNaoCadastrado']));
$_SESSION["f_logradouroPontoReferenciaAluno"]   = ($logradouroPontoReferenciaAluno   = pg_escape_string($_POST['form_logradouroPontoReferenciaAluno']));
$_SESSION["f_telefoneFixoAluno"]                = ($telefoneFixoAluno                = pg_escape_string($_POST['form_telefoneFixoAluno']));
$_SESSION["f_telefoneCelularAluno"]             = ($telefoneCelularAluno             = pg_escape_string($_POST['form_telefoneCelularAluno']));
$_SESSION["f_telefoneRecadoAluno"]              = ($telefoneRecadoAluno              = pg_escape_string($_POST['form_telefoneRecadoAluno']));
$_SESSION["f_emailAluno"]                       = ($emailAluno                       = pg_escape_string($_POST['form_emailAluno']));
$_SESSION["f_possuiTelefoneFixo"]               = ($possuiTelefoneFixo               = pg_escape_string($_POST['form_possuiTelefoneFixo']));
$_SESSION["f_possuiTelefoneCelular"]            = ($possuiTelefoneCelular            = pg_escape_string($_POST['form_possuiTelefoneCelular']));
$_SESSION["f_possuiTelefoneRecado"]             = ($possuiTelefoneRecado             = pg_escape_string($_POST['form_possuiTelefoneRecado']));
$_SESSION["f_possuiEmail"]                      = ($possuiEmail                      = pg_escape_string($_POST['form_possuiEmail']));

// Dados de Matr�cula

$_SESSION["f_cartaoSus"]                        = ($cartaoSus                        = pg_escape_string($_POST['form_cartaoSus']));
$_SESSION["f_codigoEscolaMatricula"]            = ($codigoEscolaMatricula            = pg_escape_string($_POST['form_codigoEscolaMatricula']));
$_SESSION["f_responsavelMatricula"]             = ($responsavelMatricula             = pg_escape_string($_POST['form_responsavelMatricula']));
$_SESSION["f_inepAluno"]                        = ($inepAluno                        = pg_escape_string($_POST['form_inepAluno']));
$_SESSION["f_dataMatricula"]                    = ($dataMatricula                    = pg_escape_string($_POST['form_dataMatricula']));
$_SESSION["f_escolaridadeMatricula"]            = ($escolaridadeMatricula            = pg_escape_string($_POST['form_escolaridadeMatricula']));
$_SESSION["f_dataIngressoAlunoEscola"]          = ($dataIngressoAlunoEscola          = pg_escape_string($_POST['form_dataIngressoAlunoEscola']));
$_SESSION["f_primeiraMatricula"]                = ($primeiraMatricula                = pg_escape_string($_POST['form_primeiraMatricula']));
if(!isset($_SESSION["f_primeiraMatricula"]) || $_SESSION["f_primeiraMatricula"] == '')
{
	$_SESSION["f_primeiraMatricula"]                = ($primeiraMatricula = 0);
}

// Importa Informacoes Complementares

$_SESSION["f_cartaoSus"]                        = ($cartaoSus                        = pg_escape_string($_POST['form_cartaoSus']));
$_SESSION["f_inepAluno"]                        = ($inepAluno                        = pg_escape_string($_POST['form_inepAluno']));
$_SESSION["f_bolsaFamilia"]                     = ($bolsaFamilia                     = pg_escape_string($_POST['form_bolsaFamilia']));
$_SESSION["f_codigoEscolaPreferencia"]          = ($codigoEscolaPreferencia          = pg_escape_string($_POST['form_codigoEscolaPreferencia']));
$_SESSION["f_turnoPreferencia"]                 = ($turnoPreferencia                 = pg_escape_string($_POST['form_turnoPreferencia']));
$_SESSION["f_desejaHorarioIntegral"]            = ($desejaHorarioIntegral            = pg_escape_string($_POST['form_desejaHorarioIntegral']));
$_SESSION["f_alunoNecessitaPasseEscolar"]       = ($alunoNecessitaPasseEscolar       = pg_escape_string($_POST['form_alunoNecessitaPasseEscolar']));
$_SESSION["f_responsavelNecessitaPasseEscolar"] = ($responsavelNecessitaPasseEscolar = pg_escape_string($_POST['form_responsavelNecessitaPasseEscolar']));
$_SESSION["f_alunoTransferido"]                 = ($alunoTransferido                 = pg_escape_string($_POST['form_alunoTransferido']));
$_SESSION["f_tipoEscolaOrigem"]                 = ($tipoEscolaOrigem                 = pg_escape_string($_POST['form_tipoEscolaOrigem']));
$_SESSION["f_outrosTiposEscolaOrigem"]          = ($outrosTiposEscolaOrigem          = pg_escape_string($_POST['form_outrosTiposEscolaOrigem']));
$_SESSION["f_nomeEscolaOrigem"]                 = ($nomeEscolaOrigem                 = pg_escape_string($_POST['form_nomeEscolaOrigem']));
$_SESSION["f_codigoEscolaOrigem"]               = ($codigoEscolaOrigem               = pg_escape_string($_POST['form_codigoEscolaOrigem']));

// Dados de Matricula Anterior

$_SESSION["f_nomeEscolaAnterior"]               = ($nomeEscolaAnterior               = pg_escape_string($_POST['form_nomeEscolaAnterior']));
$_SESSION["f_codigoEscolaAnterior"]             = ($codigoEscolaAnterior             = pg_escape_string($_POST['form_codigoEscolaAnterior']));
$_SESSION["f_bairroEscolaAnterior"]             = ($bairroEscolaAnterior             = pg_escape_string($_POST['form_bairroEscolaAnterior']));
$_SESSION["f_tipoEscolaAnterior"]               = ($tipoEscolaAnterior               = pg_escape_string($_POST['form_tipoEscolaAnterior']));
$_SESSION["f_escolaridadeAnterior"]             = ($escolaridadeAnterior             = pg_escape_string($_POST['form_escolaridadeAnterior']));
$_SESSION["f_turmaAnterior"]                    = ($turmaAnterior                    = pg_escape_string($_POST['form_turmaAnterior']));
$_SESSION["f_turnoAnterior"]                    = ($turnoAnterior                    = pg_escape_string($_POST['form_turnoAnterior']));
$_SESSION["f_horarioIntegralAnterior"]          = ($horarioIntegralAnterior          = pg_escape_string($_POST['form_horarioIntegralAnterior']));
$_SESSION["f_aprovadoAnterior"]                 = ($aprovadoAnterior                 = pg_escape_string($_POST['form_aprovadoAnterior']));
$_SESSION["f_comprovadoAnterior"]               = ($comprovadoAnterior               = pg_escape_string($_POST['form_comprovadoAnterior']));

// Dados de Irmaos

$_SESSION["f_possuiIrmaoEscolaMunicipal"]       = ($possuiIrmaoEscolaMunicipal       = pg_escape_string($_POST['form_possuiIrmaoEscolaMunicipal']));
$_SESSION["f_nomeIrmao1"]                       = ($nomeIrmao1                       = pg_escape_string($_POST['form_nomeIrmao1']));
$_SESSION["f_escolaIrmao1"]                     = ($escolaIrmao1                     = pg_escape_string($_POST['form_escolaIrmao1']));
$_SESSION["f_codigoEscolaIrmao1"]               = ($codigoEscolaIrmao1               = pg_escape_string($_POST['form_codigoEscolaIrmao1']));
$_SESSION["f_escolaridadeIrmao1"]               = ($escolaridadeIrmao1               = pg_escape_string($_POST['form_escolaridadeIrmao1']));

$_SESSION["f_nomeIrmao2"]                       = ($nomeIrmao2                       = pg_escape_string($_POST['form_nomeIrmao2']));
$_SESSION["f_escolaIrmao2"]                     = ($escolaIrmao2                     = pg_escape_string($_POST['form_escolaIrmao2']));
$_SESSION["f_codigoEscolaIrmao2"]               = ($codigoEscolaIrmao2               = pg_escape_string($_POST['form_codigoEscolaIrmao2']));
$_SESSION["f_escolaridadeIrmao2"]               = ($escolaridadeIrmao2               = pg_escape_string($_POST['form_escolaridadeIrmao2']));

$_SESSION["f_nomeIrmao3"]                       = ($nomeIrmao3                       = pg_escape_string($_POST['form_nomeIrmao3']));
$_SESSION["f_escolaIrmao3"]                     = ($escolaIrmao3                     = pg_escape_string($_POST['form_escolaIrmao3']));
$_SESSION["f_codigoEscolaIrmao3"]               = ($codigoEscolaIrmao3               = pg_escape_string($_POST['form_codigoEscolaIrmao3']));
$_SESSION["f_escolaridadeIrmao3"]               = ($escolaridadeIrmao3               = pg_escape_string($_POST['form_escolaridadeIrmao3']));

$_SESSION["f_nomeIrmao4"]                       = ($nomeIrmao4                       = pg_escape_string($_POST['form_nomeIrmao4']));
$_SESSION["f_escolaIrmao4"]                     = ($escolaIrmao4                     = pg_escape_string($_POST['form_escolaIrmao4']));
$_SESSION["f_codigoEscolaIrmao4"]               = ($codigoEscolaIrmao4               = pg_escape_string($_POST['form_codigoEscolaIrmao4']));
$_SESSION["f_escolaridadeIrmao4"]               = ($escolaridadeIrmao4               = pg_escape_string($_POST['form_escolaridadeIrmao4']));

$_SESSION["f_nomeIrmao5"]                       = ($nomeIrmao5                       = pg_escape_string($_POST['form_nomeIrmao5']));
$_SESSION["f_escolaIrmao5"]                     = ($escolaIrmao5                     = pg_escape_string($_POST['form_escolaIrmao5']));
$_SESSION["f_codigoEscolaIrmao5"]               = ($codigoEscolaIrmao5               = pg_escape_string($_POST['form_codigoEscolaIrmao5']));
$_SESSION["f_escolaridadeIrmao5"]               = ($escolaridadeIrmao5               = pg_escape_string($_POST['form_escolaridadeIrmao5']));


// INICIALIZACAO DE VALORES DEFAULTS
$a = array ("1", "2", "3", "4", "5", "6", "7", "8");

if (!isset($tipoDocIdPai) or !in_array($tipoDocIdPai, $a) )
{
	$tipoDocIdPai = '0';
}
if (!isset($tipoDocIdMae) or !in_array($tipoDocIdMae, $a) )
{
	$tipoDocIdMae = '0';
}
if (!isset($tipoDocIdResponsavel) or !in_array($tipoDocIdResponsavel, $a) )
{
	$tipoDocIdResponsavel = '0';
}

// Ajustes em campos vazios vindo do formul�rio

if ($possuiTelefoneFixo == '')      {$possuiTelefoneFixo = '0';}
if ($possuiTelefoneCelular == '')   {$possuiTelefoneCelular = '0';}
if ($possuiTelefoneRecado == '')    {$possuiTelefoneRecado = '0';}
if ($possuiEmail == '')             {$possuiEmail = '0';}
if ($existeRegistroPai == '')       {$existeRegistroPai = '0';}
if ($existeRegistroMae == '')       {$existeRegistromae ='0';}
if ($logradouroNaoCadastrado == '') {$logradouroNaoCadastrado = '0';}
if ($alunoTransferido == '')        {$alunoTransferido = '0';}
if ($tipoEscolaOrigem == '')       	{$tipoEscolaOrigem = '0';}

if ( !isset($emissaoDocIdPai) or trim($emissaoDocIdPai) == '') {$emissaoDocIdPai = "NULL";}
else { 	$emissaoDocIdPai = "'$emissaoDocIdPai'"; }

if ( !isset($emissaoDocIdMae) or trim($emissaoDocIdMae) == '') {$emissaoDocIdMae = "NULL";}
else { 	$emissaoDocIdMae = "'$emissaoDocIdMae'"; }

if ( !isset($emissaoDocIdResponsavel) or trim($emissaoDocIdResponsavel) == '') {$emissaoDocIdResponsavel = "NULL";}
else { 	$emissaoDocIdResponsavel = "'$emissaoDocIdResponsavel'"; }

// Acerto no formato das Datas para retorno e outras variaveis

$dataNascimento_1 =  substr($dataNascimentoAluno,6,4);
$dataNascimento_2 =  substr($dataNascimentoAluno,2,3);
$dataNascimento_3 = "/". substr($dataNascimentoAluno, 0,2);
$dataNascimento = $dataNascimento_1 . $dataNascimento_2 . $dataNascimento_3;

if ($dataMatricula != '')
{
    $dataMat_1 =  substr($dataMatricula,6,4);
    $dataMat_2 =  substr($dataMatricula,2,3);
    $dataMat_3 = "/". substr($dataMatricula,0,2);
    $dataMat = $dataMat_1 . $dataMat_2 . $dataMat_3;
}

if ($dataIngressoAlunoEscola != '')
{
   $dataIngresso_1 =  substr($dataIngressoAlunoEscola,6,4);
   $dataIngresso_2 =  substr($dataIngressoAlunoEscola,2,3);
   $dataIngresso_3 = "/". substr($dataIngressoAlunoEscola,0,2);
   $dataIngresso = $dataIngresso_1 . $dataIngresso_2 . $dataIngresso_3;
}

if ($certidaoNascimentoEmissao != '')
{
   $dataCertidao_1 =  substr($certidaoNascimentoEmissao,6,4);
   $dataCertidao_2 =  substr($certidaoNascimentoEmissao,2,3);
   $dataCertidao_3 = "/". substr($certidaoNascimentoEmissao,0,2);
   $dataCertidao = $dataCertidao_1 . $dataCertidao_2 . $dataCertidao_3;
}

if (strlen($certidaoNascimentoEmissao) == 0)
{
   $certidaoNascimentoEmissao = '01/01/0001';
}

if (strlen($dataIngressoAlunoEscola) == 0)
{
    $dataIngressoAlunoEscola = '01/01/0001';
}

// Redefine formato retorno datas
$_SESSION["f_dataNascimentoAluno"]             = $dataNascimento;;
$_SESSION["f_certidaoNascimentoEmissao"]       = $dataCertidao;
$_SESSION["f_dataMatricula"]                   = $dataMat;
$_SESSION["f_dataIngressoAlunoEscola"]         = $dataIngresso;

// Preparacao do nome de nomes em geral

$nomeAluno = preparaNome($nomeAluno);
if (strlen($nomePai) != 0)         { $nomePai = preparaNome($nomePai); }
if (strlen($nomeMae) != 0)         { $nomeMae = preparaNome($nomeMae); }
if (strlen($nomeResponsavel) != 0) { $nomeResponsavel = preparaNome($nomeResponsavel); }
if (strlen($nomeIrmao1) != 0)      { $nomeIrmao1 = preparaNome($nomeIrmao1); }
if (strlen($nomeIrmao2) != 0)      { $nomeIrmao2 = preparaNome($nomeIrmao2); }
if (strlen($nomeIrmao3) != 0)      { $nomeIrmao3 = preparaNome($nomeIrmao3); }
if (strlen($nomeIrmao4) != 0)      { $nomeIrmao4 = preparaNome($nomeIrmao4); }
if (strlen($nomeIrmao5) != 0)      { $nomeIrmao5 = preparaNome($nomeIrmao5); }

?>
