<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
	require_once "../includes/begin.php";
	require_once "../includes/permissao.php";

	inibeAcesso(array("escola")); 
// inclui funcoes escritas em php
require_once '../includes/functions.php';

// define acao = recadastra
//$acao = 'recadastra';

// define traceability
global $textoScript;

$textoScript = '';

//------------------------------------------------------
//      Inclusao do arquivo de inicializacoes
// ----------------------------------------------------
// NESSA INICIALIZACAO ESTAMOS INICIANDO A CONEXAO
// COM O BANCO
//------------------------------------------------------


$_SESSION["f_codigoEscola"]		= ($codigoEscola	= $_SESSION['escola']);
$_SESSION["f_nomeTurma"]		= ($nomeTurma		= getValuePost('form_nomeTurma'));
$_SESSION["f_serieTurma"]       = ($serieTurma      = getValuePost('form_serieTurma'));
$_SESSION["f_matrizTurma"]      = ($matrizTurma     = getValuePost('form_matrizTurma'));
$_SESSION["f_turnoTurma"]       = ($turnoTurma      = getValuePost('form_turnoTurma'));


//------------------------------------------------------
//      Critica Complementar dos dados
// ----------------------------------------------------

if($codigoEscola == '') {
	$erro = "Erro: C�digo da escola inv�lido (contate o administrador do sistema)";
	$_SESSION["f_retorno"] = $erro;
    //pg_close($dbh);	
	header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
	exit;
}

if($nomeTurma == '') {
	$erro = "Erro: Nome da Turma inv�lido";
	$_SESSION["f_retorno"] = $erro;
    //pg_close($dbh);	
	header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
	exit;
}

if($serieTurma == '') {
	$erro = "Erro: S�rie da Turma inv�lida";
	$_SESSION["f_retorno"] = $erro;
    //pg_close($dbh);	
	header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
	exit;
}

if($matrizTurma == '') {
	$erro = "Erro: Matriz curricular inv�lida";
	$_SESSION["f_retorno"] = $erro;
    //pg_close($dbh);	
	header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
	exit;
}

$sql="SELECT COUNT(nometurma) AS turmarepetida FROM mat_turma
	  WHERE nometurma = '$nomeTurma'";
$result = executaQuery($dbh, $sql);
$row2 = pg_fetch_array($result);
if ($row2['turmarepetida']!= 0)
{
	$erro = "Erro: Nome da Turma escolhido j� existe";
	$_SESSION["f_retorno"] = $erro;
    //pg_close($dbh);	
	header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
	exit;				
}

// -----------------------------------------------------------
//     Grava na tabela Turma
// -----------------------------------------------------------

$codturmaSql = "SELECT COALESCE(MAX(codturma),0)+1 FROM mat_turma WHERE codescola = ".$codigoEscola;
$result = executaQuery($dbh, $codturmaSql);
$codResult = pg_fetch_row($result);
$codigoTurma = $codResult[0];


$sql = "INSERT INTO mat_turma 
	(
		codturma,
		codescola,
		idnivelescolar,
		codmatrizcurricular,
		nometurma,
		turnoturma	
	) VALUES (
		$codigoTurma,
		$codigoEscola,
		$serieTurma,
		$matrizTurma,
		'$nomeTurma',
		$turnoTurma
)";	
		
//	echo nl2br($sql); exit;

$result1 = executaQuery($dbh, $sql);
if (!$result1)
{
   $result = executaQuery($dbh, "ROLLBACK");
   if (!$result)
   {
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
   $erro = "Erro na Gravacao de Turma";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:../novastelas/turmas.php?escola='.$_SESSION["f_codigoEscola"].'&reacao=retorno');
   exit;
}

$sql = cleanSql($sql);
$textoScript .= $sql . ';';
		

// -----------------------------------------------------------
//		Finaliza conex�o com o Banco
//------------------------------------------------------------

limpaSession();
header('location:../novastelas/turmas.php?codigo='.$codigoTurma.'&escola='.$_SESSION["f_codigoEscola"].'&acao=atualizar');
