<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/cabecalho.php"; //carrega arquivo de cabeçalho
include "includes/pg_begin.php";     //carrega arquivo de conexão
include "includes/acesso_constantes.php"; //carrega arquivo de constantes de permissoes
include "includes/acesso_verificacao.php"; //carrega arquivo de permissoes
?>

<?
//recupera dados do formulario
$aux_codigocomposto = trim(pg_escape_string($_POST['form_indicador']));
if ($aux_codigocomposto == "") {
$aux_codigocomposto = trim(pg_escape_string($_GET['form_indicador']));
}
$aux_parametros = explode (";", $aux_codigocomposto);
$sc_indicador = $aux_parametros[0];
$sc_granularidade = $aux_parametros[1];
$sc_periodicidade = $aux_parametros[2];

//recupera dados do formulario anterior usados para busca
$sc_tema_busca          = trim(pg_escape_string($_POST['form_tema_busca']));
$sc_indicador_busca     = trim(pg_escape_string($_POST['form_indicador_busca']));
$sc_granularidade_busca = trim(pg_escape_string($_POST['form_granularidade_busca']));
$sc_periodicidade_busca = trim(pg_escape_string($_POST['form_periodicidade_busca']));

// verifica se algum indicador foi informado
// debug = echo $sc_indicador;
if (empty($sc_indicador)) {
	include "includes/barra_superior.php";
	echo '<p align="center">Nenhum indicador foi informado</p>';
	$chamador = 'buscaIndicadores.php';
	if (!$sc_tema_busca) {
		$chamador = 'main.php';
	}	?>
	<form name="New_Form" action="<? echo $chamador; ?>" method="POST" enctype="application/x-www-form-urlencoded">
		<?
		// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo '<input type="hidden" name="form_tema"          value="' . $sc_tema_busca          .'">' . "\n";
		echo '<input type="hidden" name="form_indicador"     value="' . $sc_indicador_busca     .'">' . "\n";
		echo '<input type="hidden" name="form_granularidade" value="' . $sc_granularidade_busca .'">' . "\n";
		echo '<input type="hidden" name="form_periodicidade" value="' . $sc_periodicidade_busca .'">' . "\n";
		?>
            <div align="center">
				<input
					name="submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<< voltar">
            </div>
		  </td>
		</form>
<?
	include "includes/pg_end.php";
	include "includes/rodape.php";
return;
}

// busca os dados do indicador
// ATENCAO: alterar o select para verificar se o usuário tem acesso ao indicador

// comando básico
$sql="
	select *
	from indicador I, tema T, granularidade G, indicadorgranularidade IG, periodicidade P, indicadorperiodicidade IP
	where I.codigotema = T.codigotema
	and I.codigoindicador = IG.codigoindicador
	and IG.codigogranularidade = G.codigogranularidade
	and I.codigoindicador = IP.codigoindicador
	and IP.codigoperiodicidade = P.codigoperiodicidade
	and I.codigoindicador = '" . $sc_indicador . "'
	and G.codigogranularidade = '" . $sc_granularidade . "'
	and P.codigoperiodicidade = " . $sc_periodicidade;

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <? include "includes/barra_superior.php"; //carrega a barra superior da página ?>

  <tr>
    <td>
      <table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
			<?
			// recupera a tupla selecionada
			$nt=pg_fetch_array($result);

			//atribui valor a variaveis locais para db
			$db_codigoindicador       = trim(pg_escape_string($nt['codigoindicador']));
			$db_nomeindicador         = trim(pg_escape_string($nt['nomeindicador']));
			$db_definicaoindicador    = trim(pg_escape_string($nt['definicaoindicador']));
			$db_calculoindicador      = trim(pg_escape_string($nt['calculoindicador']));
			$db_unidadeindicador      = trim(pg_escape_string($nt['unidadeindicador']));
			$db_metaindicador         = $nt['metaindicador'] . $db_unidadeindicador;;
			$db_estiloindicador       = ucfirst(trim(pg_escape_string($nt['estiloindicador'])));
			$db_valorcriticoindicador = $nt['valorcriticoindicador'];
			$db_nometema              = trim(pg_escape_string($nt['nometema']));
			$db_nomegranularidade     = ucfirst(trim(pg_escape_string($nt['nomegranularidade'])));
			$db_codigoperiodicidade   = trim(pg_escape_string($nt['codigoperiodicidade']));
			$db_nomeperiodicidade     = ucfirst (trim(pg_escape_string($nt['nomeperiodicidade'])));
			$db_unidadeperiodicidade  = trim(pg_escape_string($nt['unidadeperiodicidade']));
			$db_fonteindicador        = ucfirst (trim(pg_escape_string($nt['fonteindicador'])));

			?>
			<td colspan="3">
				<div align="center" class="tituloFundo">
					<? echo $db_nomeindicador . ' (' . $db_codigoindicador . ')'; ?>
				</div>
			</td>
        </tr>
        <tr>
		<td bgcolor="#EFEFEF" valign="top">
			<?
			// cria a relação de parâmetros para a geração do gráfico com a série histórica
			$parametros .= 'indicador=' . $sc_indicador;
			$parametros .= '&granularidade=' . $sc_granularidade;
			$parametros .= '&periodicidade=' . $sc_periodicidade;
			$parametros .= '&unidadeperiodicidade=' . $db_unidadeperiodicidade;
			$parametros .= '&limite=' . $db_valorcriticoindicador;
			$parametros .= '&estilo=' . $db_estiloindicador;
			$parametros .= '&unidade=' . $db_unidadeindicador;
			# echo $parametros;

			// verifica que atributos nao têm valor definido
			if ($db_definicaoindicador == "") {
				$db_definicaoindicador = '-';
			}
			if ($db_metaindicador == $db_unidadeindicador) {
				$db_metaindicador = '-';
			}
			?>
			<br />
			<table id="ficha" width="400">
				<tr><th>Tema         </th><td><? echo $db_nometema; ?></td></tr>
				<tr><th>Definição    </th><td><? echo $db_definicaoindicador; ?></td></tr>
				<tr><th>Cálculo      </th><td><? echo $db_calculoindicador; ?></td></tr>
				<tr><th>Unidade      </th><td><? echo $db_unidadeindicador; ?></td></tr>
				<tr><th>Meta         </th><td><? echo $db_metaindicador; ?></td></tr>
				<? if ($db_valorcriticoindicador != "") { ?>
				<tr><th>Valor Crítico</th><td><? echo $db_valorcriticoindicador . $db_unidadeindicador; ?></td></tr>
				<? } ?>
				<tr><th>Estilo       </th><td><? echo $db_estiloindicador; ?></td></tr>
				<tr><th>Granularidade</th><td><? echo $db_nomegranularidade; ?></td></tr>
				<tr><th>Periodicidade</th><td><? echo $db_nomeperiodicidade; ?></td></tr>
				<tr><th>Fonte</th>        <td><? echo $db_fonteindicador; ?></td></tr>
			</table>
		</td>

		<td bgcolor="#EFEFEF" width="20">&nbsp;</td>

		<td bgcolor="#EFEFEF" valign="top" id="valores">
			<br />
			<? if ($sc_granularidade == 1) { #  é indicador do município?>
				<table border="0">
				<tr>
				<td>
					<img src="mostraSerieHistoricaGrafico.php?<? echo $parametros; ?>">
					<br />
					<? include "mostraSerieHistoricaLegenda.php"; ?>
				</td>
				</tr>
				</table>
				<br />
				<? include "mostraSerieHistoricaUltimo.php"; ?>
			<? } else {
				include "mostraSerieHistoricaLegenda.php";
				echo '<br /><br />';
				include "mostraIndicadorUmaGranularidade.php"; # esta rotina usa sc_indicador e sc_granularidade do escopo global
			   } ?>

			<?
				$parametros = 'form_indicador='
				. $sc_indicador . ';'
				. $sc_granularidade . ';'
				. $sc_periodicidade; // cria a relação de parâmetros para a geração do CSV com a série histórica
			?>
			<p id="valores">
				<img src="images/spreadsheet.png" border="0">
				<a href="downloadIndicadorUmaGranularidade.php?<? echo $parametros; ?>">Download dos dados apresentados</a>
			</p>
            <?
            if (ACESSO_Verifica_Permissao(ACESSO_OBJETO_TEMA, ACESSO_PERMISSAO_UPLOAD, ""))
            {
            ?>
                <p id="valores">
                    <img src="images/spreadsheet.png" border="0">
                    <a href="#" onclick="window.open('uploadFormulario.php','win1','width=500, height=350, top=200, left=200, scrollbars=yes,Location=no,Menubar=no,Toolbar=no,Resizable=no');return false;">Enviar Arquivo de Série Histórica</a>
                </p>
            <?
            }
            ?>

		</td>

		</tr>

        <tr>
          <td  colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>

		<tr>
		<!-- FORMULÁRIOS A -->
			<td  colspan="3" bgcolor="#EFEFEF">
				<? include "mostraIndicadorOutrasGranularidades.php"; # esta rotina usa sc_indicador e sc_granularidade do escopo global?>
			</td>
		<!-- FORMULÁRIOS A -->
        </tr>

        <tr>
		<!-- FORMULÁRIOS B -->
			<td colspan="3" bgcolor="#EFEFEF">
				<? include "mostraIndicadorOutrasPeriodicidades.php"; # esta rotina usa sc_indicador e sc_granularidade do escopo global?>
			</td>
		<!-- FORMULÁRIOS B -->
        </tr>

        <tr>
          <td  colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">
		<?
		// descobre de onde o programa foi chamado, para voltar para o lugar certo
		// $chamador = basename (parse_url ($_SERVER['HTTP_REFERER'], PHP_URL_PATH));

		// se $sc_tema_busca estiver definido, disgnifica que deve voltar para a busca; caso contrário, deve voltar para a pagína principal
		$chamador = 'buscaIndicadores.php';
		if (!$sc_tema_busca) {
			$chamador = 'main.php';
		}
		?>

		  <!-- FORMULÁRIO C -->	<form name="New_Form" action="<? echo $chamador; ?>" method="POST" enctype="application/x-www-form-urlencoded">
		<?
		// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo '<input type="hidden" name="form_tema"          value="' . $sc_tema_busca          .'">' . "\n";
		echo '<input type="hidden" name="form_indicador"     value="' . $sc_indicador_busca     .'">' . "\n";
		echo '<input type="hidden" name="form_granularidade" value="' . $sc_granularidade_busca .'">' . "\n";
		echo '<input type="hidden" name="form_periodicidade" value="' . $sc_periodicidade_busca .'">' . "\n";
		?>
            <div align="center">
				<input
					name="submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<< voltar">
            </div>
		  </td>
		<!-- FORMULÁRIO C -->	</form>

        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>

<? include "includes/rodape.php"; ?>
