<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
	require_once '../common/begin.php';

	$mostra_grafico = isset($_GET['grafico']);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>CADASTRO DE USU&Aacute;RIOS DA SA&Uacute;DE</title>

	<style type="text/css" rel='stylesheet'>
		@import "http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/ui-lightness/jquery-ui.css";
		@import "common/style.css";
		#valores td, #valores tfoot
		{
			text-align: right;
		}
		#grafico
		{
			display: block;
			margin: 0 auto;
		}
	</style>

	<script type='text/javascript' src='http://www.google.com/jsapi'></script>
	<script type='text/javascript'>
		google.load('jquery','1.3',{uncompressed: true});
	</script>

	<script type="text/javascript" src="js/jquery.datatables.js"> </script>
	<script type="text/javascript" src="js/jquery.blockui.js"> </script>
	<script type="text/javascript" src="js/jquery.flot.js"> </script>
	<script type="text/javascript" src="js/jquery.flot.stack.js"> </script>
	<script type="text/javascript" src="js/jquery.flot.pie.js"> </script>
	<script type="text/javascript" src="common/util.js"> </script>
</head>

<body>

<script type='text/javascript'>

var TOT_ROW = 1, TOT_COL = 2;

function cria_tabela(dados, totalizar, titulo)/*{{{*/
{
	if(totalizar === undefined)
		totalizar = 0;
	if(titulo == undefined)
		titulo = '';

	var tabledef = '<table class=listagem>';

	tabledef += '<thead><tr>'+
			'<th>'+dados.ordenada.nome+'</th>';

	$.each(dados.abcissa.rotulos, function() {
		tabledef += '<th colspan=2>'+this+'</th>';
	});

	if(totalizar & TOT_ROW)
		tabledef += '<th colspan=2>Total</th>';

	tabledef += '</tr></thead><tbody></tbody>';

	if(totalizar & TOT_COL)
	{
		tabledef += '<tfoot><tr><th>Total:</th>';

		$.each(dados.abcissa.rotulos, function() {
			tabledef += '<th/><th/>';
		});
		if(totalizar & TOT_ROW)
			tabledef += '<th/><th/>';

		tabledef += '</tr></tfoot>';
	}

	tabledef += '</table>';

	var table = $(tabledef)
		.appendTo('<div class=tabela><h2>'+titulo+'</h2></div>')
		.appendTo('#tabelas');
	$('thead th',table).addClass('ui-state-default');

	var colinfo = [null];
	$.each(dados.abcissa.rotulos, function() {
		colinfo.push(null);
		colinfo.push(null);
	});
	if(totalizar & TOT_ROW)
	{
		colinfo.push(null);
		colinfo.push(null);
	}

	var valores = table.dataTable({
		bJQueryUI: true,
		oLanguage: {sUrl: 'lang/datatables_ptbr.json' },
		bAutoWidth: false,
		bPaginate: false,
		bFilter: false,
		bSort: false,
		bStateSave: false,
		bInfo: false,
		aoColumns: colinfo,
		fnFooterCallback: !(totalizar&TOT_COL) ? function() {}
									: function(footer, aaData, iStart, iEnd) 
		{
			if(!footer)
				return;

			var totais = [];

			$.each(dados.abcissa.rotulos, function() {
				totais.push(0);
			});
			if(totalizar & TOT_ROW)
				totais.push(0);

			for(var r=iStart; r<iEnd; ++r)
			{
				for(var c=0; c<totais.length; ++c)
					totais[c] += Number(aaData[r][c*2+1]);
			}

			var campos = $('th',footer);

			for(var c=0; c<totais.length; ++c)
			{
				$(campos[c*2+1]).html(totais[c]);
				$(campos[c*2+2]).html(percent(totais[c], dados.total));
			}
		}
	});

	$.each(dados.ordenada.rotulos, function(y, ynome) {
		var row = [ynome];
		var tot = 0;
		$.each(dados.abcissa.rotulos, function(x, xnome) {
			if(dados.series[x] && dados.series[x][y])
			{
				tot += Number(dados.series[x][y]);
				row.push(dados.series[x][y]);
				row.push(percent(dados.series[x][y], 
							dados.series[x].total !== undefined
								? dados.series[x].total 
								: dados.total));
			}
			else
			{
				row.push(0);
				row.push('0%');
			}
		});

		if(totalizar & TOT_ROW)
		{
			row.push(tot);
			row.push(percent(tot,dados.total));
		}

		valores.fnAddData(row);
	});

	$('tbody td:first-child',table)
		.css('text-align','left')
		.addClass('sorting_1')
		.css('border-right','thick solid white');

	$('tbody tr',table).each(function() {
		$('td',this)
			.not(':first-child')
			.filter(':even')
			.css('border-left','thick solid white');

		$('td',this)
			.not(':first-child')
			.filter(':odd')
			.css('border-right','thick solid white');

		if(totalizar & TOT_ROW)
		{
			$('td:gt('+(keys(dados.abcissa.rotulos).length*2)+')',this)
				.addClass('sorting_1');
		}
	});
}/*}}}*/

function cria_series(dados, transpose)/*{{{*/
{
	if(transpose === undefined)
		transpose = false;

	var abcissa = dados.abcissa, ordenada = dados.ordenada
	if(transpose)
	{
		abcissa = dados.ordenada;
		ordenada = dados.abcissa;
	}

	var series = [];
	$.each(ordenada.rotulos, function(y, yrot) {
		var serie = [];
		$.each(abcissa.rotulos, function(x, xrot) {
			var _x = transpose?y:x,
				_y = transpose?x:y;

			if(dados.series[_x])
				serie.push([x,dados.series[_x][_y]]);
			else
				serie.push(null);
		});

		var infoserie = {label: yrot, data: serie};
		if(ordenada.cores && ordenada.cores[y])
			infoserie.color = ordenada.cores[y];
		
		series.push(infoserie);
	});
	return series;
}/*}}}*/
function cria_ticks(dados, transpose)/*{{{*/
{
	if(transpose === undefined)
		transpose = false;

	var eixo = transpose ? dados.ordenada : dados.abcissa;

	var ticks = [];
	$.each(eixo.rotulos, function(x, xrot) {
		ticks.push([x, xrot]);
	});

	return ticks;
}/*}}}*/

function mostra_preenchimento(dados)/*{{{*/
{
	$('#titulo').text('Preenchimento do Formulário');

	$('#periodo').hide();
	$('#campo_unidade').hide();

	 $('<div align=center> Data: '+dados.data+' - Nº de cadastros: '+dados.total+'</div>')
		 .prependTo('#tabelas');
	
	cria_tabela(dados.nao_possui);
	cria_tabela(dados.em_branco);
	cria_tabela(dados.nao_informado);
	cria_tabela(dados.nao_declarado);
}/*}}}*/
function mostra_sexo_idade(dados)/*{{{*/
{
	$('#titulo').text('Sexo x Faixa Etária');
<?
	if($mostra_grafico)
	{
?>
	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados),
	{
		series:
		{
			stack: true,
			bars: { show: true, barWidth: 0.8, align: 'center' }
		},
		xaxis:
		{
			ticks: cria_ticks(dados)
		}
	});
<?
	}
?>

	cria_tabela(dados, TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_cor(dados)/*{{{*/
{
	$('#titulo').text('Distribuição de Cor');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados,true),
	{
		series:
		{
			stack: true,
			bars: { show: true, barWidth: 0.8, align: 'center' }
		},
		xaxis:
		{
			ticks: cria_ticks(dados,true)
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_COL);
}/*}}}*/
function mostra_escolaridade_idade(dados)/*{{{*/
{
	$('#titulo').text('Distribuição de Escolaridade');

	var ticks = cria_ticks(dados, true);
	for(var i=0; i<ticks.length; ++i)
		ticks[i][1] = $.trim(ticks[i][1].replace(/\(.*\)/,''));

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','850px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados, true),
	{
		series:
		{
			stack: true,
			bars: { show: true, barWidth: 0.8, align: 'center' }
		},
		xaxis:
		{
			ticks: ticks
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_escolaridade_sexo(dados)/*{{{*/
{
	$('#titulo').html('Escolaridade x Sexo');

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_escolaridade_raca(dados)/*{{{*/
{
	$('#titulo').html('Escolaridade x Cor');

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_sem_documento_idade(dados)/*{{{*/
{
	$('#titulo').text('Posse de Documentos x Faixa Etária');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados),
	{
		series:
		{
			stack: true,
			bars: { show: true, barWidth: 0.8, align: 'center' }
		},
		xaxis:
		{
			ticks: cria_ticks(dados)
		},
		label:
		{
			position: 'nw'
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_documentacao(dados)/*{{{*/
{
	$('#titulo').text('Distribuição de Documentos');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados), {
		series: {
			pie: { 
				show: true,
				radius: 0.8,
				offset: {
					top: -20
				}
			},
			lines: { show: false }
		},
		legend: {
			show: true,
			labelFormatter: function(label, serie) {
				return label+': '+serie.data[0][1]+' ('+Math.round(serie.percent)+'%)';
			}
		}
	});

<?
	}
?>

	cria_tabela(dados);
}/*}}}*/
function mostra_fora_nova_iguacu(dados)/*{{{*/
{
	$('#titulo').text('Domicílios em Nova Iguaçu');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados), {
		series: {
			pie: { 
				show: true,
				radius: 0.8,
				offset: {
					top: -20
				}
			},
			lines: { show: false }
		},
		legend: {
			show: true,
			labelFormatter: function(label, serie) {
				return label+': '+serie.data[0][1]+' ('+Math.round(serie.percent)+'%)';
			}
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_COL);
}/*}}}*/
function mostra_domicilio_nao_fixo(dados)/*{{{*/
{
	$('#titulo').text('Distribuição de Moradores de Domicílios Não Fixos');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados), {
		series: {
			pie: { 
				show: true,
				radius: 0.8,
				offset: {
					top: -20
				}
			},
			lines: { show: false }
		},
		legend: {
			show: true,
			labelFormatter: function(label, serie) {
				return label+': '+serie.data[0][1]+' ('+Math.round(serie.percent)+'%)';
			}
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_COL);
}/*}}}*/

function mostra_inscricao_programas(dados)/*{{{*/
{
	$('#titulo').text('Inscrição em Programas');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','500px')
		.css('height','500px');
	$.plot($('#grafico'), cria_series(dados), {
		series: {
			pie: { 
				show: true,
				radius: 0.8,
				offset: {
					top: -20
				},
				label: {
					show: true,
					background: {
						color: '#FFF',
						opacity: 0.4
					},
					formatter: function(label, serie) {
						return "<div style='text-align: center; font-size: x-small; width:8em; color: "+serie.color+"'>"+label+'<br>'+serie.data[0][1]+' ('+Math.round(serie.percent)+'%)</div>';
					}
				}
			},
			lines: { show: false }
		},
		legend: { show: false }
	});

<?
	}
?>
	//cria_tabela(dados,TOT_COL);
	
	$('<div align=center> Nº de cadastros: '+dados.total+'</div>')
		.prependTo('#tabelas');
	
	$('#periodo').show();
	$('#campo_unidade').show();
	cria_tabela(dados,TOT_COL);
	
}/*}}}*/
function mostra_comparecimento_programas(dados)/*{{{*/
{
	$('#titulo').text('Comparecimento em Programas');
	$('#campo_unidade').show();

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','500px')
		.css('height','500px');
	$.plot($('#grafico'), cria_series(dados), {
		series: {
			pie: { 
				show: true,
				radius: 0.8,
				offset: {
					top: -20
				},
				label: {
					show: true,
					background: {
						color: '#FFF',
						opacity: 0.8
					},
					formatter: function(label, serie) {
						return "<div style='text-align: center; font-size: x-small; width:8em; color: "+serie.color+"'>"+label+'<br>'+serie.data[0][1]+' ('+Math.round(serie.percent)+'%)</div>';
					}
				}
			},
			lines: { show: false }
		},
		legend: { show: false }
	});

<?
	}
?>

	cria_tabela(dados,TOT_COL);
}/*}}}*/
function mostra_inscrito_programa(dados)/*{{{*/
{
	$('#titulo').html('Indivíduos inscritos em programas');

	cria_tabela(dados, TOT_COL);
}/*}}}*/
function mostra_nao_inscrito_programa(dados)/*{{{*/
{
	$('#titulo').text('Indivíduos Não Inscritos em Programas x Faixa Etária');

<?
	if($mostra_grafico)
	{
?>

	$('#grafico')
		.css('width','600px')
		.css('height','400px');
	$.plot($('#grafico'), cria_series(dados),
	{
		series:
		{
			stack: true,
			bars: { show: true, barWidth: 0.8, align: 'center' }
		},
		xaxis:
		{
			ticks: cria_ticks(dados)
		}
	});

<?
	}
?>

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/

function mostra_atendimento(dados)/*{{{*/
{
	$('#titulo').html('Atendimentos');
	$('#periodo').show();
	$('#campo_unidade').show();

	cria_tabela(dados, TOT_COL | ($('#ano').val()!=0?TOT_ROW:0));
}/*}}}*/
function mostra_marcar_procedimentos(dados)/*{{{*/
{
	$('#titulo').html('Pacientes que só Marcaram Procedimentos');
	$('#periodo').show();
	$('#campo_unidade').show();

	$.each(dados.ordenada.rotulos, function(k, val) {
		dados.ordenada.rotulos[k] 
			= $.trim(val.replace(/Marcar Procedimentos - /,''));
	});

	cria_tabela(dados, TOT_COL | ($('#ano').val()!=0?TOT_ROW:0));
}/*}}}*/
function mostra_consulta_individuo(dados)/*{{{*/
{
	$('#titulo').html('Consultas x Indivíduo');
	$('#campo_unidade').show();

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_tipo_consultas_idade(dados)/*{{{*/
{
	$('#titulo').html('Tipos de consulta x Faixa Etária');
	$('#campo_unidade').show();

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_tipo_consultas_sexo(dados)/*{{{*/
{
	$('#titulo').html('Tipos de consulta x Sexo');
	$('#campo_unidade').show();

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_motivos_consultas_idade(dados)/*{{{*/
{
	$('#titulo').html('Motivos de consultas realizadas x Faixa Etária');
	$('#campo_unidade').show();

	$.each(dados.ordenada.rotulos, function(k, val) {
		dados.ordenada.rotulos[k] 
			= $.trim(val.replace(/Motivo da Consulta - /,''));
	});

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_motivos_consultas_sexo(dados)/*{{{*/
{
	$('#titulo').html('Motivos de consultas realizadas x Sexo');
	$('#campo_unidade').show();

	$.each(dados.ordenada.rotulos, function(k, val) {
		dados.ordenada.rotulos[k] 
			= $.trim(val.replace(/Motivo da Consulta - /,''));
	});

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_procedimentos(dados)/*{{{*/
{
	$('#titulo').html('Procedimentos x Faixa Etária');
	$('#campo_unidade').show();

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_farmacia(dados)/*{{{*/
{
	$('#titulo').html('Motivos de Ida à Farmácia x Faixa Etária');
	$('#campo_unidade').show();

	$.each(dados.ordenada.rotulos, function(k, val) {
		dados.ordenada.rotulos[k] 
			= $.trim(val.replace(/Farmácia - /,''));
	});

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_tipo_exame(dados)/*{{{*/
{
	$('#titulo').html('Tipos de Exame x Faixa Etária');
	$('#campo_unidade').show();

	$.each(dados.ordenada.rotulos, function(k, val) {
		dados.ordenada.rotulos[k] 
			= $.trim(val.replace(/Fazer Exames - /,''));
	});

	cria_tabela(dados,TOT_ROW|TOT_COL);
}/*}}}*/
function mostra_consulta_retirada_medicamentos(dados)/*{{{*/
{
	$('#titulo').html('Freqüência de consultas seguidas de retirada de medicamentos');
	$('#periodo').show();
	$('#campo_unidade').show();

	cria_tabela(dados, TOT_COL | ($('#ano').val()!=0?TOT_ROW:0));
}/*}}}*/
function mostra_reclamacoes(dados)/*{{{*/
{
	$('#titulo').html('Reclamações');
	$('#periodo').show();
	$('#campo_unidade').show();

	cria_tabela(dados);
}/*}}}*/

google.setOnLoadCallback(function(){

	var curXHR;
	$('#periodo').hide();
	$('#campo_unidade').hide();
	$('#mes,#unidade').change(function() { 
		$('#estatistica').change();
	});
	$('#ano').change(function() { 
		if($(this).val() == 0)
			$('#mes').val(0);

		$('#estatistica').change();
	});

	$('#estatistica').change(function() {/*{{{*/
		var idgraph = $(this).val();

		$.blockUI({message: "<h2><img src='images/busy.gif'> Carregando informações...</h2>"});

		if(curXHR)
			curXHR.abort();

		params = {id: idgraph};
		if($('#ano').val())
		{
			params.ano = $('#ano').val();
			if($('#mes').val())
				params.mes = $('#mes').val();
		}

		if($('#unidade').val() != '0')
			params.unidade = $('#unidade').val();

		curXHR = $.ajax({
			dataType: 'json',
			type: 'get',
			url: 'do_calc_estatistica.php',
			data: params,
			error: function(req, status, e) {
				$.unblockUI();
				alert(erro_ajax(status, e));
			},
			success: function(dados) {
				$.unblockUI();
				if(!dados)
				{
					alert('Erro não previsto');
					return;
				}
				else if(dados.error)
				{
					alert(dados.error);
					return;
				}

				$('#tabelas').empty();
				$('#titulo').html('');
				$('#grafico').replaceWith('<div id=grafico></div>');
				$('#periodo').hide();
				$('#campo_unidade').hide();

				switch(idgraph)
				{
				case '0':
					mostra_preenchimento(dados);
					break;
				case '1':
					mostra_sexo_idade(dados);
					break;
				case '2':
					mostra_cor(dados);
					break;
				case '3':
					mostra_escolaridade_idade(dados);
					break;
				case '23':
					mostra_escolaridade_sexo(dados);
					break;
				case '24':
					mostra_escolaridade_raca(dados);
					break;
				case '4':
					mostra_sem_documento_idade(dados);
					break;
				case '5':
					mostra_documentacao(dados);
					break;
				case '6':
					mostra_fora_nova_iguacu(dados);
					break;
				case '7':
					mostra_domicilio_nao_fixo(dados);
					break;
				case '8':
					mostra_inscricao_programas(dados);
					break;
				case '9':
					mostra_comparecimento_programas(dados);
					break;
				case '22':
					mostra_inscrito_programa(dados);
					break;
				case '10':
					mostra_nao_inscrito_programa(dados);
					break;
				case '11':
					mostra_atendimento(dados);
					break;
				case '12':
					mostra_marcar_procedimentos(dados);
					break;
				case '25':
					mostra_consulta_individuo(dados);
					break;
				case '13':
					mostra_tipo_consultas_idade(dados);
					break;
				case '20':
					mostra_tipo_consultas_sexo(dados);
					break;
				case '14':
					mostra_motivos_consultas_idade(dados);
					break;
				case '21':
					mostra_motivos_consultas_sexo(dados);
					break;
				case '15':
					mostra_procedimentos(dados);
					break;
				case '16':
					mostra_farmacia(dados);
					break;
				case '17':
					mostra_tipo_exame(dados);
					break;
				case '18':
					mostra_consulta_retirada_medicamentos(dados);
					break;
				case '19':
					mostra_reclamacoes(dados);
					break;
				}
			}
		});
	});/*}}}*/

	$('#estatistica').val(0).change();
});
</script>

<?
try
{

	function mostra_menu()/*{{{*/
	{
?>
		<div id=menu>
			Estatística: <select id=estatistica>
				<option value=0>Preenchimento do Formul&aacute;rio</option>
				<optgroup label='Perfil do Paciente'>
					<option value=1>Sexo x Faixa Etária</option>
					<option value=2>Distribuição por Cor</option>
					<option value=3>Escolaridade x Faixa Etária</option>
					<option value=23>Escolaridade x Sexo</option>
					<option value=24>Escolaridade x Cor</option>
					<option value=4>Posse de Documentos x Faixa Etária</option>
					<option value=5>Distribuição de Documentos</option>
					<option value=6>Domicílios em Nova Iguaçu</option>
					<option value=7>Domicílios não Fixos</option>
				</optgroup>
				<optgroup label='Programas de Saúde'>
					<option value=8>Inscrição em Programas</option>
					<option value=9>Comparecimento em Programas</option>
					<option value=22>Indivíduos Inscritos em Programas</option>
					<option value=10>Indivíduos não Inscritos em Programas x Faixa Etária</option>
				</optgroup>
				<optgroup label='Comparecimento à Unidade'>
					<option value=11>Atendimentos a Pacientes</option>
					<option value=12>Somente Marcação de Procedimentos</option>
					<option value=25>Consulta x Indivíduo</option>
					<option value=13>Tipo de Consulta x Faixa Etária</option>
					<option value=20>Tipo de Consulta x Sexo</option>
					<option value=14>Motivo da Consulta x Faixa Etária</option>
					<option value=21>Motivo da Consulta x Sexo</option>
					<option value=15>Procedimentos x Faixa Etária</option>
					<option value=16>Motivos de Ida à Farmácia x Faixa Etária</option>
					<option value=17>Tipo de Exame x Faixa Etária</option>
					<option value=18>Consulta e Retirada de Medicamentos</option>
					<option value=19>Reclamações</option>
				</optgroup>
			</select>
			<a href='javascript:void(0)' 
			   onclick='$("#estatistica").change()'>recarregar</a>
			
			|

			<a href='consulta.php'>retornar</a>
			<a href='index.php'>sair do sistema</a>
		</div>
<?
	}/*}}}*/

	include '../common/header.php';

	garante_permissao(TipoUsuario::SUPERVISOR);

?>
<?
	if($mostra_grafico)
		echo "<div id=grafico> </div> <br><br>\n";
?>
	<div id=campo_unidade>
		Unidade considerada: <select id=unidade>
				<option selected value=0>Todas</option>
<?
		$unidades = Doctrine_Query::create()
			->from('Unidade u')
			->where('u.idtipo = ?',TipoUnidade::SAUDE)
			->orderBy('u.nome_fantasia')
			->execute();
		foreach($unidades as $u)
			echo "<option value=$u->id>$u->nome_fantasia</option>\n";
?>
		</select>
	</div>

	<h1 id=titulo></h1>

	<div id=periodo align=center>
		Ano: <select id=ano>
			<option selected value=0></option>
<?
		for($a = date('Y'); $a >= 2009; --$a)
			echo "<option value=$a>$a</option>\n";
?>
		</select>
		Mês: <select id=mes>
			<option selected value=0></option>
			<option value=1>Janeiro</option>
			<option value=2>Fevereiro</option>
			<option value=3>Março</option>
			<option value=4>Abril</option>
			<option value=5>Maio</option>
			<option value=6>Junho</option>
			<option value=7>Julho</option>
			<option value=8>Agosto</option>
			<option value=9>Setembro</option>
			<option value=10>Outubro</option>
			<option value=11>Novembro</option>
			<option value=12>Dezembro</option>
		</select>
	</div>

	<div id=tabelas></div>

<?
}
catch(Exception $e)
{
	mostra_erro($e->getMessage());
}

include '../common/footer.php';

?>

</body>
</html>
